Please note: This file provides a complete, temporally ordered log of
changes that went into every version of Perl.  If you'd like more
detailed information, please consult the comments in the individual
patches posted to the perl5-porters mailing list.  Patches for each
individual change may also be obtained through ftp and rsync--see
perlhack.pod for the details.

[The "CAST AND CREW" list has been moved to AUTHORS.]

NOTE: Each change entry shows the change number; who checked it into the
repository; when; description of the change; which branch the change
happened in; and the affected files.  The file lists have a short symbolic
indicator:

    	    !	    modified
    	    +	    added
    	    -	    deleted
    	    +>	    branched (from elsewhere)
    	    !>	    merged changes (from elsewhere)

The Message-Ids in the change entries refer to the email messages sent
to the perl5-porters mailing list.  You can retrieve the messages for
example from http://www.xray.mpe.mpg.de/mailing-lists/perl5-porters/

This file contains only changes that affect the maint-5.6 branch.
Cross-references to changes imported from other branches (principally,
the mainline) are indicated by change numbers.  Detailed log entries
corresponding to these change numbers are available in the Changes
file in the latest development release.


--------------
Version v5.6.1
--------------

____________________________________________________________________________
[  9651] By: gsar                                  on 2001/04/09  03:11:19
        Log: update Changes, patchlevel.h &c.
     Branch: maint-5.6/perl
	   ! Changes patchlevel.h pod/perldelta.pod pod/perlhist.pod
	   ! pod/perltoc.pod
____________________________________________________________________________
[  9649] By: gsar                                  on 2001/04/09  02:35:43
        Log: tweak perldelta as suggested by Jarkko
     Branch: maint-5.6/perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[  9646] By: gsar                                  on 2001/04/09  00:48:04
        Log: add note about ithreads and Thread.pm (too many people are
             confused by the fact that Thread.pm is built and installed
             under non-5005threads but doesn't work)
     Branch: maint-5.6/perl
	   ! ext/Thread/Thread.pm ext/Thread/Thread.xs
____________________________________________________________________________
[  9645] By: gsar                                  on 2001/04/09  00:19:03
        Log: update perldelta.pod for changes in 5.6.1
     Branch: maint-5.6/perl
	   ! Changes pod/perldelta.pod
____________________________________________________________________________
[  9640] By: gsar                                  on 2001/04/08  19:20:46
        Log: integrate change#9634 from mainline
             
             Fix the perlmodlib generation (didn't understand separate .pod
             files; didn't understand -- as the name-thing separator).
             Update the CPAN mirrors list.
     Branch: maint-5.6/perl
	   ! pod/perlmodlib.pod
	  !> pod/perlmodlib.PL
____________________________________________________________________________
[  9639] By: gsar                                  on 2001/04/08  18:57:31
        Log: on windows, many of the README.* pods were being copied to the wrong
             location
     Branch: maint-5.6/perl
	   ! win32/Makefile win32/makefile.mk
____________________________________________________________________________
[  9638] By: gsar                                  on 2001/04/08  18:38:25
        Log: update to latest JPL from the anoncvs repository
     Branch: maint-5.6/perl
	   + jpl/ChangeLog jpl/README.JUST-JNI jpl/docs/Tutorial.pod
	   ! MANIFEST jpl/JNI/JNI.pm jpl/JNI/JNI.xs jpl/JNI/Makefile.PL
	   ! jpl/PerlInterpreter/PerlInterpreter.h jpl/README
____________________________________________________________________________
[  9632] By: gsar                                  on 2001/04/08  16:36:06
        Log: add $Tie::RefHash::VERSION
     Branch: maint-5.6/perl
	   ! lib/Tie/RefHash.pm
____________________________________________________________________________
[  9624] By: gsar                                  on 2001/04/08  06:08:17
        Log: test in t/pod/* were busted
             
             these tests are still not enabled in t/{harness,TEST}
     Branch: maint-5.6/perl
	   ! lib/Pod/Find.pm t/pod/emptycmd.t t/pod/find.t t/pod/for.t
	   ! t/pod/headings.t t/pod/include.t t/pod/included.t t/pod/lref.t
	   ! t/pod/multiline_items.t t/pod/nested_items.t
	   ! t/pod/nested_seqs.t t/pod/oneline_cmds.t t/pod/pod2usage.t
	   ! t/pod/poderrs.t t/pod/podselect.t t/pod/special_seqs.t
____________________________________________________________________________
[  9623] By: gsar                                  on 2001/04/08  03:37:01
        Log: integrate change#9470 from mainline
             
             Subject: Re: [ID 20010215.006] Bad arg length for Socket::unpack_sockaddr_un, length is 14 ... 
     Branch: maint-5.6/perl
	  !> ext/Socket/Socket.xs
____________________________________________________________________________
[  9605] By: gsar                                  on 2001/04/07  11:52:40
        Log: can't optimize away scope entry if tr/// is present
     Branch: maint-5.6/perl
	   ! op.c t/op/tr.t
____________________________________________________________________________
[  9597] By: gsar                                  on 2001/04/06  18:06:35
        Log: integrate change#9464 from mainline (addendum to change#8313)
             
             Subject: [PATCH @9452] Better peep()ing for foreach() loops
     Branch: maint-5.6/perl
	  !> op.c
____________________________________________________________________________
[  9595] By: gsar                                  on 2001/04/06  14:57:17
        Log: add a low-impact fix to accomodate darwin-ism
     Branch: maint-5.6/perl
	   ! ext/Errno/Errno_pm.PL
____________________________________________________________________________
[  9594] By: jhi                                   on 2001/04/06  14:55:14
        Log: Integrate changes #9528,9593 from mainline into maintperl;
             tweaking the editor/IDE/shell list.
     Branch: maint-5.6/perl
	  !> pod/perlfaq3.pod
____________________________________________________________________________
[  9592] By: gsar                                  on 2001/04/06  14:45:18
        Log: integrate change#9477 from mainline (base.pm doc tweak)
             
             missing doc entry for fmod()
     Branch: maint-5.6/perl
	   ! lib/Math/BigFloat.pm
	  !> lib/base.pm
____________________________________________________________________________
[  9587] By: gsar                                  on 2001/04/06  07:31:30
        Log: add README.macos (from Chris Nandor)
             
             tyop in change#9555
     Branch: maint-5.6/perl
	   + README.macos
	   ! MANIFEST pod/buildtoc.PL pod/perl.pod pod/perlfaq9.pod
	   ! win32/Makefile win32/makefile.mk
____________________________________________________________________________
[  9586] By: gsar                                  on 2001/04/06  07:08:54
        Log: fixes for Math::BigFloat bugs; add fmod() (from John Peacock)
     Branch: maint-5.6/perl
	   ! lib/Math/BigFloat.pm t/lib/bigfltpm.t
____________________________________________________________________________
[  9585] By: gsar                                  on 2001/04/06  06:58:44
        Log: integrate changes#9555,9556,9563..9567,9570..9575,9577..9578
             from mainline
             
             Subject: [PATCH] Base64 update to perlfaq9.pod
             
             Subject: [PATCH AUTHORS] Housekeeping
             
             Subject: Re: Not OK: perl v5.6.1 +fools-gold on darwin 1.3 (UNINSTALLED)
             Mac OS X (Darwin) has extra pwent fields.
             
             Subject: [PATCH B::*] print control-character vars readably
             Needs EBCDICification.
             
             Subject: [PATCH B::Deparse] lexical variables with ridiculously long names that are used in list assignments
             
             Subject: [PATCH B::*] cope with SVf_IVisUV, and cope with $^^ and friends
             
             Subject: [PATCH B::Deparse] "${foo}bar", "${foo}[1]" etc.
             
             Subject: [PATCH B::Deparse] binmode is no longer an UNOP
             
             Subject: [PATCH B::Deparse] regex quoting, and a minor milestone
             
             Subject: [PATCH B::Deparse] suppress "unintialized value" warnings
             
             Subject: bleadperl / hex ignores variable length and/or tr doesn't null terminate   ( with patch)
             
             Subject: patch for t/op/oct.t that shows need for patch supplied with bug 20010404.009, (bugs in hex and oct)
             
             FreeBSD hints tweak from Anton Berezin.
             
             Subject: [PATCH foolperl & bleadperl] README.vms update
             
             Subject: Re: [PATCH foolperl & bleadperl] README.vms update
     Branch: maint-5.6/perl
	  !> AUTHORS README.vms ext/B/B.pm ext/B/B/Concise.pm
	  !> ext/B/B/Debug.pm ext/B/B/Deparse.pm ext/B/B/Terse.pm
	  !> hints/freebsd.sh pod/perlfaq9.pod pp.c t/op/oct.t t/op/pwent.t
____________________________________________________________________________
[  9584] By: gsar                                  on 2001/04/06  04:09:00
        Log: keep eval"" CVs alive until the end of the statement in which
             they're called; this avoids a coredump ensuing from search for
             lexicals in code such as:
             
             sub bug {
             my $s = @_;
             eval q[sub { eval 'sub { &$s }' }];
             }
             bug("x")->()->();
             
             this code still doesn't work as intended (as it has remained
             since time immemorial), but it doesn't provoke a coredump anymore
     Branch: maint-5.6/perl
	   ! embed.h embed.pl global.sym objXSUB.h perlapi.c
	   ! pod/perlguts.pod pp_ctl.c proto.h scope.c scope.h sv.c
____________________________________________________________________________
[  9551] By: gsar                                  on 2001/04/05  00:18:34
        Log: tr/// doesn't null-terminate the result in some situations
             (from Gisle Aas)
     Branch: maint-5.6/perl
	   ! doop.c t/op/tr.t
____________________________________________________________________________
[  9550] By: gsar                                  on 2001/04/04  20:04:17
        Log: B::Deparse fix for ${^FOO} and documentation for PVX() method
             (from Robin Houston)
     Branch: maint-5.6/perl
	   ! ext/B/B.pm ext/B/B/Deparse.pm
____________________________________________________________________________
[  9548] By: gsar                                  on 2001/04/04  18:51:49
        Log: integrate changes#9460,9462,9482,9521,9522
             
             Subject: PATCH: B::Debug should show LOOP-specific fields
             
             Subject: B::Deparse precedence bug. (Patch included.)
             
             Subject: Re: [ID 20010330.003] O=Deparse,-p does not preserve "operational semantics"
             
             Subject: [PATCH B::Concise] @stash_array = split(/pat/, str);
             
             Subject: [PATCH B::Concise] padname values may have bogus SvCUR
     Branch: maint-5.6/perl
	  !> ext/B/B.pm ext/B/B.xs ext/B/B/Concise.pm ext/B/B/Debug.pm
	  !> ext/B/B/Deparse.pm ext/B/B/Showlex.pm
____________________________________________________________________________
[  9547] By: gsar                                  on 2001/04/04  18:49:16
        Log: s/djSP/dSP/
     Branch: maint-5.6/perl
	   ! ext/Thread/Thread.xs
____________________________________________________________________________
[  9545] By: gsar                                  on 2001/04/04  18:38:52
        Log: integrate change#8837 from mainline
             
             Subject: [patch] -Wall cleanup round 2
     Branch: maint-5.6/perl
	  !> ext/B/B.xs ext/Data/Dumper/Dumper.xs ext/Devel/DProf/DProf.xs
	  !> ext/Devel/Peek/Peek.xs ext/Fcntl/Fcntl.xs
	  !> ext/File/Glob/Glob.xs ext/GDBM_File/GDBM_File.xs ext/IO/IO.xs
	  !> ext/IPC/SysV/SysV.xs ext/Opcode/Opcode.xs ext/POSIX/POSIX.xs
	  !> ext/SDBM_File/SDBM_File.xs
____________________________________________________________________________
[  9544] By: gsar                                  on 2001/04/04  17:49:57
        Log: "double" should be "NV"; standard typemap is missing entry
             for NV
     Branch: maint-5.6/perl
	   ! ext/B/B.xs ext/B/B/C.pm lib/ExtUtils/typemap
____________________________________________________________________________
[  9539] By: gsar                                  on 2001/04/04  03:01:14
        Log: another tweak needed for SunOS 4.1.x build (from Mike Guy)
     Branch: maint-5.6/perl
	   ! Makefile.SH
____________________________________________________________________________
[  9538] By: gsar                                  on 2001/04/04  01:00:38
        Log: fflush() is a macro on SunOS 4.1.x, so provide a wrapper
             for use with _fwalk() (fix for change#7705)
     Branch: maint-5.6/perl
	   ! util.c
____________________________________________________________________________
[  9533] By: gsar                                  on 2001/04/03  14:30:07
        Log: better fix for change#9517 to accomodate UNC paths like
             \\server\share\foo, and paths with trailing backslash
             like c:\this\
     Branch: maint-5.6/perl
	   ! utils/perldoc.PL x2p/find2perl.PL x2p/s2p.PL
____________________________________________________________________________
[  9530] By: gsar                                  on 2001/04/03  04:56:41
        Log: accomodate VMS "mailbox overflow" quirk in testsuite (from
             Craig Berry)
     Branch: maint-5.6/perl
	   ! t/lib/socket.t
____________________________________________________________________________
[  9524] By: gsar                                  on 2001/04/03  01:09:12
        Log: EPOC fix for lib/io_udp.t failure (from Olaf Flebbe)
     Branch: maint-5.6/perl
	   ! pp_sys.c
____________________________________________________________________________
[  9517] By: gsar                                  on 2001/04/02  19:52:21
        Log: many of the utilities interpolate literal paths within doublequotes
             (fails on dosish platforms where path contains backslashes)
     Branch: maint-5.6/perl
	   ! utils/perldoc.PL x2p/find2perl.PL x2p/s2p.PL
____________________________________________________________________________
[  9516] By: gsar                                  on 2001/04/02  05:49:37
        Log: a foolish release
     Branch: maint-5.6/perl
	   ! Changes patchlevel.h pod/perldelta.pod pod/perlhist.pod
	   ! pod/perltoc.pod
____________________________________________________________________________
[  9515] By: gsar                                  on 2001/04/02  05:04:29
        Log: add missing changelog summaries
     Branch: maint-5.6/perl
	   ! Changes
____________________________________________________________________________
[  9514] By: gsar                                  on 2001/04/02  04:07:13
        Log: add some notes about gutsy threading matters
     Branch: maint-5.6/perl
	   ! pod/perlguts.pod
____________________________________________________________________________
[  9513] By: gsar                                  on 2001/04/02  03:25:21
        Log: add more prominent caveat notices about experimental features
     Branch: maint-5.6/perl
	   ! pod/perlfork.pod pod/perlunicode.pod
____________________________________________________________________________
[  9512] By: gsar                                  on 2001/04/02  02:54:33
        Log: integrate changes#9479,9509 from mainline
             
             [PATCH] File::Glob stuff for Mac OS
             
             [PATH bsd_glob.c perl@9472] Shut up gcc warning in bsd_glob.c
     Branch: maint-5.6/perl
	  !> ext/File/Glob/Glob.pm ext/File/Glob/bsd_glob.c
	  !> t/lib/glob-basic.t t/lib/glob-case.t t/lib/glob-global.t
	  !> t/lib/glob-taint.t
____________________________________________________________________________
[  9511] By: gsar                                  on 2001/04/02  02:38:24
        Log: README.win32 tweaks; add a note about alternative location for
             getting a gcc-2.95.2 that will build perl properly on windows
     Branch: maint-5.6/perl
	   ! README.win32
____________________________________________________________________________
[  9507] By: jhi                                   on 2001/04/01  19:24:01
        Log: Integrate changes #9378,9458,9469,9475,9489,9490,9505,9506
             from mainline to maintperl: pod tweaks.
     Branch: maint-5.6/perl
	  !> pod/perldebug.pod pod/perldiag.pod pod/perlfaq1.pod
	  !> pod/perlguts.pod pod/perlhack.pod pod/perlop.pod
	  !> pod/perlvar.pod
____________________________________________________________________________
[  9501] By: gsar                                  on 2001/04/01  07:21:57
        Log: fix the perlembed notes on multiple interpreters
             
             fix ExtUtils::Embed to work passably on Windows
     Branch: maint-5.6/perl
	   ! lib/ExtUtils/Embed.pm pod/perlembed.pod
____________________________________________________________________________
[  9496] By: gsar                                  on 2001/03/31  23:22:28
        Log: various nits identified by the Borland 5.5 compiler; remove suppression
             of a few warnings
     Branch: maint-5.6/perl
	   ! ext/File/Glob/bsd_glob.c sv.c win32/win32.h
____________________________________________________________________________
[  9495] By: gsar                                  on 2001/03/31  21:03:08
        Log: avoid redefinition warnings under Borland 5.02
     Branch: maint-5.6/perl
	   ! win32/makefile.mk
____________________________________________________________________________
[  9494] By: gsar                                  on 2001/03/31  20:18:59
        Log: nits spotted by Borland compiler
     Branch: maint-5.6/perl
	   ! utf8.h win32/win32.h
____________________________________________________________________________
[  9493] By: gsar                                  on 2001/03/31  20:18:05
        Log: fix a broken workaround for Borland compiler in change#4739
             (caused weird "short reads" on DATA, which caused op/misc.t to fail)
     Branch: maint-5.6/perl
	   ! toke.c
____________________________________________________________________________
[  9491] By: gsar                                  on 2001/03/31  17:01:56
        Log: Cwd::chdir() doesn't set $ENV{PWD} correctly on windows when the
             directory is relative (need to fetch the full path name *before*
             the chdir!)
             
             this is a followup patch for change#6749
     Branch: maint-5.6/perl
	   ! lib/Cwd.pm
____________________________________________________________________________
[  9426] By: gsar                                  on 2001/03/29  00:28:04
        Log: dmake can only handle == and != in comparisons; support building
             with Borland's VCL libraries (from Vadim Konovalov)
     Branch: maint-5.6/perl
	   ! win32/makefile.mk
____________________________________________________________________________
[  9416] By: jhi                                   on 2001/03/28  18:06:07
        Log: Integrate change #9409 from mainline to maintperl.
             
             Yet another tweak on AIX dynaloading.
     Branch: maint-5.6/perl
	  !> ext/DynaLoader/dl_aix.xs ext/DynaLoader/hints/aix.pl
____________________________________________________________________________
[  9415] By: gsar                                  on 2001/03/28  17:13:01
        Log: integrate changes#9377,9385,9401 from mainline
             
             Subject: RE: 5.6.0 BUG: Lexical warnings aren't lexical
             
             If directory entries compare equal case-insensitively,
             retry case-sensitively.
             
             Subject: [PATCH] B::Terse and warnings
     Branch: maint-5.6/perl
	  !> ext/B/B.pm ext/B/B/Terse.pm ext/File/Glob/bsd_glob.c gv.c
	  !> t/pragma/warn/perl
____________________________________________________________________________
[  9312] By: gsar                                  on 2001/03/23  16:25:25
        Log: add execute bit to files with shebang lines in the repository;
             avoid clobbering execute bit in Porting/makerel 
     Branch: maint-5.6/perl
	   ! (edit 144 files)
____________________________________________________________________________
[  9306] By: jhi                                   on 2001/03/23  12:51:36
        Log: There are AIXes without /usr/include/load.h,
             patch from H.Merijn Brand.
     Branch: maint-5.6/perl
	   ! ext/DynaLoader/hints/aix.pl
____________________________________________________________________________
[  9299] By: gsar                                  on 2001/03/22  16:53:45
        Log: back out changes#7532,7521 for now (appears to have problems
             on IRIX)
     Branch: maint-5.6/perl
	   ! ext/POSIX/POSIX.pm ext/POSIX/POSIX.pod ext/POSIX/POSIX.xs
	   ! ext/POSIX/typemap pod/perlvar.pod
____________________________________________________________________________
[  9292] By: gsar                                  on 2001/03/22  07:12:00
        Log: integrate changes#8306,8532 from mainline (missing USE_PURE_BISON
             fixes)
     Branch: maint-5.6/perl
	  !> embed.h embed.pl objXSUB.h perlapi.c perly.y proto.h toke.c
____________________________________________________________________________
[  9290] By: jhi                                   on 2001/03/22  05:57:01
        Log: Move MacOS Classic higher in the list of supported platforms.
     Branch: maint-5.6/perl
	   ! pod/perlport.pod
____________________________________________________________________________
[  9289] By: gsar                                  on 2001/03/22  05:35:04
        Log: revert part of change#6438 for compatibility (av_reify()
             appears to be needed to implement av_splice()ish things
             in XS)
     Branch: maint-5.6/perl
	   ! embed.pl global.sym objXSUB.h perlapi.c
____________________________________________________________________________
[  9288] By: gsar                                  on 2001/03/22  03:09:19
        Log: update copyright year
     Branch: maint-5.6/perl
	   ! EXTERN.h INTERN.h README av.c av.h cop.h cv.h deb.c doio.c
	   ! doop.c dump.c form.h gv.c gv.h handy.h hv.c hv.h mg.c mg.h
	   ! op.c op.h perl.c perl.h perlio.c perly.y pp.c pp.h pp_ctl.c
	   ! pp_hot.c pp_sys.c regcomp.c regexec.c run.c scope.c sv.c sv.h
	   ! toke.c utf8.c utf8.h util.c util.h x2p/EXTERN.h x2p/INTERN.h
	   ! x2p/a2p.c x2p/a2p.h x2p/a2p.y x2p/a2py.c x2p/hash.c x2p/hash.h
	   ! x2p/proto.h x2p/str.c x2p/str.h x2p/util.c x2p/util.h
	   ! x2p/walk.c
____________________________________________________________________________
[  9286] By: gsar                                  on 2001/03/21  19:49:54
        Log: makefile.mk tweak
     Branch: maint-5.6/perl
	   ! win32/Makefile win32/makefile.mk
____________________________________________________________________________
[  9283] By: jhi                                   on 2001/03/21  17:17:35
        Log: Integrate change #9282 from mainline into maintperl,
             4-arg UTF-8 substr().
     Branch: maint-5.6/perl
	  !> pp.c
____________________________________________________________________________
[  9281] By: gsar                                  on 2001/03/21  17:03:14
        Log: makefile.mk defaults to GCC, not BORLAND (as mentioned in README.win32)
     Branch: maint-5.6/perl
	   ! win32/makefile.mk
____________________________________________________________________________
[  9280] By: gsar                                  on 2001/03/21  17:01:20
        Log: some tweaks to change#9278 (fork() emulation should be enabled
             by setting BUILD_FLAVOR instead of changing the defaults)
     Branch: maint-5.6/perl
	   ! win32/makefile.mk
____________________________________________________________________________
[  9279] By: gsar                                  on 2001/03/21  16:47:19
        Log: integrate change#9271 from mainline; a tweak to Glob.pm docs
     Branch: maint-5.6/perl
	   ! ext/File/Glob/Glob.pm
	  !> lib/Cwd.pm
____________________________________________________________________________
[  9278] By: jhi                                   on 2001/03/21  14:35:10
        Log: Subject: [PATCH: 5.6.1-trial3] Borland C++ for Win32 fixes
             From: "Vadim Konovalov" <watman@inbox.ru>
             Date: Wed, 21 Mar 2001 01:53:51 +0300
             Message-ID: <004101c0b190$a749ea20$f7c030d4@vad>
     Branch: maint-5.6/perl
	   ! win32/makefile.mk win32/win32sck.c
____________________________________________________________________________
[  9277] By: jhi                                   on 2001/03/21  13:58:28
        Log: Integrate change #9270 from mainline to maintperl:
             continued 4-arg UTF-8 substr() fixing.
     Branch: maint-5.6/perl
	  !> pp.c t/op/substr.t
____________________________________________________________________________
[  9266] By: gsar                                  on 2001/03/20  19:16:43
        Log: VMS piping fixes (from Charles Lane)
     Branch: maint-5.6/perl
	   ! vms/vms.c vms/vmspipe.com
____________________________________________________________________________
[  9265] By: gsar                                  on 2001/03/20  17:53:52
        Log: cut-n-paste goof in change#9264
     Branch: maint-5.6/perl
	   ! ext/File/Glob/Glob.xs
____________________________________________________________________________
[  9264] By: gsar                                  on 2001/03/20  17:43:47
        Log: do alphabetical sorting by default (for csh compatibility);
             bsd_glob() does ASCII sort by default as usual, unless
             GLOB_ALPHASORT was specified
     Branch: maint-5.6/perl
	   ! ext/File/Glob/Changes ext/File/Glob/Glob.pm
	   ! ext/File/Glob/Glob.xs ext/File/Glob/bsd_glob.c
	   ! ext/File/Glob/bsd_glob.h
____________________________________________________________________________
[  9263] By: gsar                                  on 2001/03/20  16:40:08
        Log: integrate change#9255 from mainline (unicode fix)
             
             substr($bytestr, i, n, $charstr)
     Branch: maint-5.6/perl
	  !> Todo-5.6 pp.c t/op/substr.t
____________________________________________________________________________
[  9262] By: gsar                                  on 2001/03/20  15:57:41
        Log: revert the leak fix in change#9142 (problem needs a more experimental
             fix unsuitable for 5.6.1)
     Branch: maint-5.6/perl
	   ! scope.c
____________________________________________________________________________
[  9260] By: jhi                                   on 2001/03/20  14:05:46
        Log: Subject: [PATCH perl-5.6.1-TRIAL3/run.c] printf warning
             From: Robin Barker <rmb1@cise.npl.co.uk>
             Date: Tue, 20 Mar 2001 10:12:04 GMT
             Message-Id: <200103201012.KAA04738@tempest.npl.co.uk>
     Branch: maint-5.6/perl
	   ! run.c
____________________________________________________________________________
[  9259] By: jhi                                   on 2001/03/20  14:04:39
        Log: Subject: [MacPerl-Porters] [PATCH] POSIX, File::Path (Mac OS) for 5.6.1 and 5.7
             From: Chris Nandor <pudge@pobox.com>
             Date: Tue, 20 Mar 2001 00:40:56 -0500
             Message-Id: <p05010401b6dc9d57a62d@[10.0.1.107]>
     Branch: maint-5.6/perl
	   ! ext/POSIX/POSIX.xs lib/File/Path.pm
____________________________________________________________________________
[  9256] By: jhi                                   on 2001/03/20  04:43:12
        Log: Subject: [PATCH: 5.6.1-trial3] test fixes and installation cleanliness for OS/390
             From: Peter Prymmer <pvhp@forte.com>
             Date: Mon, 19 Mar 2001 16:43:13 -0800 (PST)
             Message-ID: <Pine.OSF.4.10.10103191627310.162127-100000@aspara.forte.com>
     Branch: maint-5.6/perl
	   ! installperl t/comp/proto.t t/comp/require.t t/op/regmesg.t
____________________________________________________________________________
[  9250] By: jhi                                   on 2001/03/19  21:18:00
        Log: A more robust solution for the 64bitall AIX dynaloading
             problem, from Jens-Uwe Mager.
     Branch: maint-5.6/perl
	   ! ext/DynaLoader/dl_aix.xs ext/DynaLoader/hints/aix.pl
____________________________________________________________________________
[  9247] By: jhi                                   on 2001/03/19  19:59:53
        Log: 64-bit AIX dynaloading problem (see #9244) idea
             from Jens-Uwe Mager.
     Branch: maint-5.6/perl
	   ! ext/DynaLoader/dl_aix.xs
____________________________________________________________________________
[  9245] By: jhi                                   on 2001/03/19  19:05:19
        Log: Integrate change #9243 from mainline into maintperl.
             
             Subject: [PATCH perl-5.6.1-TRIAL3/README.vmesa] bad =item paragraphs
     Branch: maint-5.6/perl
	  !> README.vmesa
____________________________________________________________________________
[  9244] By: jhi                                   on 2001/03/19  19:03:15
        Log: Get 64bitall AIX building, but still does not test okay:
             dynaloading anything fails, for example for op/defins:
             Can't load '../lib/auto/File/Glob/Glob.so' for module File::Glob: loadbind: A system call received a parameter that is not valid. at ../lib/XSLoader.pm line 75. at ../lib/File/Glob.pm line 99
             (update: fixed by #9247,9250)
     Branch: maint-5.6/perl
	   ! hints/aix.sh
____________________________________________________________________________
[  9241] By: gsar                                  on 2001/03/19  17:34:46
        Log: VMSify tests (from Charles Lane)
     Branch: maint-5.6/perl
	   ! t/lib/filehand.t t/lib/texttabs.t
____________________________________________________________________________
[  9239] By: gsar                                  on 2001/03/19  09:23:17
        Log: this is 5.6.1-trial3
     Branch: maint-5.6/perl
	   ! Changes
____________________________________________________________________________
[  9238] By: gsar                                  on 2001/03/19  08:47:04
        Log: some new symbols are only available under ithreads
     Branch: maint-5.6/perl
	   ! makedef.pl
____________________________________________________________________________
[  9237] By: gsar                                  on 2001/03/19  08:42:28
        Log: update patchlevel.h, Changes, &c.
     Branch: maint-5.6/perl
	   ! Changes patchlevel.h pod/perlhist.pod
	  !> AUTHORS
____________________________________________________________________________
[  9236] By: gsar                                  on 2001/03/19  08:17:49
        Log: integrate changes#8068,8717 from mainline
             
             [PATCH 5.7.0@8047] RE: [ID 20001013.009] DB_File issues warning when setting element to    undef
             
             [PATCH CPAN 1.59_51] warning message (not!)
     Branch: maint-5.6/perl
	  !> ext/GDBM_File/GDBM_File.pm ext/GDBM_File/typemap
	  !> ext/NDBM_File/NDBM_File.pm ext/NDBM_File/typemap
	  !> ext/ODBM_File/ODBM_File.pm ext/ODBM_File/typemap
	  !> ext/SDBM_File/SDBM_File.pm ext/SDBM_File/typemap lib/CPAN.pm
	  !> t/lib/gdbm.t t/lib/ndbm.t t/lib/odbm.t t/lib/sdbm.t
____________________________________________________________________________
[  9235] By: gsar                                  on 2001/03/19  08:07:09
        Log: integrate changes#8617,8713,8715,8716,8721,8953,8963 from mainline
             
             [PATCH] Add missing CV flags to dump.c
             
             Re: [patch] Re: PL_ptr_table
             
             Fixup non-ithread build after 8713
             
             Generated files form 8713 etc.
             
             Correct the correction :-(
             
             Documenting coderef @INC (Re: CPAN "make this script work" feature)
             
             Subject: Re: sync sync sync: have I missed any patches?
             Replace djSP with dSP.
     Branch: maint-5.6/perl
	  !> cop.h doio.c doop.c dump.c embed.h embed.pl ext/B/B/C.pm
	  !> ext/B/B/CC.pm global.sym objXSUB.h perl.c perlapi.c
	  !> pod/perlhack.pod pp.c pp.h pp_ctl.c pp_hot.c pp_sys.c proto.h
	  !> sv.c sv.h win32/perlhost.h
____________________________________________________________________________
[  9234] By: gsar                                  on 2001/03/19  07:22:05
        Log: revert the change#9090 integrate for now (change looks somewhat
             incomplete in that [ha]v_exists() need something similar; lacks
             tests; &c.)
     Branch: maint-5.6/perl
	   ! hv.c
____________________________________________________________________________
[  9233] By: gsar                                  on 2001/03/19  07:10:01
        Log: some refcounts were incorrect in perl_clone(); avoid hang in global
             destruction when there are unreferenced scalars (SvREFCNT==0)
     Branch: maint-5.6/perl
	   ! sv.c
____________________________________________________________________________
[  9232] By: jhi                                   on 2001/03/19  05:11:02
        Log: Regen api and toc.
     Branch: maint-5.6/perl
	   ! pod/perlapi.pod pod/perltoc.pod
____________________________________________________________________________
[  9231] By: jhi                                   on 2001/03/19  04:06:03
        Log: Integrate changes in #9070,9072,9101 from mainline into maintperl,
             add a lost line in pp.c:pp_chop(), update to new op/chop.
             
             Clarify the description differentiating for and while; inspired by
             
             Subject: [ID 20010306.004] || != named unary operator
             
             The $Is_MacOS needs to be declared.
     Branch: maint-5.6/perl
	   ! pp.c t/op/chop.t
	  !> lib/ExtUtils/Manifest.pm pod/perlop.pod pod/perlsyn.pod
____________________________________________________________________________
[  9230] By: jhi                                   on 2001/03/19  03:48:16
        Log: Integrate changes #7971(perlio),8982,9061,9062,9068,9069,
             9079,9083,9089,9090,9091 from mainline to maintperl.
             
             Quieten some noise in Win32 builds
             
             Fixes the bugs 20010221.005 and 20010221.008: "the taint checker..."
             
             The perlretut was still talking about the old \p and \P
             definitions.
             
             More tweakage on the Unicode character class descriptions.
             
             Subject: Re: [ID 20010305.012] chop() against list assignment returns char chopped from el zero
             
             Subject: 'no *POSIX' Patch speeding up make on BS2000 
             
             Subject: [PATCH] perldata.pod here-doc docs
             
             Add /sbin and /usr/sbin to the list of directories scanned
             for setuid programs.  Takes care of bug id 20010309.003.
             
             Subject: Re: [ID 19990808.001] [PATCH] FETCH triggered on exists()
             
             In op/stat #35 better to scan all the potential directories
             for setuids, not just the first one.
     Branch: maint-5.6/perl
	   ! Makefile.SH
	  !> doio.c hv.c lib/unicode/mktables.PL makedepend.SH perl.h
	  !> pod/perldata.pod pod/perlretut.pod pp.c t/op/chop.t
	  !> t/op/stat.t toke.c win32/win32.h
____________________________________________________________________________
[  9229] By: jhi                                   on 2001/03/19  02:31:50
        Log: Subject: [MacPerl-Porters] [PATCH] Portability fixes for Mac OS / maint-5.6
             From: Chris Nandor <pudge@pobox.com>
             Date: Sat, 10 Mar 2001 14:22:19 -0500
             Message-Id: <p0501042db6cf0a8d0b63@[10.0.1.177]>
     Branch: maint-5.6/perl
	   ! ext/B/defsubs_h.PL ext/DynaLoader/dl_mac.xs
	   ! ext/Errno/Errno_pm.PL lib/ExtUtils/Manifest.pm perlsfio.h
	   ! t/lib/b.t t/lib/errno.t
____________________________________________________________________________
[  9228] By: jhi                                   on 2001/03/19  02:29:59
        Log: Integrate changes #9113,9122 from mainline into maintperl.
             
             Subject: [PATCH: perl@9092, dist-3.0@70] OS/390 mydomain last gasp before silly guess (was Re: What do I need to build EBCDIC perl?)
     Branch: maint-5.6/perl
	  !> Configure README.os390 hints/os390.sh
____________________________________________________________________________
[  9227] By: jhi                                   on 2001/03/19  02:22:35
        Log: Integrate #9115,9121,9128,9163,9171,9174,9175 from mainline
             into maintperl.
             
             Subject: Re: [ID 20010305.005] "use integer" doesn't make rand() return integers
             
             Forgot to check-in the larger part of #9120, duh.
             
             Subject: Another patch for integer.pm POD 
             
             h2ph strictness and cleanliness from Kurt Starsinic.
             
             Borland filename case problem.
             
             h2ph strictness and cleanliness from Kurt Starsinic.
             
             Subject: [PATCH] the uncontroversial doc patches
     Branch: maint-5.6/perl
	  +> win32/sncfnmcs.pl
	  !> MANIFEST README.os2 README.win32 ext/GDBM_File/GDBM_File.pm
	  !> ext/GDBM_File/GDBM_File.xs lib/integer.pm
	  !> pod/perl5005delta.pod pod/perldebtut.pod pod/perlfunc.pod
	  !> pod/perlhack.pod pod/perllexwarn.pod pod/perllocale.pod
	  !> pod/perllol.pod pod/perlmod.pod pod/perlmodlib.pod
	  !> pod/perlport.pod pod/perlrun.pod pod/perltoc.pod
	  !> pod/perlxs.pod pod/perlxstut.pod utils/h2ph.PL
____________________________________________________________________________
[  9226] By: jhi                                   on 2001/03/19  02:10:21
        Log: Integrate changes #9207,9214 from mainline into maintperl.
             
             podchecker relaxations: =over has an *optional* number after it,
             and whitespace in L<> is okay.
     Branch: maint-5.6/perl
	  !> lib/Pod/Checker.pm lib/Pod/ParseUtils.pm pod/perlpod.pod
	  !> t/pod/poderrs.xr
____________________________________________________________________________
[  9224] By: jhi                                   on 2001/03/19  02:06:11
        Log: Integrate change #9223 from mainline to maintperl.
             
             Document -Dmksymlinks.
     Branch: maint-5.6/perl
	  !> INSTALL
____________________________________________________________________________
[  9222] By: jhi                                   on 2001/03/19  01:15:35
        Log: The -Dmksymlinks wasn't working for maintperl.
     Branch: maint-5.6/perl
	   ! Configure
____________________________________________________________________________
[  9219] By: gsar                                  on 2001/03/19  00:16:55
        Log: remove duplicated tests
     Branch: maint-5.6/perl
	   ! t/op/re_tests
____________________________________________________________________________
[  9208] By: jhi                                   on 2001/03/18  20:12:12
        Log: Integrate changes #8128,9132 from mainline into maintperl,
             Tie::SubstrHash fixes.
     Branch: maint-5.6/perl
	  !> lib/Tie/SubstrHash.pm t/lib/tie-substrhash.t
____________________________________________________________________________
[  9197] By: gsar                                  on 2001/03/18  12:15:57
        Log: more thorough cleaning of arenas--keep going until no more
             SvREFCNT_dec()s occur (this fixes the problem that causes the
             pesky "Scalars leaked" warnings)
     Branch: maint-5.6/perl
	   ! embed.pl perl.c proto.h sv.c t/op/sort.t
____________________________________________________________________________
[  9168] By: jhi                                   on 2001/03/15  14:13:22
        Log: Integrate changes #9120,9167 from mainline to maintperl.
             
             Subject: [PATCH 5.6.1] OS/2 docs
             
             Subject: [PATCH 5.6.1] perldoc
     Branch: maint-5.6/perl
	  !> os2/Changes utils/perldoc.PL
____________________________________________________________________________
[  9162] By: gsar                                  on 2001/03/15  00:56:53
        Log: avoid warnings
     Branch: maint-5.6/perl
	   ! t/op/magic.t
____________________________________________________________________________
[  9161] By: gsar                                  on 2001/03/15  00:52:09
        Log: clearing of $ENV{PERL_DESTRUCT_LEVEL} interferes with purify
             results
     Branch: maint-5.6/perl
	   ! t/op/magic.t
____________________________________________________________________________
[  9154] By: gsar                                  on 2001/03/14  17:48:18
        Log: PerlIO_stdoutf() wasn't properly supported under PERL_IMPLICIT_SYS
             (caused Storable 1.0.10 to break on windows)
     Branch: maint-5.6/perl
	   ! embed.h embed.pl global.sym globals.c iperlsys.h objXSUB.h
	   ! perlapi.c proto.h
____________________________________________________________________________
[  9152] By: gsar                                  on 2001/03/14  07:29:40
        Log: back out changes#9012,9010,9009 and parts of change#9016
             (causes ABRs under purify, and some prerequisites don't
             seem to be there in 5.6.x)
     Branch: maint-5.6/perl
	   ! doop.c op.c t/op/tr.t toke.c
____________________________________________________________________________
[  9142] By: gsar                                  on 2001/03/14  03:20:48
        Log: fix another memory leak reported by purify (tie callbacks that
             croak can leak when wiping out magic)
     Branch: maint-5.6/perl
	   ! scope.c
____________________________________________________________________________
[  9138] By: gsar                                  on 2001/03/14  01:18:00
        Log: remove squelch controls for "Scalars leaked" messages in most places
             (these are now cured)
     Branch: maint-5.6/perl
	   ! t/comp/proto.t t/op/lex_assign.t t/op/local.t t/op/pat.t
	   ! t/op/regexp.t t/pragma/strict-vars t/pragma/warn/op
	   ! t/pragma/warn/regcomp t/pragma/warn/toke t/pragma/warnings.t
____________________________________________________________________________
[  9137] By: gsar                                  on 2001/03/14  00:57:04
        Log: fix leak in pregcomp() when RE fails to compile (e.g. m/\\/)
     Branch: maint-5.6/perl
	   ! regcomp.c
____________________________________________________________________________
[  9133] By: gsar                                  on 2001/03/13  22:46:20
        Log: integrate change#9067 from mainline
             
             Re: [PATCH: 5.6.1 trial2] DynaLoading for OS/390 build option
     Branch: maint-5.6/perl
	  !> lib/ExtUtils/MM_Unix.pm
____________________________________________________________________________
[  9131] By: gsar                                  on 2001/03/13  22:30:42
        Log: make the error text look more consistent in hints/hpux.sh
     Branch: maint-5.6/perl
	   ! hints/hpux.sh
____________________________________________________________________________
[  9116] By: gsar                                  on 2001/03/13  00:55:53
        Log: Win32::GetCwd() returns C: instead of C:\ in the root directory
             under ithreads
     Branch: maint-5.6/perl
	   ! win32/perlhost.h
____________________________________________________________________________
[  9108] By: gsar                                  on 2001/03/12  10:21:31
        Log: fix memory leak in C<sub X { sub {} }> arising from a refcount
             loop between the outer sub and the inner prototype anonsub
             
             this also enables closures returned by subroutines that
             subsequently get redefined to work without generating coredumps :)
             
             completely removed the free_closures() hack--it shouldn't be
             needed anymore
     Branch: maint-5.6/perl
	   + t/op/anonsub.t
	   ! MANIFEST embed.h embed.pl op.c op.h pod/perlapi.pod pp_ctl.c
	   ! proto.h sv.c
____________________________________________________________________________
[  9076] By: jhi                                   on 2001/03/07  22:59:39
        Log: Integrate change #7784 from mainline into maintperl.
             
             Subject: [PATCH 5.7.0] lexicals not recognized in a run-time (?{})
     Branch: maint-5.6/perl
	  !> pp_ctl.c t/op/pat.t
____________________________________________________________________________
[  9064] By: gsar                                  on 2001/03/07  06:29:24
        Log: fix memory leak in pack("Bb",...)
     Branch: maint-5.6/perl
	   ! perl.c
____________________________________________________________________________
[  9055] By: jhi                                   on 2001/03/06  02:21:26
        Log: Integrate the change #9054 from mainline:
             retract the PMOP cleanup patch pending further investigation.
     Branch: maint-5.6/perl
	  !> op.c op.h
____________________________________________________________________________
[  9050] By: jhi                                   on 2001/03/05  21:44:29
        Log: Integrate changes #9033 and #9044 from mainline into maintperl,
             Sarathy's fix for ID 20010301.005.
     Branch: maint-5.6/perl
	  !> op.c op.h
____________________________________________________________________________
[  9030] By: jhi                                   on 2001/03/05  13:46:49
        Log: Subject: [PATCH 5.6.1] OS/2 cleanup
             From: Ilya Zakharevich <ilya@math.ohio-state.edu>
             Date: Mon, 5 Mar 2001 02:29:44 -0500
             Message-ID: <20010305022944.A10117@math.ohio-state.edu>
     Branch: maint-5.6/perl
	   + os2/os2add.sym
	   ! MANIFEST lib/ExtUtils/MM_OS2.pm lib/ExtUtils/MM_Unix.pm
	   ! makedef.pl os2/Changes os2/Makefile.SHs
	   ! os2/OS2/REXX/Makefile.PL os2/OS2/REXX/REXX.pm
	   ! os2/OS2/REXX/REXX.xs os2/OS2/REXX/t/rx_cmprt.t os2/os2.c
	   ! os2/os2.sym os2/os2ish.h
____________________________________________________________________________
[  9028] By: gsar                                  on 2001/03/05  09:58:38
        Log: various nits in MM_Unix.pm found by disabling SelfLoader
     Branch: maint-5.6/perl
	   ! lib/ExtUtils/MM_Unix.pm
____________________________________________________________________________
[  9026] By: jhi                                   on 2001/03/05  02:14:59
        Log: Integrate change #9025 from mainline to maintperl,
             retract \N{U+HHHH}.
     Branch: maint-5.6/perl
	  !> lib/charnames.pm pod/perldiag.pod pod/perlretut.pod
	  !> t/lib/charnames.t toke.c
____________________________________________________________________________
[  9019] By: jhi                                   on 2001/03/04  18:18:43
        Log: Integrate changes #9017 and 9018 from mainline into maintperl.
             
             \N{U+HHHH} fix.
             
             pattern in G_ARRAY context
     Branch: maint-5.6/perl
	  !> pp_hot.c t/op/pat.t toke.c
____________________________________________________________________________
[  9016] By: jhi                                   on 2001/03/04  17:41:22
        Log: Integrate changes #9013,9014,9015 from mainline into maintperl.
             
             Tweak the get*ent() OS/2 prototypes.
             
             Add the \N{U+HHHH} syntax.
             
             More tr/// UTF-8 fixes from Inaba Hiroto.
     Branch: maint-5.6/perl
	  !> doop.c lib/charnames.pm os2/os2.c pod/perldiag.pod
	  !> pod/perlretut.pod t/lib/charnames.t t/op/tr.t toke.c
____________________________________________________________________________
[  9012] By: gsar                                  on 2001/03/04  06:26:14
        Log: avoid warning (nit in change#9009)
     Branch: maint-5.6/perl
	   ! toke.c
____________________________________________________________________________
[  9011] By: gsar                                  on 2001/03/04  06:15:24
        Log: lib/charnames.t fails in 5.6.x because of older Unicode
             data
             
             TODO: need to revisit this after updating lib/unicode/...
     Branch: maint-5.6/perl
	   ! t/lib/charnames.t
____________________________________________________________________________
[  9010] By: gsar                                  on 2001/03/04  06:08:36
        Log: change#9009 breaks build (no "didrange" variable in 5.6.x)
     Branch: maint-5.6/perl
	   ! toke.c
____________________________________________________________________________
[  9009] By: jhi                                   on 2001/03/03  19:27:20
        Log: Integrate change #9008 from mainline to maintperl,
             UTF-8 tr/// fixes from Inaba Hiroto.
     Branch: maint-5.6/perl
	  !> doop.c op.c t/op/tr.t toke.c
____________________________________________________________________________
[  9006] By: jhi                                   on 2001/03/03  18:58:06
        Log: Subject: [PATCH 5.6.1] More robust Math::Complex
             From: Ilya Zakharevich <ilya@math.ohio-state.edu>
             Date: Sat, 3 Mar 2001 12:51:50 -0500
             Message-ID: <20010303125150.A2147@math.ohio-state.edu>
             
             Be more robust in our quest for the infinite.
     Branch: maint-5.6/perl
	   ! lib/Math/Complex.pm
____________________________________________________________________________
[  9005] By: jhi                                   on 2001/03/03  17:55:50
        Log: The #8982 modified for perl 5.6.x, from Radu Greab.
     Branch: maint-5.6/perl
	   ! doio.c
____________________________________________________________________________
[  9003] By: jhi                                   on 2001/03/03  17:15:52
        Log: Integrate change #9002 from mainline to maintperl.
             
             Subject: [perl-5.6.x, perl-current] accept for EPOC
     Branch: maint-5.6/perl
	  !> pp_sys.c
____________________________________________________________________________
[  8999] By: jhi                                   on 2001/03/03  17:09:28
        Log: Subject: [PATCH 5.6.1] syslog.t
             From: Ilya Zakharevich <ilya@math.ohio-state.edu>
             Date: Sat, 3 Mar 2001 02:11:17 -0500
             Message-ID: <20010303021116.A11897@math.ohio-state.edu>
     Branch: maint-5.6/perl
	   ! t/lib/syslog.t
____________________________________________________________________________
[  8998] By: jhi                                   on 2001/03/03  17:07:50
        Log: Subject: Re: [PATCH 5.7.0] compiling on OS/2: 5.6.1 too
             From: Ilya Zakharevich <ilya@math.ohio-state.edu>
             Date: Sat, 3 Mar 2001 01:53:52 -0500
             Message-ID: <20010303015352.A11741@math.ohio-state.edu>
     Branch: maint-5.6/perl
	   ! opcode.pl os2/os2.c
____________________________________________________________________________
[  8997] By: jhi                                   on 2001/03/03  17:03:30
        Log: Subject: [PATCH 5.6.1] compiling on OS/2
             From: Ilya Zakharevich <ilya@math.ohio-state.edu>
             Date: Sat, 3 Mar 2001 01:59:59 -0500
             Message-ID: <20010303015959.B11741@math.ohio-state.edu>
     Branch: maint-5.6/perl
	   ! hints/os2.sh
____________________________________________________________________________
[  8995] By: jhi                                   on 2001/03/03  00:35:22
        Log: Integrate changes #8099,8218,8220,8221,8227,8304,8317,
             8318,8320,8337,8503,8877,8890,8903,8971 from mainline
             to maintperl.
             
             Subject: Re: [ID 20000328.039] [PATCH] Eliminate Configure use of /tmp
             
             Add Configure option -Dmksymlinks which will create a symlink
             forest if the current/build differs from the source directory.
             (8218,8220,8221,8317,8318,8971)
             
             Subject: Re: A Configure option like 'otherlibdirs' but for *pre*pending?
             (Document APPLLIB_EXP in INSTALL.)
             
             If running byacc write-enable also perly.h.
             
             DB3 NDBM/ODBM emulation tweaks from Stanislav Brabec <utx@penguin.cz>.
             
             Subject: [PATCH 5.7.1/Configure] failure to set src='.'
             
             Sanity check for conflicting thread flavours.
             
             Fix the sys/fcntl.h problem reported by Peter Prymmer.
             
             Add few CPUs/architectures to the Cppsym scan,
             add -perlio to archname if so selected (modified 8890)
             
             Be more helpful for devel builders, suggested by John L. Allen.
             (admittedly pointless change for maintperl, but the usedevel
             code is there already)
     Branch: maint-5.6/perl
	  !> Configure INSTALL Makefile.SH Porting/Glossary
	  !> Porting/config.sh Porting/config_H config_h.SH embed.pl
	  !> epoc/config.sh ext/NDBM_File/NDBM_File.xs
	  !> ext/ODBM_File/ODBM_File.xs t/io/fs.t warnings.pl
	  !> win32/config.bc win32/config.gc win32/config.vc
____________________________________________________________________________
[  8993] By: jhi                                   on 2001/03/02  23:22:12
        Log: Regenerate various files for maint.
     Branch: maint-5.6/perl
	   ! Porting/Glossary Porting/config.sh Porting/config_H objXSUB.h
	   ! perlapi.c pod/perlapi.pod pod/perltoc.pod proto.h
____________________________________________________________________________
[  8991] By: jhi                                   on 2001/03/02  21:00:08
        Log: Retract the #8742 part of #8986, backward compat.
     Branch: maint-5.6/perl
	   ! embed.pl
____________________________________________________________________________
[  8990] By: jhi                                   on 2001/03/02  20:40:07
        Log: Retract the #8919 part of #8987, not applicable to the 5.6 branch.
     Branch: maint-5.6/perl
	   ! hv.c
____________________________________________________________________________
[  8987] By: jhi                                   on 2001/03/02  19:43:40
        Log: Integrate changes #8784,8839,8843,8847,8849,8859,8866,
             8873,8874,8876,8879,8901,8902,8908,8913,8918,8919,8946,8947,8948,
             8950,8952,8955 from mainline to maintperl.
             
             Subject: [PATCH: perl@8773] small fixups to perlclib.pod
             
             Put to rest the 20010205.001, the email address checking (not) regex.
             
             fork() not everywhere, cleanup temp files.
             
             The #8843 wasn't quite right: %Config needs to imported.
             
             Subject: [PATCH perl@8841] glob-basic.t, runenv.t fix-ups
             (#8849: the glob-basic hunk needed massaging as it depended
             on Schwern's large-scale (unintegrated) patches)
             
             Skip the Perl_sys_intern_clear and Perl_sys_intern_init.
             
             Upgrade to CGI.pm 2.752, from Lincoln Stein.
             (Note: there were some conflicts due to EBCDIC and EPOC
             patches, in general I preferred the repository code.)
             (When 2.753 comes out, we need to synchronize.)
             
             Subject: [PATCH] fix for charnames above FFFF
             
             Subject: [patch perl@8841] One URL update and a possible OS Version snag for perlport.pod
             
             If no sfio, no -lsfio.
             
             Run run/*.t also in minitest.
             
             Subject:  [PATCH perl 5.7.0] malloc message address offset
             
             Subject:  [PATCH 5.7.0] don't zero CvFLAGS before checking for CvCONST!
             
             Subject: fix for parameter -Dm (for perl@8867)
             
             Subject: [PATCH: perl@8892] was Re: hashing order difference?
             (make the test more portable)
             
             Subject: Re: [PATCH] fix for charnames above FFFF
             
             Subject: Re: I'm losing the war...
             (hv_store() not working correctly in ENV_IS_CASELESS case.)
             
             Subject: Modified README.bs2000 
             
             Subject: [PATCH: perl@8935] -Dt padsv($var)
             
             Subject: [PATCH: perl@8890] small fix in pod/perlop.pod
             
             Subject: PATCH: extra tests to check on negative float to unsigned cast
             
             Subject: [PATCH] XPUSH[insp] was Re: progress
             
             Subject: Re: Compile with perlcc..
     Branch: maint-5.6/perl
	  !> (integrate 36 files)
____________________________________________________________________________
[  8986] By: jhi                                   on 2001/03/02  18:51:25
        Log: Integrate changes #8689,8697,8724,8726,8731,8742,8754,8755,
             8763,8767,8770,8772,8795,8796,8813,8822,8823 from mainline
             to maintperl.
             
             Subject: Re: [PATCH lots of pod/] s/chop/chomp/g
             
             Subject: [DOC PATCH] overload.pm nits
             
             Add header for LIB$ prototypes (C. Berry)
             
             Convert fwrite()s to sockets to write()s, since some socket stacks
             don't take kindly to stdio.
             Ignore "expected" SS$_NOLOGNAM when doing internal LNM lookups
             (for often optional LNMs)
             Correct a few typos
             (C. Bailey)
             
             Subject: [PATCH: 5.6.1 trial2 && perl@8671] provide EBCDIC CGI::Util::escape() and test
             
             De-cut-and-pasto.
             
             Subject: Re: [PATCH embed.pl] Forgot to add ./lib to @INC for File::Glob
             
             Upgrade to Text-Tabs+Wrap-2001.0131 from David Muir Sharnoff.
             
             Upgrade to CPAN 1.59_54, from Andreas König.
             
             Bogus shebang.
             
             Subject: [PATCH] Document makepatch in Porting/patching
             
             UTF-8 documentation.
             
             Subject: Re: [PATCH] pod/perlclib.pod - Replacements for C library functions
             
             Sort the MANIFEST.
             
             Subject: [ID 20010210.002] perldiag doesn't include the "Scalars leaked" message
             
             Subject: [PATCH @8807] toke.c cleanup: scan_str()
             
             Subject: [PATCH perl.c] Fixing PERL5OPT (was Re: Warnings, strict, and CPAN)
             
             Add run/*.t to testables.
             
             TODO: integrate #8784.
     Branch: maint-5.6/perl
	  +> pod/perlclib.pod t/lib/cgi-esc.t t/run/runenv.t
	  !> (integrate 28 files)
____________________________________________________________________________
[  8984] By: jhi                                   on 2001/03/02  16:00:17
        Log: Integrate changes #8978,8979,8980,8981,8983 from mainline.
             
             perlfaq1 reworded to suggest 5.6.0 or 5.005_03, or POSSIBLY
             5.004_05, and mention the suidperl August 2000 security problem.
             (#8978,#8981)
             
             Subject: [ID 20010301.004] Technically speaking in perldata
             
             Subject: [PATCH] File::Copy for bleadperl, maintperl
             
             Subject:  [PATCH 5.7.0/5.6.0+] VMS piping ... cleanup at interpreter exit
             
             (The #8982, fix for 20010221.005 and 20010221.008,
             would be nice too but it didn't integrate cleanly.)
     Branch: maint-5.6/perl
	  !> lib/File/Copy.pm pod/perldata.pod pod/perlfaq1.pod vms/vms.c
____________________________________________________________________________
[  8974] By: gsar                                  on 2001/03/01  16:28:21
        Log: fix for bugid 20010226.008
             
             the problem was that some of the pointers (PL_last_lop and
             PL_last_uni specifically) into the lex buffers weren't correctly
             being invalidated when the buffer changed; this would leave the
             pointers pointing at an arbitrary location in the buffer if
             the buffer didn't need to be reallocated, or point into freed
             memory if the buffer had to be realloced
             
             TODO item for bugdb maintainers: check other seemingly random
             parser-related bugs--they might be cured by this
     Branch: maint-5.6/perl
	   ! toke.c
____________________________________________________________________________
[  8960] By: jhi                                   on 2001/02/27  22:51:33
        Log: Subject: [PATCH perl@8958 and 5.6.1-trial2] configure.com bug fixing spree
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Tue, 27 Feb 2001 16:11:44 -0600
             Message-Id: <5.0.2.1.0.20010227150548.02a200f8@exchi01>
     Branch: maint-5.6/perl
	   ! configure.com vms/descrip_mms.template
____________________________________________________________________________
[  8957] By: jhi                                   on 2001/02/27  06:15:07
        Log: Subject: [5.6.x] EPOC additions
             From: Olaf Flebbe <O.Flebbe@science-computing.de>
             Date: Mon, 26 Feb 2001 23:33:46 +0100 (CET)
             Message-ID: <Pine.LNX.4.02.10102262333040.3736-100000@milkyway.science-computing.de>
     Branch: maint-5.6/perl
	   ! AUTHORS README.epoc epoc/createpkg.pl pp_sys.c
____________________________________________________________________________
[  8945] By: jhi                                   on 2001/02/26  14:19:53
        Log: Integrate the t/op/sprintf.t parts of #7909 and #8944 from mainline
             to maintperl, listing the known failures on the tests 129 and 130.
     Branch: maint-5.6/perl
	  !> t/op/sprintf.t
____________________________________________________________________________
[  8917] By: jhi                                   on 2001/02/23  20:27:51
        Log: Integrate change #8916 from mainline,
             do away with USE_WIN32_RTL_ENV.
     Branch: maint-5.6/perl
	  !> perl.c util.c win32/win32.c win32/win32.h win32/win32iop.h
____________________________________________________________________________
[  8911] By: jhi                                   on 2001/02/23  04:20:02
        Log: Integrate changes #8896,8897,8898,8906,8907,8908 from mainline.
             
             Duplicated environment freeing, File::Temp 0.12,
             op/append portability (EBCDIC) tweak.
     Branch: maint-5.6/perl
	  !> lib/File/Temp.pm perl.c t/lib/ftmp-mktemp.t t/lib/ftmp-posix.t
	  !> t/op/append.t
____________________________________________________________________________
[  8910] By: jhi                                   on 2001/02/23  02:07:33
        Log: Integrate change #8909 from mainline, a better Borland
             putenv() workaround.
     Branch: maint-5.6/perl
	  !> perl.c
____________________________________________________________________________
[  8900] By: jhi                                   on 2001/02/23  01:18:02
        Log: Integrate changes #8898,8899 from mainline, environ handling.
     Branch: maint-5.6/perl
	  !> perl.c
____________________________________________________________________________
[  8894] By: gsar                                  on 2001/02/22  19:06:18
        Log: integrate changes#6162,6163 from mainline (missing leak fixes!)
             
             fix memory leak in method call optimization (change#3768);
             made C<eval "$x->foo()"> leak
             
             fix memory leak in C<eval "BEGIN {}"> (bug in change#4579)
     Branch: maint-5.6/perl
	  !> op.c
____________________________________________________________________________
[  8886] By: jhi                                   on 2001/02/22  12:49:24
        Log: Integrate changes #8883,8884 from mainline to maintperl.
             
             Subject: [patch: perl@8867] embed.{h|pl} need not mention ebcdic_control ...
             Subject: Re: File::Temp::_gettemp warning
     Branch: maint-5.6/perl
	  !> embed.h embed.pl lib/File/Temp.pm
____________________________________________________________________________
[  8885] By: jhi                                   on 2001/02/22  12:43:59
        Log: Based on
             
             Subject: [ID 20010222.001] POSIX.xs IV vs NV bug
             From: schwab@suse.de
             Date: Thu, 22 Feb 2001 13:08:09 +0100
             Message-Id: <200102221208.f1MC89H09364@sykes.suse.de>
             
             but the fix done slightly differently because the other
             half was already done in #8664.
     Branch: maint-5.6/perl
	   ! ext/POSIX/POSIX.xs
____________________________________________________________________________
[  8882] By: jhi                                   on 2001/02/21  19:41:33
        Log: Integrate change #8881 from mainlin to maintperl.
             
             Subject:  [PATCH - perl8585] glob-in-eval memory leak fix
     Branch: maint-5.6/perl
	  !> op.c
____________________________________________________________________________
[  8871] By: jhi                                   on 2001/02/21  14:07:29
        Log: Integrate change #8868 from pureperl to maintperl.
             
             Fixed reference count loop caused by sv_magic.
     Branch: maint-5.6/perl
	  !> sv.c
____________________________________________________________________________
[  8863] By: jhi                                   on 2001/02/20  20:55:11
        Log: Integrate change #8860,8861 from mainline into maintperl.
             
             "pseudo-literal j"
             
             Subject: [PATCH: 5.6.1 trial2 && perl@8807] workaround VMS I/O problem in Test.pm for bug ID 20010213.009
     Branch: maint-5.6/perl
	  !> lib/Test.pm pod/perlop.pod
____________________________________________________________________________
[  8856] By: jhi                                   on 2001/02/20  17:33:16
        Log: Integrate change #8848 from mainline to maintperl: ?DBM_File cleanup.
     Branch: maint-5.6/perl
	  !> ext/GDBM_File/GDBM_File.pm ext/NDBM_File/NDBM_File.pm
	  !> ext/ODBM_File/ODBM_File.pm ext/SDBM_File/SDBM_File.pm
	  !> t/lib/gdbm.t t/lib/ndbm.t t/lib/odbm.t t/lib/sdbm.t
____________________________________________________________________________
[  8855] By: jhi                                   on 2001/02/20  17:32:13
        Log: Integrate pureperl changes #8844,8845,8850 to maintperl.
             
             Fixed %^H scoping bug
             
             Removed GV <-> CV refcount loop
             
             Removed %ENV refcount loop
     Branch: maint-5.6/perl
	  !> gv.c op.c perl.c pp.c scope.c
____________________________________________________________________________
[  8854] By: jhi                                   on 2001/02/20  17:25:06
        Log: Subject: Addition to readme.win32 for Borland C++ compilers
             Date: Tue, 20 Feb 2001 02:15:25 +0300
             From: "Vadim Konovalov" <watman@inbox.ru>
             Message-ID: <011c01c09aca$93bbbec0$367b55c2@vad>
             
             Document Borland compiler misbehaviour.
     Branch: maint-5.6/perl
	   ! README.win32
____________________________________________________________________________
[  8853] By: jhi                                   on 2001/02/20  17:22:25
        Log: The assimilation of ebcdic.c didn't quite work at the first try,
             patches from Thomas Dorner.
     Branch: maint-5.6/perl
	   ! handy.h util.c
____________________________________________________________________________
[  8852] By: jhi                                   on 2001/02/20  17:20:15
        Log: Subject: [PATCH] More Mac OS patches for maint-5.6
             From: Chris Nandor <pudge@pobox.com>
             Date: Tue, 20 Feb 2001 08:32:45 -0500
             Message-Id: <p05010403b6b81ee8dca0@[10.0.1.177]>
     Branch: maint-5.6/perl
	   ! makedef.pl mg.c
____________________________________________________________________________
[  8831] By: jhi                                   on 2001/02/18  19:14:20
        Log: Integrate change #8827 from mainline.
             
             UTF8 tweaks.
     Branch: maint-5.6/perl
	  !> sv.c utf8.c
____________________________________________________________________________
[  8818] By: jhi                                   on 2001/02/18  02:24:50
        Log: FAQ nit from Chris Fedde.
     Branch: maint-5.6/perl
	   ! pod/perlfaq4.pod
____________________________________________________________________________
[  8810] By: jhi                                   on 2001/02/15  13:35:08
        Log: Upgrade to podlators 1.08, from Russ Allbery.
     Branch: maint-5.6/perl
	   ! lib/Pod/Man.pm lib/Pod/Text.pm
____________________________________________________________________________
[  8809] By: jhi                                   on 2001/02/15  13:26:38
        Log: (accidentally empty check-in)
     Branch: maint-5.6/perl
	   ! lib/Test/Harness.pm
____________________________________________________________________________
[  8808] By: jhi                                   on 2001/02/15  13:23:47
        Log: Subject: [PATCH 5.6.1-TRIAL2] perldoc.PL using install directories
             From: Russ Allbery <rra@stanford.edu>
             Date: 14 Feb 2001 10:15:41 -0800
             Message-ID: <ylzofpf7w2.fsf@windlord.stanford.edu>
             
             perldoc was hardcoding $Config{installscript}, which breaks
             when install* isn't where Perl ends up (such as with AFS).
             
             Use $Config{scriptdir} instead.
     Branch: maint-5.6/perl
	   ! utils/perldoc.PL
____________________________________________________________________________
[  8806] By: jhi                                   on 2001/02/14  14:25:31
        Log: Integrate changes #8803,8804,8805 from mainline.
             
             Duplicate environment for JPL so that JDK 1.2/1.3 don't get upset.
             
             Don't skip too much of the locale error message if no environ array,
             from Chris Nandor.
             
             More MacOS Classic fixes from Chris Nandor.
     Branch: maint-5.6/perl
	  !> doop.c lib/Cwd.pm perl.c perl.h util.c
____________________________________________________________________________
[  8801] By: jhi                                   on 2001/02/13  17:55:19
        Log: Integrate change #8792 from mainline.
             
             Subject: buncha MacPerl patches for bleadperl
             From: Chris Nandor <pudge@pobox.com>
             Date: Tue, 13 Feb 2001 00:02:43 -0500
             Message-Id: <p05010404b6ae6f85e07a@[10.0.1.177]>
     Branch: maint-5.6/perl
	  !> lib/AutoLoader.pm lib/AutoSplit.pm lib/ExtUtils/MakeMaker.pm
	  !> lib/File/Basename.pm makedef.pl perl.c pp_ctl.c
	  !> t/lib/basename.t toke.c util.h
____________________________________________________________________________
[  8800] By: jhi                                   on 2001/02/13  17:46:43
        Log: When doing that Fpos_t used in PerlIO_getpos proto needs
             to be forced to Off_t.
             
             Subject: [ID 20010201.009] 5.6.1-TRIAL2 sfio build fails
             From: nick@ccl4.org
             Date: Thu, 1 Feb 2001 12:01:04 +0000
             Message-Id: <20010201120103.E11401@plum.flirble.org>
     Branch: maint-5.6/perl
	   ! iperlsys.h perlio.c
____________________________________________________________________________
[  8799] By: jhi                                   on 2001/02/13  16:52:51
        Log: Duplex duplex hunk hunk.
     Branch: maint-5.6/perl
	   ! Makefile.SH
____________________________________________________________________________
[  8794] By: jhi                                   on 2001/02/13  14:26:51
        Log: Integrate change #8793 from mainline, FAQ updates.
     Branch: maint-5.6/perl
	  !> pod/perlfaq5.pod pod/perlfaq6.pod pod/perlfaq9.pod
____________________________________________________________________________
[  8791] By: jhi                                   on 2001/02/13  14:10:39
        Log: Integrate change #8790 from mainline.
             
             environ array wrongly assumed in Perl_init_i18nl10n(),
     Branch: maint-5.6/perl
	  !> util.c
____________________________________________________________________________
[  8789] By: jhi                                   on 2001/02/13  13:58:07
        Log: Integrate changes #8373,8487,8544,8783 from mainline.
             
             Synchronize the EBCDIC platforms (os390,posix-bc,vmesa):
             hints files, the dynaloading, assimilate ebcdic into util.c.
     Branch: maint-5.6/perl
	   - ebcdic.c
	   ! MANIFEST hints/posix-bc.sh
	  !> Makefile.SH embed.h embed.pl ext/DynaLoader/dl_dllload.xs
	  !> handy.h hints/os390.sh hints/vmesa.sh installperl objXSUB.h
	  !> perlapi.c proto.h util.c
____________________________________________________________________________
[  8786] By: jhi                                   on 2001/02/13  05:54:34
        Log: Subject: perl@8671 on posix-bc aka BS2000 Posix (small Patch included!)
             From: Dorner Thomas <Thomas.Dorner@start.de>
             Date: Mon, 12 Feb 2001 15:06:26 +0100
             Message-ID: <6727B1DACFCDD311A757009027CA8D69010A8853@Ex02.inhouse.start.de>
     Branch: maint-5.6/perl
	   ! Makefile.SH
____________________________________________________________________________
[  8782] By: jhi                                   on 2001/02/13  02:00:07
        Log: Add OpenBSD to the list of 5.6.1-okay platforms.
     Branch: maint-5.6/perl
	   ! pod/perlport.pod
____________________________________________________________________________
[  8781] By: jhi                                   on 2001/02/13  01:58:44
        Log: OpenBSD hints update for 5.6.1-TRIAL2 from Todd C. Miller.
     Branch: maint-5.6/perl
	   ! hints/openbsd.sh
____________________________________________________________________________
[  8780] By: jhi                                   on 2001/02/13  01:57:33
        Log: Synchronize the regexp tests between maintperl and mainline.
     Branch: maint-5.6/perl
	  !> t/op/re_tests
____________________________________________________________________________
[  8777] By: jhi                                   on 2001/02/13  00:17:54
        Log: Subject: Re: [ID 20010212.006] Core dump with /((?:hard|soft)cover)?/ 
             From: Hugo <hv@crypt.compulink.co.uk>
             Date: Tue, 13 Feb 2001 00:11:11 +0000
             Message-Id: <200102130011.AAA14310@crypt.compulink.co.uk>
     Branch: maint-5.6/perl
	   ! regcomp.c t/op/re_tests
____________________________________________________________________________
[  8776] By: jhi                                   on 2001/02/12  23:25:52
        Log: Add VOS to the list of 5.6.1 known-to-be-working platforms.
     Branch: maint-5.6/perl
	   ! pod/perlport.pod
____________________________________________________________________________
[  8775] By: jhi                                   on 2001/02/12  23:04:28
        Log: VOS updates for 5.6-TRIAL2 from Paul Green.
     Branch: maint-5.6/perl
	   ! README.vos vos/Changes vos/build.cm vos/config.alpha.def
	   ! vos/config.alpha.h vos/config.ga.def vos/config.ga.h
	   ! vos/configure_perl.cm
____________________________________________________________________________
[  8758] By: jhi                                   on 2001/02/10  18:01:17
        Log: Integrate changes #8701,8704,8756 from pureperl to maintperl.
             
             Fixed UMRs and leak in Perl_pmtrans()
             
             Several leaks an UMRs fixed, mainly in the area of Perl_pmtrans and
             associated UTFied tr/// code.  Also fixed scoping leak of
             PL_reg_start_tmp.
             
             newATTRSUB leaks when an attempt to redefine the active sort sub is
             made.
     Branch: maint-5.6/perl
	  !> op.c regcomp.c
____________________________________________________________________________
[  8748] By: jhi                                   on 2001/02/09  18:31:34
        Log: Integrate changes #8673,8674,8676 from maintperl into mainline,
             plus manual tweakage.
             
             Sync the perlfaq2 between mainline and maintperl.
     Branch: maint-5.6/perl
	   ! pod/perlfaq2.pod
     Branch: perl
	  !> pod/perlfaq2.pod
____________________________________________________________________________
[  8746] By: jhi                                   on 2001/02/09  18:03:43
        Log: Integrate changes #8699,8708,8709,8744,8745 from mainline.
             
             Subject: perlfaq2, re: perlmongers
             
             Subject: Re: [PATCH pod/[bt]ootc?.pod] Adding mention of useful CPAN modules
             
             Subject: [PATCH pod/perlmodlib.PL 5.6.1-TRIAL2] Up to date CPAN mirror list
             
             Subject: [ID 20010205.001] typo in perlfaq9
             
             Subject: [ID 20010208.002] unordered explanation in perlcall
     Branch: maint-5.6/perl
	  !> pod/perlapi.pod pod/perlboot.pod pod/perlcall.pod
	  !> pod/perlfaq2.pod pod/perlfaq9.pod pod/perlmodlib.PL
	  !> pod/perlobj.pod pod/perltoot.pod pod/perltootc.pod
____________________________________________________________________________
[  8740] By: jhi                                   on 2001/02/09  17:03:46
        Log: Subject: [PATCH perl-current] perlfaq3.pod, URL for vile
             From: "Brendan O'Dea" <bod@compusol.com.au>
             Date: Sun, 4 Feb 2001 11:17:56 +1100
             Message-ID: <20010204111756.A16301@compusol.com.au>
     Branch: maint-5.6/perl
	   ! pod/perlfaq3.pod
____________________________________________________________________________
[  8739] By: jhi                                   on 2001/02/09  17:01:59
        Log: Subject: [PATCH: perl-5.6.1-TRIAL2] installhtml change to build prettier html files
             From: "Indy Singh" <indy@nusphere.com>
             Date: Fri, 2 Feb 2001 15:09:59 -0500
             Message-ID: <02b601c08d54$23fd3560$d24b7018@cr637287a>
             
             Html files will be generated with a header to make them look
             a little less bare.
     Branch: maint-5.6/perl
	   ! installhtml
____________________________________________________________________________
[  8738] By: jhi                                   on 2001/02/09  16:58:48
        Log: Subject: [PATCH: perl-5.6.1-TRIAL2] Win32 Makefile change to move html directory
             From: "Indy Singh" <indy@nusphere.com>
             Date: Fri, 2 Feb 2001 15:08:23 -0500
             Message-ID: <02b501c08d53$ec354550$d24b7018@cr637287a>
             
             Html files will be installed in a more logical and easier to
             find directory. E.g. c:\perl\html instead of c:\perl\lib\pod\html
     Branch: maint-5.6/perl
	   ! win32/Makefile win32/makefile.mk
____________________________________________________________________________
[  8736] By: jhi                                   on 2001/02/09  16:42:31
        Log: Latin nit from Philip Newton.
     Branch: maint-5.6/perl
	   ! README.hpux
____________________________________________________________________________
[  8733] By: jhi                                   on 2001/02/09  15:35:47
        Log: Subject: Re: [PATCH: 5.6.1 trial 2 && perl@8671] some coded char set issues in perlre.pod
             From: Prymmer/Kahn <pvhp@best.com>
             Date: Thu, 8 Feb 2001 21:21:22 -0800 (PST)
             Message-ID: <Pine.BSF.4.21.0102082048360.1499-100000@shell8.ba.best.com>
     Branch: maint-5.6/perl
	   ! pod/perlre.pod
____________________________________________________________________________
[  8732] By: jhi                                   on 2001/02/09  15:26:17
        Log: Rename README.posix-bc to README.bs2000 (to avoid the
             confusion of a "perlposix-bc.pod"), add a few missing
             arch pods, regen toc.
     Branch: maint-5.6/perl
	  +> README.bs2000
	   - README.posix-bc
	   ! MANIFEST pod/buildtoc.PL pod/perl.pod pod/perlport.pod
	   ! pod/perltoc.pod win32/Makefile win32/makefile.mk
____________________________________________________________________________
[  8728] By: jhi                                   on 2001/02/09  14:46:06
        Log: Subject: [PATCH: 5.6.1 trial 2 && perl@8671] podify README.vmesa
             From: Peter Prymmer <pvhp@forte.com>
             Date: Thu, 8 Feb 2001 13:00:30 -0800 (PST)
             Message-ID: <Pine.OSF.4.10.10102081246030.445810-100000@aspara.forte.com>
     Branch: maint-5.6/perl
	   ! README.vmesa win32/Makefile win32/makefile.mk
____________________________________________________________________________
[  8727] By: jhi                                   on 2001/02/09  14:33:25
        Log: Integrate change #8712 from mainline.
             
             [PATCH: perl-5.6.1 trial2 && perl@8671] VMS specific simplification for Pod::Find
     Branch: maint-5.6/perl
	  !> lib/Pod/Find.pm
____________________________________________________________________________
[  8725] By: jhi                                   on 2001/02/09  04:56:47
        Log: Add NonStopUX to the list of 5.6.1-proven platforms.
     Branch: maint-5.6/perl
	   ! pod/perlport.pod
____________________________________________________________________________
[  8723] By: jhi                                   on 2001/02/09  03:29:29
        Log: Integrate change #8722 from mainline.
             
             The Im() function wasn't returning zero for non-Math::Complex
             arguments.  The bug reported by John Gamble.
     Branch: maint-5.6/perl
	  !> lib/Math/Complex.pm
____________________________________________________________________________
[  8703] By: gsar                                  on 2001/02/06  02:29:37
        Log: $(MAKE) distclean doesn't clean up properly on windows
     Branch: maint-5.6/perl
	   ! win32/Makefile win32/makefile.mk
____________________________________________________________________________
[  8702] By: gsar                                  on 2001/02/06  01:00:46
        Log: tweak change#8659 to keep it simple
     Branch: maint-5.6/perl
	   ! utils/perldoc.PL
____________________________________________________________________________
[  8701] By: gsar                                  on 2001/02/05  22:45:41
        Log: change#8693 was missing testsuite changes
     Branch: maint-5.6/perl
	  !> t/lib/db-btree.t t/lib/db-hash.t t/lib/db-recno.t
____________________________________________________________________________
[  8695] By: gsar                                  on 2001/02/05  03:27:34
        Log: thread.h tweak to enable 5005threads on HP-UX 10.20 with DCE threads
     Branch: maint-5.6/perl
	   ! thread.h
____________________________________________________________________________
[  8693] By: gsar                                  on 2001/02/04  22:38:49
        Log: integrate changes#7801,8068,8094,8108,8196 from mainline (DB_File
             changes)
     Branch: maint-5.6/perl
	  !> ext/DB_File/Changes ext/DB_File/DB_File.pm
	  !> ext/DB_File/DB_File.xs ext/DB_File/dbinfo ext/DB_File/typemap
	  !> ext/DB_File/version.c
____________________________________________________________________________
[  8687] By: jhi                                   on 2001/02/03  17:11:42
        Log: HP-UX thread patches from Merijn H. Brand.
     Branch: maint-5.6/perl
	   ! README.hpux hints/hpux.sh
____________________________________________________________________________
[  8682] By: jhi                                   on 2001/02/03  05:52:11
        Log: IRIX hints fix from Scott Henry, get Configure -Dcc="cc -64 -mips3"
             to work correctly.
     Branch: maint-5.6/perl
	   ! hints/irix_6.sh
____________________________________________________________________________
[  8681] By: jhi                                   on 2001/02/03  05:47:33
        Log: perlport tweaks from Peter Prymmer and Chris Nandor.
     Branch: maint-5.6/perl
	   ! pod/perlport.pod
____________________________________________________________________________
[  8680] By: jhi                                   on 2001/02/02  21:39:49
        Log: perlport update from Peter Prymmer.
     Branch: maint-5.6/perl
	   ! pod/perlport.pod
____________________________________________________________________________
[  8678] By: gsar                                  on 2001/02/02  16:02:12
        Log: note about bincompat, slightly modified (from Lupe Christoph)
     Branch: maint-5.6/perl
	   ! README.solaris
____________________________________________________________________________
[  8677] By: jhi                                   on 2001/02/02  15:46:20
        Log: Supported platforms updates.
     Branch: maint-5.6/perl
	   ! pod/perlport.pod
____________________________________________________________________________
[  8676] By: jhi                                   on 2001/02/02  03:41:26
        Log: A couple more perlfaq2 tweaks.
     Branch: maint-5.6/perl
	   ! pod/perlfaq2.pod
____________________________________________________________________________
[  8675] By: jhi                                   on 2001/02/02  03:17:44
        Log: Misedit in #8661.
     Branch: maint-5.6/perl
	   ! Configure
____________________________________________________________________________
[  8674] By: jhi                                   on 2001/02/02  03:14:38
        Log: Damien again.
     Branch: maint-5.6/perl
	   ! pod/perlfaq2.pod
____________________________________________________________________________
[  8673] By: jhi                                   on 2001/02/02  03:12:40
        Log: perlfaq update from Elaine Ashton.
     Branch: maint-5.6/perl
	   ! pod/perlfaq2.pod
____________________________________________________________________________
[  8672] By: jhi                                   on 2001/02/02  03:07:08
        Log: UTF-8 s/// patch from Inaba Hiroto.
     Branch: maint-5.6/perl
	   ! pp_ctl.c pp_hot.c
____________________________________________________________________________
[  8669] By: jhi                                   on 2001/02/01  21:57:02
        Log: Subject: Re: [PATCH perl5.6.1-TRIAL2] long C<=item>s in perlmodlib.pod
             From: Robin Barker <rmb1@cise.npl.co.uk>
             Date: Thu, 1 Feb 2001 16:59:05 GMT
             Message-Id: <200102011659.QAA01274@tempest.npl.co.uk>
     Branch: maint-5.6/perl
	   ! pod/perlmodlib.PL
____________________________________________________________________________
[  8667] By: gsar                                  on 2001/02/01  16:59:11
        Log: add ppaddr as one of the compatibility symbols under -DPERL_POLLUTE
     Branch: maint-5.6/perl
	   ! embed.pl embedvar.h
____________________________________________________________________________
[  8666] By: gsar                                  on 2001/02/01  16:34:51
        Log: add missing entries to win32/config.?c
     Branch: maint-5.6/perl
	   ! win32/config.bc win32/config.gc win32/config.vc
	   ! win32/config_H.bc win32/config_H.gc win32/config_H.vc
____________________________________________________________________________
[  8665] By: jhi                                   on 2001/02/01  14:58:51
        Log: Subject: Re: [ID 20010201.006] bad pointer from perlfunc to perlmod 
             From: "Stephen P. Potter" <spp@spotter.yi.org>
             Date: Thu, 01 Feb 2001 10:45:46 -0500
             Message-Id: <200102011545.KAA31479@spotter.yi.org>
     Branch: maint-5.6/perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[  8664] By: gsar                                  on 2001/02/01  14:52:37
        Log: need to use INT2PTR instead of a straight cast or ia64 fails
             posix.t (from Brendan O'Dea <bod@compusol.com.au>)
     Branch: maint-5.6/perl
	   ! ext/POSIX/POSIX.xs
____________________________________________________________________________
[  8663] By: jhi                                   on 2001/02/01  14:09:13
        Log: Allow the float to be fuzzier.
     Branch: maint-5.6/perl
	   ! t/lib/peek.t
____________________________________________________________________________
[  8662] By: jhi                                   on 2001/02/01  13:59:00
        Log: Subject: [PATCH perl5.6.1-TRIAL2] long C<=item>s in perlmodlib.pod
             From: Robin Barker <rmb1@cise.npl.co.uk>
             Date: Thu, 1 Feb 2001 13:05:39 GMT
             Message-Id: <200102011305.NAA26160@tempest.npl.co.uk>
     Branch: maint-5.6/perl
	   ! pod/perlmodlib.pod
____________________________________________________________________________
[  8661] By: jhi                                   on 2001/02/01  13:57:38
        Log: Subject: [PATCH] Re: v5.6.1 trial2 is available
             Date: Thu, 01 Feb 2001 14:15:41 +0100
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Message-Id: <20010201141104.303F.H.M.BRAND@hccnet.nl>
             
             Have the $ccflags in the gcc version test (strange, this change
             is claimed to be have been integrated already)
     Branch: maint-5.6/perl
	   ! Configure
____________________________________________________________________________
[  8660] By: jhi                                   on 2001/02/01  13:44:10
        Log: Integrate changes #7950,7964,7962 from mainline.
             
             Find the stdchar signedness using cpp, should fix some of
             the Solaris compiler warnings reported by Alan Burlison.
     Branch: maint-5.6/perl
	  !> Configure config_h.SH
____________________________________________________________________________
[  8659] By: jhi                                   on 2001/02/01  05:35:32
        Log: Subject: [PATCH 5.6.1-TRIAL? and 5.7.?] perldoc uses unescaped backslashes in filenames
             From: Jan Dubois <JanD@ActiveState.com>
             Date: Wed, 31 Jan 2001 21:17:03 -0800
             Message-ID: <8qrh7t069jt32m98sap53l9dfoge0vjrle@4ax.com>
     Branch: maint-5.6/perl
	   ! utils/perldoc.PL
____________________________________________________________________________
[  8658] By: jhi                                   on 2001/02/01  04:33:17
        Log: Integrate the README.os390 and README.posix-bc parts of mainline
             changes #8373,8486, 8544,8556.  (The hints/os390.sh,Makefile.SH,
             installperl parts were taken care of by #8657.)
     Branch: maint-5.6/perl
	  !> README.os390 README.posix-bc
____________________________________________________________________________
[  8657] By: jhi                                   on 2001/02/01  04:29:21
        Log: Subject: [PATCH: 5.6.1 trial2] DynaLoading for OS/390 build option
             From: Peter Prymmer <pvhp@forte.com>
             Date: Wed, 31 Jan 2001 18:18:11 -0800 (PST)
             Message-ID: <Pine.OSF.4.10.10101311815560.336633-100000@aspara.forte.com>
     Branch: maint-5.6/perl
	   + ext/DynaLoader/dl_dllload.xs
	   ! MANIFEST Makefile.SH hints/os390.sh installperl
____________________________________________________________________________
[  8656] By: jhi                                   on 2001/02/01  04:25:45
        Log: Subject: [PATCH: 5.6.1 trial2]Not OK: perl v5.6.1 +v5.6.1-TRIAL2 on os390 05.00 (UNINSTALLED)
             From: Peter Prymmer <pvhp@forte.com>
             Date: Wed, 31 Jan 2001 15:26:57 -0800 (PST)
             Message-ID: <Pine.OSF.4.10.10101311523101.336633-100000@aspara.forte.com>
     Branch: maint-5.6/perl
	   ! lib/Math/BigInt.pm lib/bigint.pl t/lib/b.t t/pragma/sub_lval.t
____________________________________________________________________________
[  8655] By: jhi                                   on 2001/02/01  04:14:47
        Log: Subject: [ID 20010131.066] Not OK: perl v5.6.1 +v5.6.1-TRIAL2 on os2 2.40 (UNINSTALLED)
             From: troc@netrus.net
             Date: Wed, 31 Jan 2001 22:31:26 -0500
             Message-Id: <200102010331.WAA117.85@rocco.homenet>
     Branch: maint-5.6/perl
	   ! os2/os2.c
____________________________________________________________________________
[  8654] By: jhi                                   on 2001/02/01  04:12:52
        Log: Solaris 2.7 i386 #defines SP in /usr/include/sys/reg.h
             as reported by Alan Burlison.
     Branch: maint-5.6/perl
	   ! pp.h
____________________________________________________________________________
[  8653] By: jhi                                   on 2001/02/01  04:05:12
        Log: Subject: [ID 20010131.042] Not OK: perl v5.6.1 +v5.6.1-TRIAL2 on VMS_AXP V7.2-1
             From: dsugalski@northernlight.com
             Date: Wed, 31 Jan 2001 18:54:11 -0500
             Message-Id: <01013118541126@monsoon.stratus.northernlight.com>
     Branch: maint-5.6/perl
	   ! configure.com
____________________________________________________________________________
[  8652] By: jhi                                   on 2001/02/01  04:03:11
        Log: Misplaced #endif.
             
             Subject: [perl-5-6-1-trial2] patches for EPOC
             From: Olaf Flebbe <O.Flebbe@science-computing.de>
             Date: Wed, 31 Jan 2001 23:15:34 +0100 (CET)
             Message-ID: <Pine.LNX.4.02.10101312314470.5682-100000@milkyway.science-computing.de>
     Branch: maint-5.6/perl
	   ! epoc/epocish.c
____________________________________________________________________________
[  8651] By: jhi                                   on 2001/02/01  04:00:25
        Log: Integrate changes #8647,8648,8650 from mainline.
             
             Macrofy a magic UTF-8 test.
             
             Protect PL_numeric_radix_sv with USE_NUMERIC_LOCALE.
             
             Watch out for cross compiling for EPOC (usually done on linux).
     Branch: maint-5.6/perl
	  !> ext/Errno/Errno_pm.PL sv.c utf8.c utf8.h
____________________________________________________________________________
[  8649] By: gsar                                  on 2001/02/01  00:46:00
        Log: perl_clone() wants to clone PL_numeric_radix_sv (fix for change#8626)
     Branch: maint-5.6/perl
	   ! sv.c
____________________________________________________________________________
[  8646] By: gsar                                  on 2001/01/31  15:55:12
        Log: update Changes
     Branch: maint-5.6/perl
	   ! Changes
____________________________________________________________________________
[  8645] By: gsar                                  on 2001/01/31  15:10:14
        Log: Configure tweak suggested by Peter Prymmer
     Branch: maint-5.6/perl
	   ! Configure
____________________________________________________________________________
[  8644] By: gsar                                  on 2001/01/31  15:06:32
        Log: more files need to be writable in the source distribution
     Branch: maint-5.6/perl
	   ! Porting/makerel
____________________________________________________________________________
[  8643] By: jhi                                   on 2001/01/31  14:59:46
        Log: Integrate changes #8258,8278,8279 from mainline.
             
             Make the large file tests more robust/talkative.
     Branch: maint-5.6/perl
	  !> t/lib/syslfs.t t/op/lfs.t
____________________________________________________________________________
[  8642] By: gsar                                  on 2001/01/31  14:53:48
        Log: integrate changes#8311,8334 from mainline
             
             Add a new MakeMaker variable PM_FILTER that defines a Unix
             filter to be run on each .pm during the pm_to_blib() phase,
             a fixed version of
             Subject: PATCH (blead 8269) ExtUtils::MakeMaker
             
             Subject: PATCH 5.6.1 & blead 8327 -- workaround for t/io/fs.t
             Apparently, the glibc2.2 + linux 2.4.0 + NFS combination prevent
             accurate reading of the "atime".  
     Branch: maint-5.6/perl
	  !> lib/ExtUtils/Install.pm lib/ExtUtils/MM_Unix.pm
	  !> lib/ExtUtils/MM_VMS.pm lib/ExtUtils/MM_Win32.pm
	  !> lib/ExtUtils/MakeMaker.pm t/io/fs.t
____________________________________________________________________________
[  8641] By: jhi                                   on 2001/01/31  14:46:37
        Log: Upgrade to Getopt::Long 2.25, from Johan Vromans.
     Branch: maint-5.6/perl
	   ! lib/Getopt/Long.pm
____________________________________________________________________________
[  8640] By: gsar                                  on 2001/01/31  14:40:24
        Log: make regen_all
     Branch: maint-5.6/perl
	   ! patchlevel.h pod/perlmodlib.pod pod/perltoc.pod
____________________________________________________________________________
[  8639] By: gsar                                  on 2001/01/31  14:37:25
        Log: refresh windows config files
     Branch: maint-5.6/perl
	   ! win32/Makefile win32/config_H.bc win32/config_H.gc
	   ! win32/config_H.vc win32/makefile.mk
____________________________________________________________________________
[  8638] By: gsar                                  on 2001/01/31  14:28:10
        Log: makefile tweaks for windows: introduce a bulk-switch to enable
             same options as ActivePerl; sync changes with makefile.mk
     Branch: maint-5.6/perl
	   ! win32/Makefile win32/makefile.mk
____________________________________________________________________________
[  8636] By: jhi                                   on 2001/01/31  02:38:32
        Log: Integrate changes #7884,8122,8155,8197,8213[just to /nolog part,
             no perlio],8257,8380,8479,8515 from mainline.
             
             Subject:  [PATCH perl@7795 (and earlier)] VMS test cleanup
             
             Subject: Re: [ID 20001214.011] Unreachable value in a search list logical name
             Subject: [PATCH perl@8133] fix-up for VMS extensions
             
             In VMS embedded perls couldn't access the statically built Socket.
             
             Subject: [patch: perl@8211]VMS: add -Duseperlio capacity to configure.com (8213)
             
             Further VMS piping fixes from Charles Lane.
             
             Subject:  [PATCH] make t/op/misc.t work on VMS
             
             Add tracing for debugging extensions builds in VMS.
             
             Subject: [PATCH perl@8506] typo in last week's configure.com frenzy
     Branch: maint-5.6/perl
	  !> configure.com doio.c t/op/misc.t vms/descrip_mms.template
	  !> vms/ext/DCLsym/Makefile.PL vms/ext/Stdio/Makefile.PL
	  !> vms/test.com vms/vms.c vms/vmsish.h vms/vmspipe.com
____________________________________________________________________________
[  8635] By: jhi                                   on 2001/01/31  01:46:41
        Log: Integrate change #7732 from mainline.
             
             Sparc 64-bit pack() fix from Jens Hamisch.
     Branch: maint-5.6/perl
	  !> pp.c
____________________________________________________________________________
[  8634] By: jhi                                   on 2001/01/31  01:41:16
        Log: One spot missing from #8626.
     Branch: maint-5.6/perl
	   ! sv.c
____________________________________________________________________________
[  8633] By: jhi                                   on 2001/01/31  00:49:17
        Log: Integrate change #7495 from mainline.
             
             Subject: [PATCH: perl@7483] generalize AIX ccversion hack for re extension
     Branch: maint-5.6/perl
	  !> MANIFEST ext/re/Makefile.PL
____________________________________________________________________________
[  8632] By: jhi                                   on 2001/01/30  23:38:49
        Log: Integrate change #8396 from mainline.
             
             Subject: [PATCH] add SO_REUSEPORT to export list in Socket.pm for
             better multicast support (resend)
     Branch: maint-5.6/perl
	  !> ext/Socket/Socket.pm
____________________________________________________________________________
[  8631] By: jhi                                   on 2001/01/30  23:28:03
        Log: Integrate changes #7514,7813,8113,8144,8397,8398,8490 from mainline.
             
             More AIX lore. (7514, ext/re/hints/aix.pl)
             
             Subject: Re: [PATCH bleadperl] Re: Not OK: perl5.7.0 +DEVEL7706    +Duseperlio on AIX4.[23]
             
             Subject: Re: [PATCH bleadperl] Re: Not OK: perl5.7.0 +DEVEL7706    +Duseperlio on AIX4.[23] (7813, strictly speaking not yet necessary, but harmless and goes well with #8490)
             
             Subject: [ID 20001214.002] Net::Ping patch
             
             Subject: [patch perl@8133] Typo in my Net::Ping doc patch :(
             
             Subject: [PATCH] add ReusePort option to IO::Socket::INET for better multicast support (resend)
             
             Add ReuseAddr as a (preferred) alias for Reuse as we now
             also have ReusePort.
             
             Subject: [PATCH: perl@8482] minor typos in some dl_$foo.xs files
     Branch: maint-5.6/perl
	  +> ext/re/hints/aix.pl
	  !> ext/DynaLoader/dl_aix.xs ext/DynaLoader/dl_dlopen.xs
	  !> ext/IO/lib/IO/Socket/INET.pm lib/Net/Ping.pm
____________________________________________________________________________
[  8630] By: jhi                                   on 2001/01/30  23:03:59
        Log: Integrate changes #8215,8587 from mainline: missing pod nits.
             
             read() documentation tweak for 20001121.004.
             
             Subject: [ID 20010128.003] [PATCH] perlre.pod buglet
     Branch: maint-5.6/perl
	  !> pod/perlfunc.pod pod/perlre.pod
____________________________________________________________________________
[  8629] By: jhi                                   on 2001/01/30  22:41:57
        Log: Integrate change #8098 from mainline.
             
             fastgetcwd is defined using a glob alias on a $^O dependent basis
             and there was no default assignment or perl subroutine.
     Branch: maint-5.6/perl
	  !> lib/Cwd.pm
____________________________________________________________________________
[  8628] By: jhi                                   on 2001/01/30  21:58:52
        Log: Integrate change #7866 from mainline.
             
             File::Temp 0.11.
     Branch: maint-5.6/perl
	  !> lib/File/Temp.pm t/lib/ftmp-tempfile.t
____________________________________________________________________________
[  8627] By: jhi                                   on 2001/01/30  21:39:44
        Log: Integrate changes #8075,8086,8228 from mainline.  
             
             Darwin is not Windows. (8075,8086)
             
             Subject: [PATCH 5.6.1-TRIAL1 and @8223]; was Re: Perlbug 20000322.006 status +update
     Branch: maint-5.6/perl
	  !> lib/CGI.pm lib/Pod/Select.pm lib/Text/ParseWords.pm
	  !> pod/perl.pod pod/perl5004delta.pod pod/perl5005delta.pod
	  !> pod/perldiag.pod pod/perlembed.pod pod/perlfaq4.pod
	  !> pod/perllocale.pod pod/perlmodlib.pod pod/perlretut.pod
____________________________________________________________________________
[  8626] By: jhi                                   on 2001/01/30  21:22:11
        Log: Integrate with tweakery the change #8625 from mainline,
             the multibyte decimal separator fix ("fa_IR locale failure").
     Branch: maint-5.6/perl
	   ! embedvar.h perlapi.h
	  !> intrpvar.h perl.c perl.h sv.c util.c
____________________________________________________________________________
[  8624] By: gsar                                  on 2001/01/30  20:17:03
        Log: regen_headers
     Branch: maint-5.6/perl
	   ! Makefile.SH pod/perlintern.pod
____________________________________________________________________________
[  8623] By: gsar                                  on 2001/01/30  19:42:34
        Log: backout change#7431 and its dependents (causes spurious rebuilds
             of autogenerated files)
             
             fix benign b.t failure
     Branch: maint-5.6/perl
	   ! Makefile.SH t/lib/b.t
____________________________________________________________________________
[  8621] By: gsar                                  on 2001/01/30  19:24:47
        Log: integrate changes#8259,8442,8444,8445,8448,8449,8451,8455
             from mainline
             
             Subject: podlators 1.06 released
             
             Subject: [PATCH @8436] Eliminate op_children
             
             (Replaced by #8448)  Traces of op_children (cleanup of #8442)
             
             (Replaced by #8448)  More op_children traces (cleanup of #8442).
             
             Subject: [PATCH #3 @8436] Re: Eliminate op_children
             Replace #8444 and #8445.
             
             Under 5.005 threads and debugging crashed in Debian 2.2 Linux/x86
             at the setting of the ofs_sv in new_struct_thread() as the
             thr->Tofs_sv (PL_ofs_sv) was still 0xabab.... (this is what
             uninitialized fields are, uh, initialized with),
             SvREFCNT_inc()ing that invited a core dump.
             
             podlators 1.07, from Russ Allbery.
             
             Subject: [PATCH] regcomp.c old feature removal
             From: mjd@plover.com
             Date: 16 Jan 2001 14:43:18 -0000 
             Message-ID: <20010116144318.7140.qmail@plover.com> 
     Branch: maint-5.6/perl
	  +> lib/Pod/Text/Overstrike.pm
	  !> MANIFEST bytecode.pl ext/B/B.xs ext/B/B/Asmdata.pm
	  !> ext/B/B/Bytecode.pm ext/B/B/C.pm ext/B/B/Concise.pm
	  !> ext/B/B/Debug.pm ext/ByteLoader/byterun.c
	  !> ext/ByteLoader/byterun.h lib/Pod/Man.pm lib/Pod/Text/Color.pm
	  !> lib/Pod/Text/Termcap.pm op.c op.h pod/pod2text.PL regcomp.c
	  !> util.c
____________________________________________________________________________
[  8620] By: gsar                                  on 2001/01/30  18:48:32
        Log: integrate changes#8243,8254,8255,8313,8314,8363,8383,8390,8416,
             8417,8418,8419,8424,8427,8430,8441,8563 from mainline (TODO: b.t
             now fails one test)
             
             Subject: [PATCH] lvalue AUTOLOAD. No, really.
             
             Subject: [PATCH] Interesting syntax idea
             Make opens + bareword assigns do typeglob assigns.
             
             Tests for #8254.
             
             Subject: [PATCH @8269] Continue blocks and B::Deparse
             Make the peephole optimizer to bypass more null ops and
             and rewrite the deparse handling of continue blocks.
             
             Subject: Re: [PATCH @8269] Continue blocks and B::Deparse
             Doc tweak on #8313.
             
             Subject: [PATCH @8344] Fix spurious GVSV OPpOUR_INTRO
             
             Subject: [PATCH @8382] Remove FileHandle/IO dependence in t/io/openpid.t
             
             Subject:  [PATCH perl@8269] Opcode.XS, fix memory leak
             
             Subject: RE: [PATCH] [ID 20001223.002] lvalues in list context
             Replace 10000 with RETVAL_MAX, and compute RETVAL_MAX
             according to the platform.
             
             Subject: [PATCH @8404] Consolidated lvalue sub changes
             
             Subject: Re: [PATCH] [ID 20001223.002] lvalues in list context
             
             Rename RETVAL_MAX to RETURN_UNLIMITED_NUMBER.
             
             Subject: B::Concise -- an improved replacement for B::Terse 
             
             The B::Terse drop-in replacement wasn't quite drop-in.
             
             The LVRET macro needed an aTHX.
             
             Use the /^Perl_/-less form of is_lvalue_sub().
             
             Subject: [PATCH @8545] [ID 20000808.005] OP_REFGEN as an lvalue
     Branch: maint-5.6/perl
	  +> ext/B/B/Concise.pm
	  !> (integrate 27 files)
____________________________________________________________________________
[  8616] By: jhi                                   on 2001/01/30  18:20:58
        Log: Integrate partly the change #8615 from mainline, the t/op/each.t
             part isn't applicable to maintperl.
             
             UTF-8 nit from Inaba Hiroto.
     Branch: maint-5.6/perl
	  !> pod/perlapi.pod utf8.c
____________________________________________________________________________
[  8613] By: gsar                                  on 2001/01/30  16:39:59
        Log: make it possible to run the tests outside the source tree
             (there's still a dependency on ../lib being the library
             location)
     Branch: maint-5.6/perl
	   ! t/base/term.t t/io/tell.t t/lib/dprof/V.pm t/op/flip.t
____________________________________________________________________________
[  8612] By: gsar                                  on 2001/01/30  16:31:12
        Log: perldoc nit on windows
     Branch: maint-5.6/perl
	   ! utils/perldoc.PL
____________________________________________________________________________
[  8611] By: gsar                                  on 2001/01/30  16:22:54
        Log: canonicalize paths when doing chdir() on windows (or Cwd::getcwd()
             gets weird results)
     Branch: maint-5.6/perl
	   ! win32/vdir.h
____________________________________________________________________________
[  8610] By: gsar                                  on 2001/01/30  16:12:45
        Log: avoid uninitialized value warnings
     Branch: maint-5.6/perl
	   ! win32/bin/search.pl
____________________________________________________________________________
[  8609] By: gsar                                  on 2001/01/30  16:08:01
        Log: support for -Dusethreads build under HP-UX 10.20 and DCE threads
             library (11.0 and later have pthreads but 10.x don't)
     Branch: maint-5.6/perl
	   ! hints/hpux.sh thread.h
____________________________________________________________________________
[  8608] By: gsar                                  on 2001/01/30  15:48:55
        Log: perl's internal variables are not for public consumption,
             move their docs from perlapi.pod to perlintern.pod
     Branch: maint-5.6/perl
	   ! intrpvar.h perlapi.c pod/perlapi.pod pod/perlintern.pod
	   ! thrdvar.h
____________________________________________________________________________
[  8607] By: gsar                                  on 2001/01/30  15:44:27
        Log: mistakenly branched perl56delta.pod, revert
     Branch: maint-5.6/perl
	   - pod/perl56delta.pod
	  !> pod/perldelta.pod
____________________________________________________________________________
[  8606] By: gsar                                  on 2001/01/30  14:20:24
        Log: integrate changes#7984,7987,8010 from mainline (gets rid of
             dTHR which has been a noop for a while now, except for the
             compatibility definition in thread.h)
     Branch: maint-5.6/perl
	  !> (integrate 45 files)
____________________________________________________________________________
[  8605] By: jhi                                   on 2001/01/30  05:43:58
        Log: Mark the UTF-8 APIs as experimental.
     Branch: maint-5.6/perl
	   ! embed.pl pod/perlapi.pod
____________________________________________________________________________
[  8604] By: jhi                                   on 2001/01/30  05:38:40
        Log: Nits from earlier integrates.
     Branch: maint-5.6/perl
	   ! lib/Carp/Heavy.pm
	  !> sv.c
____________________________________________________________________________
[  8603] By: jhi                                   on 2001/01/30  05:27:26
        Log: Regenerate Porting files.
     Branch: maint-5.6/perl
	   ! Porting/Glossary Porting/config.sh Porting/config_H
____________________________________________________________________________
[  8602] By: jhi                                   on 2001/01/30  05:14:59
        Log: Integrate changes #7891,8034,8078,8110,8111,8112,8277,8291,
             8310,8339,8447,8492,8493,8505,8525: documentation changes.
             
             Subject: Re: perlfaq style changes
             
             Subject: DOC PATCH 5.6.0: -s return value incompletely documented
             
             Subject: [PATCH] docs on NaN
             
             Subject: [patch] perlfaq7
             
             Subject: [ID 20001214.003] [PATCH bleadperl] POSIX::tmpnam() is dangerous
             
             Subject: [PATCH] Re: [ID 20001013.006] XS subs are not define()ed
             
             Subject: [PATCH] open() example in perlfunc.pod
             
             Podify README.mpeix (a new version from the web)
             
             Subject: [PATCH 5.[67].1]; as Re: [PATCH 5.6.1-TRIAL1 and @8223]; was Re: Perlbug 20000322.006 status update
             
             Subject: [PATCH] format and rewording in perlfaq.pod
             
             Subject: [PATCH] API Variable documentation   
             
             Memory management calls documentation.
             
             Subject: [PATCH: perl@8482] README.vms URL updates
             
             Subject: Minor typos in perlfaq2.pod
             
             Subject: [PATCH] pod/perlvar.pod
     Branch: maint-5.6/perl
	  +> pod/perl56delta.pod
	   ! pod/buildtoc.PL pod/perl.pod pod/perltoc.pod
	  !> README.amiga README.epoc README.mpeix README.vms
	  !> ext/POSIX/POSIX.pod lib/CPAN.pm lib/Carp/Heavy.pm
	  !> lib/Win32.pod pod/perlapi.pod pod/perlfaq.pod pod/perlfaq1.pod
	  !> pod/perlfaq2.pod pod/perlfaq6.pod pod/perlfaq7.pod
	  !> pod/perlfunc.pod pod/perlop.pod pod/perlrequick.pod
	  !> pod/perlvar.pod thrdvar.h
____________________________________________________________________________
[  8601] By: jhi                                   on 2001/01/30  04:38:35
        Log: Integrate changes #8036,8096,8253 from mainline:
             hints changes.
             
             Subject: [ID 20001207.004] [PATCH 5.6.0 and 5.7.x] add NCR MP-RAS support
             Subject: [8095] HP-UX 11.00 / cc / 64bitint & 64bitall / perlio 
             
             Output the (apparent) version of gcc in Tru64.
     Branch: maint-5.6/perl
	  +> ext/POSIX/hints/svr4.pl
	  !> MANIFEST ext/POSIX/Makefile.PL hints/dec_osf.sh hints/hpux.sh
	  !> hints/svr4.sh t/lib/bigfltpm.t
____________________________________________________________________________
[  8600] By: jhi                                   on 2001/01/30  04:04:01
        Log: Integrate changes #7863,7868,7875,7876,7888,8384,8480 from mainline:
             locale fixes.
             
             sprintf() does not taint since print() does not. (7863,7875,7876,7888)
             
             Debian allows /usr/bin/locale to exist without any locales. (7868)
             
             Allow the locale test needing POSIX and the taint test
             needing IPC::SysV to run under 'minitest' (basically,
             bail out if loading the extension fails). (8384)
             
             Cleanup the locale.t output  (8480)
     Branch: maint-5.6/perl
	  !> pod/perllocale.pod sv.c t/op/misc.t t/op/taint.t
	  !> t/pragma/locale.t
____________________________________________________________________________
[  8599] By: jhi                                   on 2001/01/30  03:51:04
        Log: Missing generated files from #8598.
     Branch: maint-5.6/perl
	   ! embed.h global.sym objXSUB.h perlapi.c proto.h
____________________________________________________________________________
[  8598] By: jhi                                   on 2001/01/30  03:41:54
        Log: Integrate change #8555 from mainline, manually integrate parts
             of changes 8452 and 8583.
             
             Subject: [PATCH] utf8.c documentation (8452)
             
             No point in checking the length if the pointer is bogus. (8555)
             
             Introduce bytes_from_utf8() and implement sv_eq() using it,
             tr/// did not handle UTF-8 ranges, \ before a raw UTF-8 character
             produced "Malformed UTF-8 character" warning, "\x{100}\N{CENT SIGN}"
             was malformed. (8583)
     Branch: maint-5.6/perl
	   ! embed.pl t/lib/charnames.t t/op/tr.t toke.c
	  !> pod/perlapi.pod sv.c utf8.c
____________________________________________________________________________
[  8597] By: gsar                                  on 2001/01/30  02:37:26
        Log: get PERL_OBJECT build going again on windows
     Branch: maint-5.6/perl
	   ! embed.h embed.pl global.sym objXSUB.h perlapi.c
	   ! pod/perlapi.pod proto.h sv.c
____________________________________________________________________________
[  8586] By: gsar                                  on 2001/01/29  13:43:44
        Log: make the BOM detection code not call tell() until it has to
             (meant to fix esoteric compatibility issues where PL_rsfp
             is overridden)
     Branch: maint-5.6/perl
	   ! toke.c
____________________________________________________________________________
[  8580] By: jhi                                   on 2001/01/28  05:16:25
        Log: Revert the change to sv_2pv() done by #8054: Someone who
             did SvNV_set() on a scalar that also happened to be POK,
             followed by sv_2pv() won't get the right coercion anymore.
             [Sarathy]
     Branch: maint-5.6/perl
	   ! sv.c
____________________________________________________________________________
[  8579] By: jhi                                   on 2001/01/28  05:15:04
        Log: Remove the #8084 effect: do not allow -Q to be interpreted
             as -&Q(), this is too much wiggle room.
     Branch: maint-5.6/perl
	   ! toke.c
____________________________________________________________________________
[  8578] By: jhi                                   on 2001/01/28  05:12:45
        Log: Needed bits of #8439 (should have been in #8576),
             mainly for lval substr().
     Branch: maint-5.6/perl
	   ! mg.c pp.c pp_hot.c
____________________________________________________________________________
[  8577] By: jhi                                   on 2001/01/28  05:02:46
        Log: A missing check-in.
     Branch: maint-5.6/perl
	   ! utf8.c
____________________________________________________________________________
[  8576] By: jhi                                   on 2001/01/28  04:26:18
        Log: Integrate changes #8425,8436,8439,8517 from mainline.
             The 8439 was not truly integrated because it had too many
             dependencies on the development branch and because it introduced
             concepts too bold for a maintenance branch (such as the qu operator).
             
             Subject: [PATCH perl@8342] -Wformat
             
             Tighten some of the UTF-8 tests a bit.
             
             More UTF-8 patches from Inaba Hiroto. (8439, but only partly)
             - The substr lval was still not okay.
             - Now pp_stringify and sv_setsv copies source's UTF8 flag
             even if IN_BYTE.  pp_stringify is called from fold_constants
             at optimization phase and "\x{100}" was made SvUTF8_off under
             use bytes (the bytes pragma is for "byte semantics" and not
             for "do not produce UTF8 data")
     Branch: maint-5.6/perl
	   ! t/lib/charnames.t t/op/substr.t toke.c
	  !> sv.c t/pragma/utf8.t
____________________________________________________________________________
[  8575] By: jhi                                   on 2001/01/28  04:01:51
        Log: Integrate changes #8378,8379,8385,8386,8405 from mainline.
             
             Subject: One more patch for UTF8  (UTF-8 fixes for 'x' and tr////)
             
             Subject: [ID 20001230.003] UTF-8 tr still hurts
             
             Test cases for #8385 (from Simon's "torture.pl")
             
             Start fixing UTF-8 lval substr() (8405)
     Branch: maint-5.6/perl
	  !> doop.c embed.h embed.pl mg.c op.c pod/perlapi.pod pp.c proto.h
	  !> regcomp.c regexec.c t/op/substr.t t/op/tr.t toke.c utf8.c
____________________________________________________________________________
[  8574] By: jhi                                   on 2001/01/28  03:09:06
        Log: Integrate changes #8328,8329,8330,8331,8332,8341,8343,8377
             from mainline.
             
             UTF-8 cleanup.
             
             Subject: [PATCH perl@8327] strings with \x{..} in the middle are corrupted 
             
             "\x{FF}\xFF" was broken.
             
             Tests for #8329 and #8330.
             
             Add a note about EBCDIC versus UTF-8 to a potential problem spot.
             
             IRIX compiler noticed that the bof initialization might be
             bypassed by control flow.
             
             Make explicit our assumption that (for now) "\x{80}" produces UTF-8.
     Branch: maint-5.6/perl
	  !> doop.c op.c pp.c pp_ctl.c pp_hot.c pp_sys.c regcomp.c
	  !> regexec.c sv.c t/op/bop.t toke.c utf8.c
____________________________________________________________________________
[  8572] By: jhi                                   on 2001/01/28  02:04:49
        Log: Integrate changes #8267,8272[perlio],8274,8298,8300,8303,
             8305,8323,8324 from mainline.  The 8267,8272, and 8298 were
             not really integrated but instead salvaged by hand
             (they had too many dependencies on the development release
             to be cleanly integratable).
             
             Subject: more UTF8 test suites and an UTF8 patch
             
             Tweak for MULTIPLICITY/USE_PERLIO
             
             Signedness nit.
             
             Turn SvUTF8 off if not required in pp_chr and pp_stringify.
             
             Use the UTF8_XXX macros in is_utf8_char().
             
             Rewrite pp_concat() in terms of sv_catsv().  The . operator
             should now be UTF-8-proof.
             
             Subject: [PATCH perl@8269] scanning two hex-constants
             fails on EBCDIC environment (script length.t)
             
             Add some Unicode chop() tests.
     Branch: maint-5.6/perl
	   ! doop.c mg.c pp.c pp_hot.c toke.c utf8.c
	  !> sv.c t/op/chop.t utf8.h
____________________________________________________________________________
[  8571] By: jhi                                   on 2001/01/28  00:35:59
        Log: Integrate changes #8090,8093[perlio,only the sv.c tweak],
             8245,8247,8248,8249,8250,8251,8260,8263,8264,8265 from mainline.
             
             Subject: [PATCH] Re: Breadperl & Tk (sv_utf8_upgrade fixes)
             
             The maxiters upper limit sanity check (guarding against
             non-progress) assumed bytes instead of characters in s///
             and split().
             
             Signedness nit.
             
             sv_catsv() rewrite (8248,8249,8251,8260,8263,8264,8265)
             join() should now be UTF-8-proof.
             
             More split // UTF-8 tests. (8250)
     Branch: maint-5.6/perl
	  !> doop.c hv.c pp.c pp_hot.c sv.c t/op/join.t utf8.c utf8.h
	  !> util.c
____________________________________________________________________________
[  8570] By: jhi                                   on 2001/01/27  22:15:46
        Log: Integrate changes #7941,7943,7944,7958,7967,7995,7996,7998,
             8004,8005,8023,8024,8028,8030,8031,8033,8039,8042,8052[perlio],
             8053[perlio],8054[perlio,+sv.c(-PerlIO_isutf8),+require.t],
             8084,8204,8244,8333 from mainline.
             
             For -Q where Q might be a one-letter sub name one does no more
             get a warning about an unknown filetest (7941,7943,7944,8084).
             
             Subject: Re: [ID 20001130.011] expression parsing bug ?
             
             Make uv_to_utf8() to zero-terminate its output buffer.
             
             Split off t/op/length.t (7995)
             
             Split off t/op/utf8decode.t (7996)
             
             Remove an unnecessary 'use utf8' from the utf8.t (7998)
             
             Split off t/op/concat.t (8004)
             
             Split off t/op/ver.t (8005)
             
             Document utf8_length(), utf8_distance(), and utf8_hop().
             
             Document utf8_to_uv() better.
             
             Introduce macros for UTF8 decoding (8028,8033).
             
             Add test for reverse() (8030,8031).
             
             Subject: [PATCH] Re: ebcdic <-> ascii tables interjected in uv <-> utf8 considered harmful (8039,8333)
             
             Do not return the Unicode replacement character	on UTF-8
             decoding failure.
             
             Typo/thinko in S_scan_const() - seeing high bit sets has_utf8
             not this_utf8 i.e. the output string has one, but don't mess
             with source assumption. (8052,8053)
             
             Tweak t/comp/require.t to add a 'use bytes' to permit its dubious
             writing of BOM to a non-utf8 stream.  Fix SvPVutf8() - sv_2pv()
             was not expecting to be called with something that was already
             SvPOK() - (we just fossiked with SvUTF8 bit). Fix that and also
             just use the SvPV macro in sv_2pvutf8() to avoid the issue/overhead.
             (8054)
             
             Recode the naughty binary bytes in utf8decode.t using the \xHH.
             
             Make some panic messages a bit more logical.
     Branch: maint-5.6/perl
	  +> t/op/concat.t t/op/length.t t/op/reverse.t t/op/utf8decode.t
	  !> MANIFEST doop.c embed.pl lib/ExtUtils/Liblist.pm op.c
	  !> pod/perlapi.pod pod/perldiag.pod pp.c pp_hot.c regcomp.c
	  !> regexec.c sv.c t/comp/require.t t/op/misc.t t/op/ver.t
	  !> t/pragma/utf8.t t/pragma/warn/toke t/pragma/warn/utf8 toke.c
	  !> utf8.c utf8.h
____________________________________________________________________________
[  8569] By: jhi                                   on 2001/01/27  19:16:43
        Log: Integrate changes #7750 from perlio and #8566 from mainline.
     Branch: maint-5.6/perl
	  !> regexec.c sv.c
____________________________________________________________________________
[  8568] By: jhi                                   on 2001/01/27  18:06:51
        Log: Integrate changes #7355[-doio.c],7691,7744,7753[perlio],
             7783,7790[perlio],7869,7871,7872,7911,7916,7932,
             7935[-perlio.c],7936,7959,7965 from mainline.
             
             Change the "big byte" error message to "Wide character".
             (7355, the croak-if-wide-chars-in-print part ignored)
             
             Use UINT64_C().
             
             Introduce Perl_utf8_length().
             
             diff -se shows these as different (7753, forgotten check-ins)
             
             Subject: [PATCH] doop.c - UTF8 tr///
             
             If we use (aTHX_ ...) then put Perl_ on the front.
             
             Make utf8_length() and utf8_distance() to be less forgiving
             about bad UTF-8.
             
             Test line numbers are different with utf8.
             
             No need to scan till infinity, 13 is enough. (7872,7911)
             
             Subject: [PATCH] Tokeniser debugging
             
             Subject: Re: question about retlen in utf8.c:Perl_utf8_to_uv()
             
             Subject: [PATCH perl@7930] toke.c perlio.c -Wformat nits (only toke.c)
             
             Be more careful in Perl_sv_utf8_downgrade().
             
             Use DO_UTF8().
             
             Raw zero bytes in text files confuse at least GNU patch 2.1.
     Branch: maint-5.6/perl
	  !> doop.c embed.h embed.pl global.sym handy.h objXSUB.h op.c
	  !> perl.c perl.h perlapi.c pod/perlapi.pod pod/perldiag.pod
	  !> pod/perlrun.pod proto.h scope.h sv.c t/op/re_tests
	  !> t/pragma/utf8.t toke.c utf8.c utf8.h
____________________________________________________________________________
[  8553] By: jhi                                   on 2001/01/26  15:19:39
        Log: Integrate change #7792 from perlio (multiplicity fix),
             fix the AV leak in regex DEBUGGING (tiny part of the
             polymorphic regexp patch #8143).
     Branch: maint-5.6/perl
	   ! regcomp.c
	  !> scope.h
____________________________________________________________________________
[  8551] By: jhi                                   on 2001/01/26  02:33:19
        Log: Integrate changes #7760,7815,7870,7873,7874,7877,7878,7879,7881,
             7937,7938,7939,7940,7968,7969,8403,8414,8510 from mainline.
             
             Subject: [PATCH 5.7.0] The first step in removing recursion from the REx engine
             
             Subject: [PATCH 5.7.0] Overeager visited-positions optimizations
             
             Message nit.
             
             BOUND regex opcodes (\b, \B) could try to scan zero length UTF-8.
             
             Debug dump of ANYOFUTF8 was garbage (data from ANYOF).
             
             (the cleanup of unused submatches in regtry() and regcppop())
             
             Fix for 20001130.008 and 20001130.010, the PL_regnpar wasn't
             stored and restored, and thusly was trounced by the utf8 swash
             routines.
             
             use utf8 not required to use \x{}.
             
             Removed two more tests that make no sense in UTF-8 since the test
             data is not in UTF-8.
             
             Get the three different space character classes right under utf8.
             
             Implement ANYOFUTF8 regprop() dumping.
             
             Subject: Re: [ID 20001029.005] Regex error: "cd. (A. Tw)" !~ /\((\w\. \w+)\)/
             
             Document the regex context pushing/popping a bit better.
     Branch: maint-5.6/perl
	  +> lib/unicode/Is/Blank.pl lib/unicode/Is/SpacePerl.pl
	  !> MANIFEST lib/unicode/mktables.PL pod/perlre.pod regcomp.c
	  !> regexec.c scope.h t/op/pat.t t/op/re_tests t/op/regexp.t
	  !> t/op/regmesg.t utf8.c
____________________________________________________________________________
[  8549] By: jhi                                   on 2001/01/25  15:22:28
        Log: Undo 6475: { use utf8; chr(128..255) } is better off producing bytes.
     Branch: maint-5.6/perl
	   ! pod/perlfunc.pod pp.c t/pragma/utf8.t
____________________________________________________________________________
[  8548] By: jhi                                   on 2001/01/25  15:02:55
        Log: Integrate changes #7997,8063,8492,8547 from mainline.
             
             Subject: Re: STRLEN - what?
             
             Subject: [PATCH] perlguts.pod
             
             Memory management calls documentation.
             
             Layout using tabulator is not a good idea in a pod.
     Branch: maint-5.6/perl
	  !> pod/perlguts.pod
____________________________________________________________________________
[  8546] By: jhi                                   on 2001/01/25  14:31:12
        Log: Integrate changes #8188,8189,8208,8209,8210,8212,8374,8388
             from mainline.
             
             Subject: [DOC PATCH: perl@7953] update list of lang. sensitive editors/IDES
             
             Subject: [DOC PATCH: perl@8150, 5.6.1-TRIAL1] update list of lang. sensitive editors/IDES
             
             More Win32 editor/IDE/shell hints.
             
             More Win32 Perling.
             
             Yet another editor edit.
             
             Edit edit edit.
             
             IDE/editor section tweaking.
             
             Few more IDE/editor nits from p5p.
     Branch: maint-5.6/perl
	  !> pod/perlfaq3.pod
____________________________________________________________________________
[  8543] By: jhi                                   on 2001/01/25  03:52:08
        Log: Integrate change #8462,8469 from mainline.
             
             In VMS Perl subversion (perl -V) is undef.
     Branch: maint-5.6/perl
	  !> configure.com
____________________________________________________________________________
[  8542] By: jhi                                   on 2001/01/25  03:44:55
        Log: Integrate changes #7835,7850,8315,8316 from mainline.
             
             Solaris hints.
     Branch: maint-5.6/perl
	  !> hints/solaris_2.sh
____________________________________________________________________________
[  8541] By: jhi                                   on 2001/01/25  03:39:28
        Log: Integrate #8336 from mainline.
     Branch: maint-5.6/perl
	  !> hv.c
____________________________________________________________________________
[  8540] By: jhi                                   on 2001/01/25  03:23:50
        Log: Retract #8539.
     Branch: maint-5.6/perl
	   ! pod/perlfaq3.pod
____________________________________________________________________________
[  8539] By: jhi                                   on 2001/01/25  03:21:55
        Log: (Retracted by #8540.)
     Branch: maint-5.6/perl
	   ! pod/perlfaq3.pod
____________________________________________________________________________
[  8538] By: jhi                                   on 2001/01/25  03:14:07
        Log: Subject: [re-patch: 5.6.1-TRIAL1] was Re: [PATCH 5.6.1-TRIAL1]VMS buildpatches
             From: Peter Prymmer <pvhp@forte.com>
             Date: Mon, 18 Dec 2000 13:10:35 -0800 (PST)
             Message-ID: <Pine.OSF.4.10.10012181249310.410192-100000@aspara.forte.com>
             
             The VMS bits.
     Branch: maint-5.6/perl
	   ! configure.com vms/descrip_mms.template
____________________________________________________________________________
[  8537] By: jhi                                   on 2001/01/25  03:06:09
        Log: Integrate #7710,7824,7973 from mainline.
     Branch: maint-5.6/perl
	  !> Configure Porting/Glossary Porting/config.sh Porting/config_H
	  !> config_h.SH configure.com epoc/config.sh hints/aix.sh malloc.c
	  !> regcomp.c sv.c vos/config.alpha.def vos/config.alpha.h
	  !> vos/config.ga.def vos/config.ga.h win32/config.bc
	  !> win32/config.gc win32/config.vc
____________________________________________________________________________
[  8536] By: jhi                                   on 2001/01/24  13:50:20
        Log: Revert the edits made by me so far to the 5.6 branch since
             the TRIAL1 since I did edits when I should have been using
             integrates.  Bad programmer.   (Will integrate them properly later.)
             Undoes #8347, #8349, #8350, #8351, #8353, #8355, #8376, #8463, #8470.
             The #8353 will not be reapplied at least for now since
             the UTF-8 hash keys need more thinking.
             (The patches #8347, #8354, #8454, #8473 were okay since they
             were original edits made specifically for the 5.6.1-TRIAL1.)
     Branch: maint-5.6/perl
	   ! Configure Porting/Glossary Porting/config.sh Porting/config_H
	   ! config_h.SH configure.com embed.pl epoc/config.sh hints/aix.sh
	   ! hints/solaris_2.sh hv.c hv.h malloc.c perlapi.c
	   ! pod/perlapi.pod pod/perlfaq3.pod proto.h regcomp.c sv.c
	   ! t/op/each.t vms/descrip_mms.template vos/config.alpha.def
	   ! vos/config.alpha.h vos/config.ga.def vos/config.ga.h
	   ! win32/config.bc win32/config.gc win32/config.vc
____________________________________________________________________________
[  8473] By: gsar                                  on 2001/01/18  11:42:31
        Log: unsubmitted trial1 change
     Branch: maint-5.6/perl
	   ! Changes
____________________________________________________________________________
[  8470] By: jhi                                   on 2001/01/18  04:16:00
        Log: Subject: [PATCH: perl@8453] Re: subversion undef on VMS (was Re: [ID 20001218.033] Not OK: perl v5.6.1 +v5.6.1-TRIAL1 on   VMS_AXP V7.2-1)
             From: Peter Prymmer <pvhp@forte.com>
             Date: Wed, 17 Jan 2001 13:07:11 -0800 (PST)
             Message-ID: <Pine.OSF.4.10.10101171255380.289071-100000@aspara.forte.com>
             Replace #8463.
     Branch: maint-5.6/perl
	   ! configure.com
____________________________________________________________________________
[  8463] By: jhi                                   on 2001/01/17  06:12:42
        Log: (Replaced by #8470)
             
             Subject: subversion undef on VMS (was Re: [ID 20001218.033] Not OK: perl v5.6.1 +v5.6.1-TRIAL1 on   VMS_AXP V7.2-1)
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Tue, 16 Jan 2001 23:38:46 -0600
             Message-Id: <p04330103b68ad8cfcbfd@[172.16.52.1]>
     Branch: maint-5.6/perl
	   ! configure.com
____________________________________________________________________________
[  8454] By: jhi                                   on 2001/01/16  16:12:39
        Log: Subject: [PATCH: perl-5.6.1-TRIAL1] Win32 Makefile fixes - v2
             From: "Indy Singh" <indy@nusphere.com>
             Date: Wed, 10 Jan 2001 20:17:49 -0500
             Message-ID: <003001c07b6c$524630b0$00957018@roadhog>
     Branch: maint-5.6/perl
	   ! win32/Makefile
____________________________________________________________________________
[  8376] By: jhi                                   on 2001/01/09  04:32:32
        Log: integrate changes #7775, #8316, #8316 from mainline
     Branch: maint-5.6/perl
	   ! hints/solaris_2.sh
____________________________________________________________________________
[  8357] By: jhi                                   on 2001/01/07  21:16:09
        Log: Update the EPOC cross SDK URL.
     Branch: maint-5.6/perl
	   ! README.epoc
____________________________________________________________________________
[  8355] By: jhi                                   on 2001/01/06  20:27:15
        Log: integrate change #8336 from mainline
             
             Scoping of %^H still broken in both perl@8269 and perl-5.6.1-TRIAL1
     Branch: maint-5.6/perl
	   ! hv.c
____________________________________________________________________________
[  8354] By: jhi                                   on 2001/01/06  20:24:29
        Log: Subject: [PATCH 5.6.1-TRIAL1 and @8223]; was Re: Perlbug 20000322.006 status update
             From: Robin Barker <rmb1@cise.npl.co.uk>
             Date: Fri, 22 Dec 2000 12:17:38 GMT
             Message-Id: <200012221217.MAA21332@tempest.npl.co.uk>
             
             The patch reformats some long =item lines so they give
             correct output via pod2man | nroff -man
             
             Subject: [PATCH 5.[67].1]; as Re: [PATCH 5.6.1-TRIAL1 and @8223]; was Re: Perlbug 20000322.006 status update
             From: Robin Barker <rmb1@cise.npl.co.uk>
             Date: Tue, 2 Jan 2001 15:35:03 GMT
             Message-Id: <200101021535.PAA15161@tempest.npl.co.uk>
             
             Here is a _further_ patch which corrects a few more errors:
             * an empty C<=item> in CPAN.pm
             * patching the wrong file (pod/perlamiga.pod not README.amiga)
             * leaving empty C<=item>s which formatted incorrectly
             * over long C<=item>s revealed by latest patch to Pod::Man
     Branch: maint-5.6/perl
	   ! README.amiga lib/CGI.pm lib/CPAN.pm lib/Pod/Select.pm
	   ! lib/Text/ParseWords.pm lib/Win32.pod pod/perl.pod
	   ! pod/perl5004delta.pod pod/perl5005delta.pod pod/perlapi.pod
	   ! pod/perldelta.pod pod/perldiag.pod pod/perlembed.pod
	   ! pod/perlfaq4.pod pod/perllocale.pod pod/perlmodlib.pod
	   ! pod/perlrequick.pod pod/perlretut.pod pod/perlsub.pod
____________________________________________________________________________
[  8353] By: jhi                                   on 2001/01/06  20:21:10
        Log: integrate changes #7980, 8056, 8057 from mainline
             
             UTF-8 hash keys.
     Branch: maint-5.6/perl
	   ! embed.h embed.pl hv.c hv.h perlapi.c proto.h t/op/each.t
____________________________________________________________________________
[  8352] By: jhi                                   on 2001/01/06  20:18:44
        Log: Forgotten from #8438.
     Branch: maint-5.6/perl
	   ! epoc/epocish.h
____________________________________________________________________________
[  8351] By: jhi                                   on 2001/01/06  20:18:12
        Log: Forgotten from #8347.
     Branch: maint-5.6/perl
	   ! config_h.SH
____________________________________________________________________________
[  8350] By: jhi                                   on 2001/01/06  20:00:19
        Log: Thinko in #8347.
     Branch: maint-5.6/perl
	   ! regcomp.c
____________________________________________________________________________
[  8349] By: jhi                                   on 2001/01/06  18:05:30
        Log: Copy the FAQ3 IDE section from the development branch,
             changes originally by Peter Prymmer.
     Branch: maint-5.6/perl
	   ! pod/perlfaq3.pod
____________________________________________________________________________
[  8348] By: jhi                                   on 2001/01/06  18:03:02
        Log: EPOC updates for TRIAL1.
             
             Subject: [5.6.1 trial1] EPOC update
             From: Olaf Flebbe <O.Flebbe@science-computing.de>
             Date: Sun, 31 Dec 2000 16:04:52 +0100 (CET)
             Message-ID: <Pine.LNX.4.02.10012311603040.14097-100000@milkyway.science-computing.de> 
             
             Subject: epoc patch2 for perl-5.6.1-trial1
             From: Olaf Flebbe <O.Flebbe@science-computing.de>
             Date: Sat, 6 Jan 2001 13:55:53 +0100 (CET)
             Message-ID: <Pine.LNX.4.02.10101061355220.26469-100000@milkyway.science-computing.de> 
     Branch: maint-5.6/perl
	   ! README.epoc epoc/config.sh epoc/createpkg.pl epoc/epoc.c
	   ! epoc/epocish.c
____________________________________________________________________________
[  8347] By: jhi                                   on 2001/01/06  17:29:10
        Log: integrate changes #7710,7824,7973 from mainline,
             plus VMS nits from Peter Prymmer and Dan Sugalski.
             
             AIX 4.2 (using latest patchlevels on 20001130) has a broken bind
             library (getprotobyname and getprotobynumber are outversioned by
             the same calls in libc, at least for xlc version 3.
             
             Add HAS_SBRK_PROTO.
             
             Fixes for signedness warnings noticed by VMSperlers.
     Branch: maint-5.6/perl
	   ! Configure Porting/Glossary Porting/config.sh Porting/config_H
	   ! configure.com epoc/config.sh hints/aix.sh malloc.c regcomp.c
	   ! sv.c vms/descrip_mms.template vos/config.alpha.def
	   ! vos/config.alpha.h vos/config.ga.def vos/config.ga.h
	   ! win32/config.bc win32/config.gc win32/config.vc

____________________________________________________________________________
[  8182] By: gsar                                  on 2000/12/18  09:53:47
        Log: delete spurious files
     Branch: maint-5.6/perl
	   - lib/CGI/eg/make_links.pl lib/CGI/eg/wilogo.gif vos/config.def
	   - vos/config.h vos/config_h.SH_orig
____________________________________________________________________________
[  8181] By: gsar                                  on 2000/12/18  09:46:08
        Log: regen perltoc
     Branch: maint-5.6/perl
	   ! pod/buildtoc.PL pod/perl.pod pod/perlapi.pod pod/perltoc.pod
____________________________________________________________________________
[  8180] By: gsar                                  on 2000/12/18  09:20:27
        Log: integrate changes#7924..7926,7946,7952 from mainline
             
             A test works better if it has the right 1..$n output.
             
             All the core library users of Class::Struct seem to be
             using "use Class::Struct 'struct';" instead of the bare
             "use Class::Struct;", which isn't documented in Class::Struct.
             This can't be right.
             
             Make the Class::Struct import() wiser.
             
             Upgrade to CPAN 1.59_51, from Andreas König.
             
             Subject: Re: long shell lines
             Split overly long shell command lines.
     Branch: maint-5.6/perl
	  !> lib/CPAN.pm lib/CPAN/FirstTime.pm lib/ExtUtils/MM_Unix.pm
	  !> lib/File/stat.pm t/lib/class-struct.t
____________________________________________________________________________
[  8179] By: gsar                                  on 2000/12/18  08:55:54
        Log: integrate changes#7889,7890,7900,7903,7904,7907,7910,7917,
             7918,7919,7988,8907 from mainline (various)
             
             Subject: [ID 20001127.004] White space problem in perlamiga.pod
             
             Subject: [PATCH perl@7825] Re: [ID 20001122.006] weird behaviour of $|
             
             Subject: [PATCH] perlcc.PL cleanups
             
             Subject: [PATCH] Updating perltie.pod for arrays
             
             Subject: [ID 20001128.002] what's the point of example code if it is buggy?
             Subject: Re: [PATCH] Updating perltie.pod for arrays
             Subject: Re: [PATCH] Updating perltie.pod for arrays
             
             One more perltie.pod nit from Casey R. Tweten.
             
             Subject: [PATCH] $^O  win32 -> MSWin32
             plus similar nits for vms, err, VMS, and UNICOS.
             
             Subject: Re: Minor suggestion for Sys::Syslog  [PATCH]
             More checking in case someone has broken their services or
             protocol databases.
             
             Make "use Class::Struct 'struct';" work again (broken by #7617);
             add a test for Class::Struct.
             
             Integrate the "skip" messages to explain().
             
             Subject: [PATCH: perl@8892] treat unicoding and null bytes in op/append.t
     Branch: maint-5.6/perl
	  +> t/lib/class-struct.t
	  !> MANIFEST README.amiga ext/Sys/Syslog/Syslog.pm gv.c
	  !> lib/Class/Struct.pm pod/perlipc.pod pod/perltie.pod
	  !> t/lib/syslfs.t t/op/lfs.t utils/perlcc.PL
____________________________________________________________________________
[  8178] By: gsar                                  on 2000/12/18  08:16:30
        Log: avoid redefinition warnings on windows due to sys/socket.h getting
             #included before win32.h
     Branch: maint-5.6/perl
	   ! win32/include/sys/socket.h
____________________________________________________________________________
[  8177] By: gsar                                  on 2000/12/18  05:24:04
        Log: make regen_headers; fix POSIX.xs problems; remove outdated
             code from sys/socket.h that makes build fail now
     Branch: maint-5.6/perl
	   ! ext/POSIX/POSIX.xs global.sym objXSUB.h perlapi.c
	   ! pod/perlapi.pod
	  !> win32/include/sys/socket.h
____________________________________________________________________________
[  8176] By: gsar                                  on 2000/12/18  05:20:17
        Log: update Changes
     Branch: maint-5.6/perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[  8175] By: gsar                                  on 2000/12/18  04:57:48
        Log: integrate changes#7643,7646..7649,7651..7654,7658,7659,
             7661..7665,7667..7669,7671,7673,7676,7677,7681..7683,
             7689..7697,7699..7701,7703,7705,7714,7715,7718..7723,
             7725,7726,7729..7732,7737,7748,7749,7758,7759,7761,7773,
             7775,7776,7782,7785..7787,7804,7807,7808,7810,7811,7816,
             7823,7825,7838
             
             Subject: Re: [PATCH] README.solaris
             
             Add getpagesize() probing, on non-UNIX guess 'undef'.
             
             Simplify the getpagesize() unit by dropping the
             pagesize probe since it's nowadays slightly more
             complicated because of sysconf(). (Note: if some
             platform really needs the -lPW for getpagesize,
             I just broke it.)
             TODO: a new pagesize unit.
             
             Subject: [PATCH] fwd: Re: [ID 20001105.011] Perl 5.6.0 documentation glitch
             
             MachTen doesn't really do mmap() and munmap().
             Subject: [PATCHES Bleadperl] Re: PerlIO - what all of you can all do.   
             
             More README.solaris updates from Andy Dougherty.
             
             Copy the s// information of README.hpux also to the perlrun.
             
             Add HAS_FSYNC, lack noticed by Nicholas Clark.
             
             Add a metaconfig unit for fsync.
             
             Subject: [ID 20001112.004] man perlfunc omits tell()'s error return
             
             Many subdocumented return values of the IO extension now documented.
             ungetc and write still left subdocumented.
             Subject: [PATCH] (was Re: IO::Handle::ungetc)
             
             Document tell() on special streams.
             
             Subject: [ID 20001112.006] IO::Seekable::getpos doesn't check for fgetpos() failure
             
             Subject: [ID 20001112.007] sfio's sftell isn't ftell
             
             Couple of tests from #7660 salvaged.
             
             Tweak the definition of the bit complement on UTF-8 data:
             if none of the characters in the string are > 0xff,
             the result is a complemented byte string, not a (UTF-8)
             char string.  Based on the summary in
             Subject: Re: [ID 20000918.005] ~ on wide chars
             This should give us the maximum backward (pre-char string)
             compatibility and utf8 compatibility.  The other alternative
             would be to limit the bit complement to be always byte only,
             taking the least significant byte of the chars.
             
             Cleanup messy #ifdef.
             
             Typos in #7667.
             
             Declare reg_data like reg_substr_data.
             
             Placate nervous compilers that see longer than ints switch()ing.
             
             Remove the new two tests of lib/io_xs for now, they seem to
             fail under perlio on some platforms.
             
             Subject: Re: [ID 20001112.008] perlio.c's PerlIO_getpos ingores error return
             
             Subject: [ID 20001113.003] utf8_to_uv on malformed utf returns wrong values
             
             Subject: tiny typo in perl5db.pl
             
             Subject: some additions for makefiles for win32 (for perl@7674)
             
             Hoist the duplicated socket/netdb include logic to perl.h;
             undef SETERRNO in case SOCKS has defined it.  Based on:
             Subject: [ID 20001114.002] Code-Cleanups concerning SOCKS5 and Solaris   
             
             Regen Configure.
             
             Defined INT64_C() and UINT64_C() unless defined by <inttypes.h>
             (a macro to define signed and unsigned integer constants).
             
             Use UINT64_C().
             Subject: [ID 20001114.006] 5.7.0-7680 Solaris 8, 64 bit, utf8 patch
             
             Use u_int32_t for the size of hash_cb(), not size_t.
             Subject: [ID 20001114.003] Solaris 8, 64 Bit DB_file patch
             
             Quit utf8_to_uv() instantly if curlen == 0.
             
             Subject: [PATCH: perl@7674] updates to README.os390
             
             Subject: [PATCH: perl@7674 + Scott-Thoennes] hush warnings about malformed EBCDIC text
             
             EBCDIC tweaks.
             Subject: [PATCH: perl@7674 ++] fixes for warnings and regmesg (reprise)
             
             Linenumber fix.
             
             SOCKS has its own USE_THREADS, based on
             Subject: [ID 20001114.002] et. al. bugfix followup
             
             UINT64_C() work continues.
             
             Detypo.
             
             The type of the hash_cb() size argument is tricky.
             
             Add fwalk() probe to the configuration files and regen perltoc.
             
             Subject: perllocale.pod changes
             
             Avoid an infinite loop in VMS when utils scripts are run
             with no arguments, from Charles Lane.
             
             Subject: Re: Bug in Carp::Heavy/5.6.0?
             
             For Solaris use64bitall the stdchar needs a little bit of help.
             
             The long double hints can be here or there.
             
             Test tweak for the open pragma.
             
             Also the 64bitall hints can be either here or there.
             
             As surmised the #7719 wasn't a good move.
             
             Subject: Fix for 20000409.001
             
             Subject: Fix for 20000815.006
             It's really 20000518.006.
             
             Subject: [PATCH 5.6.0 README.win32] very minor typos
             
             Subject: Fix for README.amiga (20000323.033)
             
             Explain in more detail the {} syntax ambiguousity.
             Subject: [PATCH] Re: [ID 20001117.003] map { "$_", 1} @array is syntax error
             
             Sparc 64-bit pack() fix from Jens Hamisch.
             
             Upgrade to CPAN.pm 1.58_93 (the RC1 for 1.59), from Andreas König.
             
             Subject: podlators 1.05 available        
             
             Subject: [ID 20001118.006] [PATCH] perl@7707 djgpp/config.over, hints/dos_djgpp.sh and Storable.pm
             
             Subject: [perl 7711: EPOC] updates
             
             Make certain MacOS Classic has NO_ENVIRON_ARRAY.
             
             Miraculous typo.
             
             sysseek() instead of seek().
             
             Solaris hints tweaks.
             
             Assume SOCKS is broken in all 64bitall platforms, not just Solaris.
             This may be overly harsh but until proven otherwise, we think this
             way, or until we have a simple test for Configure (having to start
             up servers is does not count as simple) to check for the problems.
             
             Remove the shared object before attempting to create
             (by linking) a new one.  E.g. in AIX not removing
             becomes quite painful if one tries to do more than one
             build in the same tree (an interrupted build, for example),
             since the AIX' shared dynaloader seemingly keeps the shared
             objects open and therefore 'busy' for quite a while, even when
             nobody is using the objects, leading into link failures.
             
             Subject: [ID 20001120.010] typo in lib/Cwd.pm broke Cwd::chdir
             
             Subject: DOC PATCH 5.6.0 perlreftut
             
             Subject: [PATCH: perl@7777] add system locale testing for VMS
             
             Subject: [PATCH] Test.pm POD peculiarity
             
             Subject: [ID 20001120.002] [PATCH] io_sock.t fails without 'localhost'
             
             Subject: [ID 20001120.003] [PATCH] io_udp.t fails without 'localhost'
             
             Subject: Re: perl@7777 
             Detypoing.
             
             Subject: [PATCH: perl@7777] make VMS' test.com tail compatible w/ unix
             
             Go ahead and #include <unistd.h> in perl.h.
             
             Subject: [PATCH perl@7795] small cleanup task for test suite
             
             Subject: Re: av.c patch (having slight problems)
             unshift() speedup.
             
             Reach back one higher up when searching for PERL_SRC.
     Branch: maint-5.6/perl
	  +> lib/File/Spec/Epoc.pm
	  !> (integrate 88 files)
____________________________________________________________________________
[  8174] By: gsar                                  on 2000/12/18  03:53:09
        Log: integrate changes#7602,7604..7611,7614,7616..7619,7621..7623,
             7625..7629,7631..7634,7637,7639,7642 from mainline
             
             Fix for the tie-refhash string table leaks.
             
             Subject: [patch perl@7595] VMS configure.com tweak
             
             More careful detection of how well NVs and UVs mix.
             Subject: [PATCH] Re: NV preserving UV (wasRe: [ID 20001007.002] Not OK: perl v5.7.0 +DEVEL7158 on armv4l-linux-64int 2.2.17-rmk1 (UNINSTALLED))
             Added some SIGFPE paranoia.
             
             Forgot to bump the line numbers in #7601.
             
             Subject: PATCH std stdio for (Free)BSD
             
             Deleting $ENV{PATH} in VMS is not recommendable.
             
             Locale buglets.
             Subject: RE: Locales support (setlocale) fixes
             
             Do not test UTF-8 locales since that the tests would require
             polymorphic regexen.
             
             Subject: [PATCH bleadperl] Re: Patch 7533 prevents malloc.c from compiling on MachTen
             
             A missing aTHX_.
             
             Subject: [ID 20001108.013] spelling
             
             Subject: [PATCH] Class::Struct at compile time
             
             Make deleting for %ENV work for (newer versions of) VMS,
             from Craig A. Berry.
             
             Forgot from #7618.
             
             More VMS moves on environment handling, from Charles Lane.
             
             Remove unused extra arguments.
             
             Typo in an ifndef.
             Subject: Re: [PATCH 5.7.0] better messages from malloc()
             
             Subject: [PATCH: perl@7613] updates to Porting/pumpkin.pod
             All except the "cow orker" change.
             
             The generated boot_* headers are wrong.  Pickier compiler,
             such as KAI C++ will refuse to compile the resulting perlmain.
             Subject: [ID 20001109.005] Bug in minimod.pl, perl 5.6.0
             
             There's no =head3.
             
             Disable only the tests 99 and 166 for UTF-8 locales.
             
             Missing dTHXs.
             Subject: RE: perl@7595 builds not on cygwin
             
             Subject: Re: bash -c exit and linux hints 
             
             Various doc oddball characters.
             Subject: [ID 20001106.004] Perl 5.6.0 bugs  
             
             Subject: [PATCH] IO::Seekable pod
             
             Amdahl UTS hints updates.
             Subject: [ID 20001109.016] Trouble going from 5.4 to 5.6
             
             Explain better why certain regex tests are skipped.
             Subject: Re: tests skipped: unknown reason
             
             Subject: [PATCH] README.solaris
             
             Subject: [PATCH perl@7638] cygwin port
     Branch: maint-5.6/perl
	  +> README.solaris
	  !> (integrate 26 files)
____________________________________________________________________________
[  8173] By: gsar                                  on 2000/12/18  03:37:02
        Log: integrate changes#7472,7474..7478,7481,7485,7489,7493,7494,7496,
             7497,7499..7503,7505..7507,7509..7513,7515..7523,7526..7534,
             7536,7540,7542,7544..7546,7549,7553,7556,7557,7559,7561..7563,
             7565,7568..7572,7576,7578..7589,9592..7594,7596..7601 from mainline
             
             Better create a true mailing list for the repository keepers.
             
             Subject: [ID 20001027.007] uniq array in perlfaq
             
             De-quoted-unreadable to ISO Latin 1.
             (There's one ISO-2022-JP name in Changes5.004.)
             
             Have only one master list of AUTHORS, drop unmaintained MAINTAIN.
             
             The #7476 needs a MANIFEST change, too.
             
             Add also emailless people.
             
             UTF-8 decoder tweak.
             
             Make \x{...} consistently produce UTF-8.
             Subject: Re: \x{...} is confused 
             
             Subject: [Chris Winters <cwinters@intes.net>] patch to ExtUtils::Manifest
             
             Add a perlbug flag, -A, to avoid acknowledgement messages.
             Subject: PATCH (Re: [ID 20001030.008] OK: perl v5.7.0 +DEVEL7445 on i586-linux 2.2.16 (UNINSTALLED))
             
             Use Errno magic.
             Subject: [ID 20001030.009] [PATCH] ftmp-mktemp failing
             
             Subject: [PATCH: perl@7483] CRLF fix for cgi-function.t tests
             
             Subject: [PATCH: perl@7483] fix coded control chars in cgi-html.t
             
             Subject: [ID 20001030.001] 5.7.0-7489: Null-Pointer reference in mg.c
             
             Be more lenient on bad UTF-8 when doing bit arithmetics.
             Subject: Re: [ID 20000918.005] ~ on wide chars
             (The ord() part of the patch skipped.)
             
             Subject: perlfaq style changes
             
             AUTHORS tweaks.
             
             Whitespace style tweak.  Was originally going to see to
             Subject: PATCH (Re: PerlIO - Configure tweak for Linux/glibc?)
             but that had already been taken care of.
             
             The compiler is either gcc or cc, from Tom Bates.
             
             The osname has been lowercased by now, from Tom Bates.
             
             The NonStop-UX libraries have a novel way to say NaN.
             
             printf UVs the correct way, noticed by Robin Barker.
             
             Subject: [PATCH] startperl to respect versiononly
             
             AUTHORS updates.
             
             Subject: [ID 20001031.004] Uninitialized auto variable in regcomp.c
             
             Subject: [ID 20001101.001] Net::Ping icmp odd $bytes
             
             Subject: [ID 20001005.004] doc bug: perlsec misleading re file output
             
             Generalize the Camel wording.
             Subject: Re: perlfaq style changes
             
             Subject: [ID 20001005.006] Documentation -- description of qr//
             
             C.pm part of
             Subject: [ID 20001010.001] [Daniel.Stutz@astaro.de: perlcc and C.pm in perl-5.7.0]
             
             Locale warning explanation tweak.
             
             Subject: [ID 20000904.004] perlsec Manual Page Incorrect Doing "Safe Backticks"
             
             Make the POSIX::setuid and POSIX::setgid to really call setuid()
             and setgid() because they were just changing $< and $( which means
             only changing the real uid/gid, as opposed to changing both
             real and effective ids.  (The alternative way could have been
             in POSIX.pm to change $> and $), too, but making a direct call
             to the C API feels cleaner.)  Fixes the bug
             Subject: [ID 20000904.005] POSIX::setuid() Doesn't Call setuid()
             
             Expand %Config variables and %ENV variables only if
             so requested during build time using the
             PERL_BUILD_EXPAND_CONFIG_VARS and PERL_BUILD_EXPAND_ENV_VARS.
             Not expanding makes relocating distributions easier.
             
             More tweaking on the #7522 theme.
             
             Test::Harness revealed buglets in the new DynaLoader.
             Subject: [ID 20001102.001] Not OK: perl v5.7.0 +DEVEL7523 on i686-linux 2.2.16a (UNINSTALLED)
             
             Add Tie::RefHash::Nestable (lives in Tie/RefHash.pm),
             fix a autovivification bug in Tie::RefHash, add tests for both.
             Subject: Re: Tie::RefHash: use hash refs as keys in nested hashes
             
             Detpyo.
             
             recv() can fail and return undef.
             Subject: [ID 20001102.003] Net::Ping patch: "Bad arg lenght" error appears if host is unreachable    
             
             Fix the problem discussed in
             Subject: [ID 20001015.004] Fwd: Tie::SubstrHash -- bug & fix (all Perl versions)
             originally from Linc Madison.  Also Andreas König's comments
             taken into account.  Some other problems with Tie::SubstrHash
             fixed: didn't croak when the table exceeded the requested number
             of entries (as documented) but instead when the number of entries
             exceeded the size of the table, a croak() had an unnecessary \n,
             didn't have a CLEAR method, documented that there is no exists().
             Didn't fix to be strict-proof because the module uses &foo; and
             dynamic scope.  Added a test script exercizing both first tamely 
             the basic functionality, and then the failure cases reported by
             Linc Madison.
             
             Subject:  [PATCH] Perl@7504, vms/gen_shrfls.pl
             
             The #7521 touched things it shouldn't have.
             
             Subject: [PATCH 5.7.0] better messages from malloc()
             
             Subject: Re: README.aix
             
             Add FCNTL_CAN_LOCK.
             Subject: Re: [ID 20001030.011] Not OK: perl v5.7.0 +DEVEL7481 on VMS_AXP V7.1 (UNINSTALLED)
             Subject: Re: [ID 20001030.011] Not OK: perl v5.7.0 +DEVEL7481 on VMS_AXP V7.1 (UNINSTALLED)
             
             Locale tweakery.  Add test case for bug id 20000809.003 to op/misc,
             create a "fast path" for locale name probing using "locale -a"
             if available, squash finally hopefully the s?printf resetting
             the numeric locale (since, IIUC perllocale, it never shouldn't). 
             
             More Changes tweakery.
             
             Dying is too strict here, better just skip.
             
             Subject: Locales support (setlocale) fixes
             Modified quite a bit to be more portable.
             
             Configure would use a bad $myuname from an old config.sh.
             Subject: [PATCH 5.6.1-to-be and 5.7.x] Very old Configure myuname bug
             
             Fix for
             Subject: [ID 20001004.006] undef is never tainted
             An undef read from a slurped file was not tainted.
             
             Fix for
             Subject: [ID 20001004.007] taint propogation is inconsistent
             The culprit was sv_setsv() which was rather blindly
             propagating taint, which lead to behaviour where if
             a tainted anon hash value was seen all the hash values
             from then on at that level became tainted, or at any
             upper levels in the case of nested anon hashes.
             
             Test tweak: show also the failed locales.
             Subject: [ID 20001105.001] Not OK: perl v5.7.0 +DEVEL7523 on i86pc-solaris 2.8  
             
             A fix of sorts for 20000329.026, a better error message
             for a missing "use charnames" when using the \N{...}. 
             
             Subject: [Corrected/tested PATCH] Re: [ID 20001102.008] Not OK: perl v5.7.0 +DEVEL7503 on i686-linux 2.2.16
             
             Add =pod to be tidy.
             
             Fix for bug id 19990615.008, pos() unset during s///ge.
             
             Add a note for future generations about bug id 20000229.006.
             
             Use -dM for gcc (the suggested patch did it only for Linux,
             but I think it can be generalized).
             Subject: Re: connect and $!{EINPROGRESS} pb (was [ID 20001030.010] [PATCH] io_multihomed.t failing)
             
             opmini.o can linger from Configures past.
             
             Document that the evaled syntax errors cause scalar leaks.
             
             Fix for
             Subject: [ID 20000728.005] perl -P broken
             (hopefully).  The fix is also not complete, it seems to break
             BOM swallowing for libc5 systems, but until someone figures
             out a way to do this without ftell(), this will do.
             
             AUTHORS updates.
             
             Subject: Re: rsync'ed patches vs. rsync'ed source
             
             Admit that the test leaks scalars.
             
             Sanitize the environment further.
             
             VOS updates from Paul Green.
             
             Document %ENV = () portability issues.
             
             Make the stdio test program of 7427 less noisy while being	
             compiled so that Digital UNIX wouldn't get both
             d_stdio_ptr_lval_nochange_cnt and d_stdio_ptr_lval_sets_cnt
             undefined.  This makes perlio happy.
             
             glibc5 detection by __GNU_LIBRARY__.
             
             %ENV note tweaks from Dan Sugalski.
             
             Varargs don't always work too well if one puts an unsigned
             char on the stack and pop an unsigned quad off the stack.
             Subject: Re: [ID 20001103.002] Not OK: perl v5.7.0 +DEVEL7523 on os2-64int-ld-2.30 (UNINSTALLED)
             
             Subject: Pod updates
             
             Fake support of holey files in win/dosish platforms.
             Subject: SDBM_File under MS-Windows95/98 does not work correctly. (APR#1302)
             
             A doc addition for bug id 20001105.019, beware \p.
             
             Tweak #7587.
             
             Subject: [PATCH perl@7573] configure.com and st-lock.t changes for   
             
             perlhack updates from H.Merijn Brand.
             
             Subject: [PATCH perl@7573] cygwin port
             Synchronize with Cygwin 1.1.5.
             
             Bad thinko in #7581 (I used the test program with the expanded
             values as-is).
             
             Make perlbug not insist on dumping to a file when stdout isn't a tty.
             Subject: [PATCH] perlbug.PL
             
             Overrideable keys, each, pop, push, shift, splice, unshift.
             Subject: [PATCH] prototyped functions that should be overrideable
             
             Try to avoid flockless and emulationless places.
     Branch: maint-5.6/perl
	  +> t/lib/tie-refhash.t t/lib/tie-substrhash.t
	   - MAINTAIN
	  !> (integrate 111 files)
____________________________________________________________________________
[  8171] By: gsar                                  on 2000/12/18  02:49:24
        Log: integrate changes#7447,7448,7450,7454,7456,7457,7460,7462,
             7465..7471 from mainline
             
             Remains of the old UTF-8 API, utf8_to_uv_chk(): didn't link
             in platforms that strictly require all the symbols being present
             at link time.
             
             Subject: [PATCH: perl@7446] restore missing d_stdio_cnt_lval to VMS
             
             Subject: [ID 20001025.011] [PATCH] t/io/open.t perl@7369[  7350] breaks VMS perl
             
             Subject: [ID 20001026.006] C<use integer; $x += 1> gives uninitialized warning
             
             Subject: [PATCH] todo
             
             Subject: [ID 20001027.002] Patch 7380 followup - Perl_modfl *must* be defined
             
             Use $sort, $uniq (and $tr) consistently as wondered
             by Nicholas Clark.
             
             Too enthusiastic editing in #7460.
             
             The reëntrant version shouldn't be needed unless USE_PURE_BISON.
             
             Upgrade to CPAN 1.58_55.
             Subject: CPAN.pm status
             
             Subject: [ID 20001027.005] Nit in perlos2.pod - space needs deleted on line 118
             
             Make target reordering to avoid pointless re-makes.
             Subject: Re: Total re-make of 'make okfile' after 7451 ?
             
             Subject: [ID 20001027.010] [PATCH] Add info on building CPAN modules to README.dos
             
             Subject: DOC PATCH 5.6.0
             
             Add the repository doc by Malcolm, Sarathy, and by Simon,
             name as suggested by Michael Bletzinger <mbletzin@ncsa.uiuc.edu>.
     Branch: maint-5.6/perl
	  +> Porting/repository.pod
	  !> Configure MANIFEST Makefile.SH README.dos README.os2
	  !> config_h.SH configure.com embed.h embed.pl handy.h lib/CPAN.pm
	  !> lib/CPAN/FirstTime.pm perl.h pod/perlfunc.pod pod/perltodo.pod
	  !> pp.c proto.h t/io/open.t t/op/assignwarn.t toke.c
____________________________________________________________________________
[  8169] By: gsar                                  on 2000/12/18  02:33:34
        Log: integrate changes#7416,7417,7420..7422,7424,7426..7429,7431..7433,
             7435..7441,7445 from mainline
             
             Make the UTF-8 decoding stricter and more verbose when
             malformation happens.  This involved adding an argument
             to utf8_to_uv_chk(), which involved changing its prototype,
             and prefer STRLEN over I32 for the UTF-8 length, which as
             a domino effect necessitated changing the prototypes of
             scan_bin(), scan_oct(), scan_hex(), and reg_uni().
             The stricter UTF-8 decoding checking uses Markus Kuhn's
             UTF-8 Decode Stress Tester from
             http://www.cl.cam.ac.uk/~mgk25/ucs/examples/UTF-8-test.txt
             
             Run vms/vms_yfix.pl, should have done that after changing
             perly.c in #7382.
             
             Subject: [PATCH 5.7.0] static linking with uninstalled perl
             
             (Replaced by #7440.)
             Subject: Re: [ID 20001022.001] Not OK: perl v5.7.0 +DEVEL7368 on i686-linux 2.2.16
             
             Fix the bug ID 20001024.005, the bug introduced by #7416.
             
             Subject: Re: [ID 20001023.003] PATCH perlfaq5 [perl-current]
             
             Fix the bug reported in
             From: andreas.koenig@anima.de (Andreas J. Koenig)
             Also make is_utf8_char() stricter.
             
             Missed the header file changes from #7425.
             
             Check if stdio supports tweaking lval and cnt simultaneously.
             Subject: PATCH (Re: PerlIO - Configure tweak for Linux/glibc?)
             
             Stratus VOS updates from Paul Green.
             
             Podify README.epoc and README.vos.
             
             Add targets to Makefile.SH, most importantly
             'regen_all' which also remembers to update vms/perly*.
             
             Subject: Minor update to find2perl, for portability
             
             Subject: patch 7416 breaks sv.c on AIX and HP-UX (patch included)
             
             Subject: [ID 20001024.007] [PATCH] "Dump local *FH" causes SEGV
             
             Rename UTF8LEN() to be UNISKIP(), too confusing to have
             UTF8LEN() and UTF8SKIP(). 
             
             Allow poking holes at the UTF-8 decoding strictness.
             
             Continue the internal UTF-8 API tweaking.
             Rename utf8_to_uv_chk() back to utf8_to_uv() because it's
             used much more than the simpler API, now called utf8_to_uv_simple().
             Still not quite happy with API, too much partial duplication
             of functionality.
             
             A new version of making the syslog test more robust.
             (Replaces #7421.)
             Subject: Re: [ID 20001022.001] Not OK: perl v5.7.0 +DEVEL7368 on i686-linux 2.2.16
             
             buildtoc target tweaks.
             
             Integrate with vmsperl #7430 by Charles Bailey:
             
             Cleanup from prior patch (Charles Lane?):
             - improve handling of MFDs in Basename and Path
             - default to no xsubpp line # munging when building debug images
     Branch: maint-5.6/perl
	  +> vos/config.alpha.def vos/config.alpha.h vos/config.ga.def
	  +> vos/config.ga.h vos/configure_perl.cm vos/install_perl.cm
	  !> (integrate 67 files)
____________________________________________________________________________
[  8168] By: gsar                                  on 2000/12/18  02:05:49
        Log: integrate changes#7512,7733 from mainline (regex bugfixes)
             
             Subject: [ID 20001031.004] Uninitialized auto variable in regcomp.c
             From: Martin Husemann <martin@duskware.de>
             
             Subject: [PATCH 5.7.0] restore match data on backtracing
             From: Ilya Zakharevich <ilya@math.ohio-state.edu>
     Branch: maint-5.6/perl
	  !> regcomp.c regexec.c t/op/re_tests
____________________________________________________________________________
[  8167] By: gsar                                  on 2000/12/18  01:55:22
        Log: integrate changes#7858,7986 from mainline
             
             C<foreach my $x ...> in pseudo-fork()ed process may diddle
             parent's memory; fix it by keeping track of the actual pad
             offset rather than a raw pointer (this change is probably also
             relevant to non-ithreads case to avoid fallout from reallocs of
             the pad array, but is currently only enabled for the ithreads
             case in the interests of minimal disruption to existing "well
             tested" code)
             
             fix open(FOO, ">&MYSOCK") failure under Windows 9x (problem is
             due to the notorious GetFileType() bug in Windows 9x, which fstat()
             tickles)
     Branch: maint-5.6/perl
	  !> embed.h embed.pl global.sym objXSUB.h perlapi.c pp_ctl.c
	  !> proto.h scope.c scope.h sv.c t/op/fork.t win32/perlhost.h
	  !> win32/win32.c win32/win32.h win32/win32sck.c
____________________________________________________________________________
[  8166] By: gsar                                  on 2000/12/18  01:52:59
        Log: integrate changes#7626,7632,7717,7738,7814,7817,7902,7912,7915
             from mainline (xsubpp and ExtUtils::LibList fixups, various
             other small items)
             
             The generated boot_* headers are wrong.  Pickier compiler,
             such as KAI C++ will refuse to compile the resulting perlmain.
             Subject: [ID 20001109.005] Bug in minimod.pl, perl 5.6.0
             
             Various doc oddball characters.
             Subject: [ID 20001106.004] Perl 5.6.0 bugs  
             
             Subject: [PATCH] Re: 20001101.003 PDL
             
             Subject: [PATCH 5.7.0] etags broken again
             
             Subject: [PATCH 5.7.0] Liblist finally works
             
             Subject: [PATCH 5.7.0] Liblist returns found libraries
             
             Subject: [PATCH] Re: 5.6 bug: split /^/ implies /m modifier (from CLPM)
             
             Subject: [PATCH 5.7.0] OUT keyword for xsubpp
             
             Subject: Re: [PATCH 5.7.0] OUT keyword for xsubpp
             OUT keyword nits.
             Subject: Re: [PATCH 5.7.0] OUT keyword for xsubpp
             OUT and IN_OUT documentation.
     Branch: maint-5.6/perl
	  !> emacs/cperl-mode.el emacs/ptags lib/ExtUtils/Liblist.pm
	  !> lib/ExtUtils/MM_VMS.pm lib/ExtUtils/MakeMaker.pm
	  !> lib/ExtUtils/xsubpp lib/unicode/syllables.txt minimod.pl
	  !> pod/perlfunc.pod pod/perlxs.pod pod/perlxstut.pod t/op/split.t
	  !> win32/bin/search.pl
____________________________________________________________________________
[  8165] By: gsar                                  on 2000/12/18  01:28:45
        Log: integrate changes#7533,7563,7611,7623 from mainline (various
             malloc.c embellishments)
     Branch: maint-5.6/perl
	  !> malloc.c pod/perldiag.pod
____________________________________________________________________________
[  8164] By: gsar                                  on 2000/12/18  01:23:33
        Log: integrate changes#7419,7806,8129 from mainline (various h2xs
             fixups)
     Branch: maint-5.6/perl
	  !> utils/h2xs.PL
____________________________________________________________________________
[  8163] By: gsar                                  on 2000/12/18  01:17:50
        Log: integrate changes#7493,7599,7803 from mainline (various perlbug
             fixups)
     Branch: maint-5.6/perl
	  !> Makefile.SH utils/perlbug.PL
____________________________________________________________________________
[  8162] By: gsar                                  on 2000/12/18  00:25:43
        Log: always export Perl_deb() (it is required by re.xs whether
             Perl is built with or without -DDEBUGGING)
     Branch: maint-5.6/perl
	   ! makedef.pl
____________________________________________________________________________
[  8161] By: gsar                                  on 2000/12/18  00:23:38
        Log: integrate change#7414 from mainline
             
             Undo the basename() part of #7412 since the lib/basename
             tests would need upgrading too.
             
             squelch two tests in tr.t that rely on tr/// paranoia change
             that's not in 5.6.x
     Branch: maint-5.6/perl
	   ! t/op/tr.t
	  !> lib/File/Basename.pm
____________________________________________________________________________
[  8160] By: gsar                                  on 2000/12/18  00:05:30
        Log: missing change in previous integrate
     Branch: maint-5.6/perl
	  !> README.aix
____________________________________________________________________________
[  8159] By: gsar                                  on 2000/12/18  00:03:38
        Log: integrate changes#7205..7210,7212,7214..7219,7222,7223,7225,7226,
             7228,7230..7241,7243,7346,7347,7350..7354,7356,7358..7360,7362,
             7363,7365..7368,7370..7374,7376..7386,7391,7393..7399,7404..7408,
             7410..7413 from mainline
             
             Introduce the man[24-8] variables, from Andy Dougherty.
             
             Upgrade to CPAN 1.58, from Andreas König.
             
             An updated EBCDIC tr patch.
             Subject: Re: [PATCH: perl@7181] op/tr tests on OS/390
             
             Subject:  [PATCH] 5.6.0 & 5.7.1,  VMS fixes
             
             Two thirds of
             Subject: Proposed patches, Install.pm getopts.pl termcap.pl
             The Install.pm changes will be submitted separately because
             they need some work and discussion still.
             
             The Install.pm third of
             Subject: Proposed patches, Install.pm getopts.pl termcap.pl
             
             Subject: [PATCH: perl@7181] was: Re: off to a bad start on fixing regression tests
             
             Subject: [PATCH 5.7.0] IVs in mtats
             
             Subject: [PATCH 5.7.0] Perl API for mstats
             
             Ilya implemented the memory profiling API.
             
             In Amdahl UTS "struct sv" is defined by a system header,
             <ksync.h>.
             
             Slight tweak of the code to appease Amdahl UTS cc.
             
             Amdahl UTS doesn't seem to do dynaloading.
             
             Use UTF8SKIP(), from Simon Cozens.
             
             Thinko in #7222.
             
             op/sprintf.t patch for OS/390 (and any other host with limited
             floating-point exponent length)
             Subject: Re: [ID 20001006.014] Not OK: perl v5.7.0 +DEVEL7158 on os390 05.00  (UNINSTALLED) [PATCH bleadperl]
             
             Tweak #7225.
             Subject: Re: [ID 20001006.014] Not OK: perl v5.7.0 +DEVEL7158 on os390 05.00 (UNINSTALLED) [PATCH bleadperl]
             
             Subject: RFC: a (temporary?) way around utf8.pm for EBCDIC
             
             Needs to be conditional on SunOS 4.
             Subject: [Pach 5.7.0@7229] Removing -ldb from the core build
             
             Test cases for bug id 20000323.056 (the bug seems to be fixed).
             
             Add test for bug id 20000427.003 (which seems to have
             been fixed) (also duplicate as 20000427.004, though
             with a higher severity).  Move one utf8 from op/append
             to pragma/utf8, tag the tests with bug ids.
             
             Document FNCASE=y as discussed in the bug 20000902.009.
             
             split() utf8 fixes.  Should fix both 20001014.001 and 20000426.003.
             The problem was that rx->minlen was in chars while pp_split()
             thought it would be in bytes. 
             
             Make ~(chr(a).chr(b)) eq chr(~a).chr(~b) on utf8.
             Subject: [PATCH] Re: [ID 20000918.005] ~ on wide chars
             
             Fix few quad issues, which for example broke chr(~chr(~0)) for UTF8.
             
             Fix a couple of compiler-noted nits in #7235.
             
             Tweak the test of #7235.
             
             One more ~utf8 tweak.
             
             -w cleanup.
             Subject: Re: Problems with bleadperl 
             
             Subject: small pod patch
             
             Subject: [PATCH perlguts.pod] Document offset hack
             
             Add Charles Lane.
             
             Add the capability to include/exclude branches.
             
             Subject: [ID 20001016.012] [PATCHes Included]OK: perl v5.7.0 on dos-djgpp djgpp
             
             Detect early whether the std streams have gone bad.
             Subject: PATCH (was Re: [ID 20001016.007] Not OK: perl v5.7.0 +DEVEL7228 on i586-linux 2.2.16 (UNINSTALLED))
             
             More IoTYPE sprinkling.
             
             Workaround for a sfio bug where the stream error indicator
             is not cleared as documented.
             Subject: PATCH (was Re: [ID 20001016.007] Not OK: perl v5.7.0 +DEVEL7228 on i586-linux 2.2.16 (UNINSTALLED))
             
             Clarify documentation on 'use bytes'.
             Subject: Re: What does 'use bytes' "mean" ?
             
             Show the failed remote port, instead of the failing line number.
             Subject: [PATCH 5.6.1 Debugger] More diagnostics
             
             Make Cwd more bulletproof in chrooted environments.
             Subject: [ID 20001018.001] Fix for Cwd.pm (chroot)
             
             Subject: Pod patch for Devel::Peek
             
             Subject: Re: [ID 20001013.008] perl 5.6.0 on AIX 4.3.2 w/GCC 2.95.2
             
             Borland C fstat() never saw the fd as writable.
             Subject: fix for Borland's weak "stat" (perl@7211)
             
             Missing change from #7362.
             
             Subject: [PATCH 5.7.0] Re: [ID 20001018.008] flip-flop bug when there's no <FH> 
             
             Add the test case for the bug id 20000730.004 which seems
             to have been fixed by now.
             
             Fix of sorts for bug id 20000901.092.  There seems to be no trace
             of a 'pmshort' anywhere in the B, so the offending line was simply
             removed.
             
             Subject: Re: [ID 20001013.008] perl 5.6.0 on AIX w/GCC
             
             Subject: PATCH do_print has 2 PerlIO_error()s
             
             NonStop-UX patches from Tom Bates <tom.bates@compaq.com>
             
             Typo noted by Mark Lutz.
             
             Subject: PATCH CR+LF should be "\cM\cJ" in perlop
             
             In the latest compiler builds cccdlflags must not become -fpic,
             from Wilfredo Sánchez.
             
             Subject:  [PATCH] Perl 5.6.0/5.7.0, vms/gen_shrfls.pl update
             
             Subject:  [PATCH] Perl 5.6.0/5.7.0 enable DProf test for VMS
             
             SOCKS function redefinitions need prototypes, too, otherwise
             for example 32 bit versus 64 bit differences cause a lot of
             problems.  Part of
             Subject: [ID 20001016.017] [jens: 5.7.0 Solaris 8, 64 Bit, Workshop 6.0 Compiler]
             
             Portability tweak on #7377.
             Subject:  Re: [nick@cow.org.uk: [ID 20001020.004] Not OK: perl v5.7.0 +DEVEL7368 on i386-freebsd-64all 4.1-stable (UNINSTALLED)]
             
             Don't write double values through long double pointers,
             based on a part of
             Subject: [ID 20001016.017] [jens: 5.7.0 Solaris 8, 64 Bit, Workshop 6.0 Compiler]
             
             Reëntrancy fix.
             Subject: [PATCH perl@7229] Rentrant parser and yylex()
             
             Make scan_num() reëntrant, as suggested in
             Subject: [PATCH perl@7229] Rentrant parser and yylex()
             
             Fix for ID 20001020.006, concatenating an unset submatch
             with utf8 resulted in "Modification of a read-only value".
             
             Fix for ID 20000915.011, IO::Select warning for an undefined fd.
             
             The #7383 was right only in the context of the original bug report,
             not in more general case.
             
             Update Changes.
             
             Testcases for a #7383,#7385 related bug.
             Subject: PATCH Re: [ID 20001020.006] "$2$utf8" == modification of read-only-variable
             
             Subject: [PATCH@blead Tie/Array.pm] Re: [ID 20001020.002] Tie::Array SPLICE method is buggy
             
             Tweak the Is* definitions of Unicode character classes
             to better match the official categorizations; embrace
             the official categorizations; add the combining marks
             as alpha (and -numeric); fix DCinital (a typo and edito)
             to be DCmedial.
             
             Hints tweak from Anton Berezin.
             
             Subject: installman go-faster stripes
             Subject: Re: installman go-faster stripes
             
             Subject: [ID 20001021.003] updated hints/openbsd.sh
             
             Subject: [PATCH bleadperl] -MO=C falls over on package <none>
             
             Subject: PATCH $Config::Config{ldlibpthname} in ext/DynaLoader/DynaLoader_pm.PL
             
             Subject: [PATCH] Re: [ID 20000121.007] XXX documentation in man ExtUtils::MakeMaker
             
             Doc patch.
             Subject: [ID 19991128.002] \&{'foo'} not caught by strict refs
             
             Retract #7404 with a patch from Robin Barker, via Andy Dougherty.
             
             Subject: Re: [ID 20001021.005] SEGV with regex match 
             
             Subject: Re: [20000731.007] potential syntax error not detected [PATCH]
             
             The change #7187 was not so good on VMS.
             Subject: [PATCH perl@7369] VMS perldoc.PL fix for double quoted temp filename
             
             Subject: [PATCH: perl@7386] miscellaneous typos in 3 pods
             
             Miscellaneous MacOS Classic library updates from Matthias Neeracher.
             
             Document PERL_INSTALL_ROOT of #7210.
     Branch: maint-5.6/perl
	  +> README.aix hints/nonstopux.sh lib/unicode/Is/DCmedial.pl
	  +> t/lib/tie-splice.t
	   - lib/unicode/Is/DCinital.pl
	  !> (integrate 112 files)
____________________________________________________________________________
[  8156] By: gsar                                  on 2000/12/17  22:49:13
        Log: integrate changes#7069..7077,7079,7081..7087,7090,7092,7093,
             7096..7104,7109..7117,7119..7124,7126,7128,7129,7133,7134,
             7136..7139,7141..7146,7148,7149,7151,7153..7155,7157,7158,
             7160,7161,7164,7165,7169..7178,7180..7191,7193..7197,7199,
             7201,7204 from mainline
             
             Remove vestiges of tr//CU.
             Subject: [ID 20000912.009] perlunicode.pod still mentions tr///CU
             Subject: Re: [ID 20000912.009] perlunicode.pod still mentions tr///CU
             
             The return value of setlocale must be copied away.
             Subject: [ID 20000913.001] Heap corruption in Perl_init_i18nl10n
             
             Allow chop() and chomp() to be overridden.
             Subject: [PATCH] Re: [ID 20000911.006] I can override glob but not chop?
             
             Hints optimization.
             Subject: Minor nit
             
             Subject: [PATCH] de-wall t/README
             
             Subject: Re: Two advertising clauses need to be removed
             
             Batch of UTF-8 patches from Simon Cozens.
             
             Fix for a parsing bug, not for the original bug.
             Subject: Re: [ID 20000910.005] Another segfault with regexes. 
             
             Compilation warnings and an error.
             
             Subject: File::Find 5.7.0 POD nits
             
             Subject: [PATCH perl-5.7.0] continued -Wformat support
             
             The one that got away.
             
             Subject: Re: perl@7078
             
             UTF8-encoded version of 256 is 0xc4 0x80; test that a char is
             convertable to bytes by checking it doesn't go above 0xc3
             Subject: Re: perl@7078
             
             Replace #7084 with
             Subject: Re: perl@7078 
             
             We don't need to count the high bit bytes, a boolean is enough. 
             
             Subject: [PATCH] utf8.c apidoc
             
             Subject: Re: perl@7078 
             
             Botched the #7090 check-in.
             
             Fix for the charnames.t failures from Spider Boardman.
             
             Re-instate Perl_utf8_to_uv without checking parameter - added in change 7075.
             i.e. rename Simon's function to Perl_utf8_to_uv_chk, change all calls to it
             to use new name and add Perl_utf8_to_uv() as a wrapper which calls it passing
             0 to checking to get the warning.
             
             Subject: [PATCH] Nits in perlmod.pod
             
             Subject: Re: Trapping by opmask sets strange parser state [PATCH]
             
             Subject: Re: unicode support and perl [ID 20000901.097]
             
             Subject: Re: unicode support and perl [ID 20000901.097]
             
             Subject: [PATCH perl@7065] another VMS my_fwrite() fix for Storable
             
             Subject: [PATCH] Re: [ID 20000915.010] Infinite loop with -MO=Deparse
             
             Subject: [ID 20000917.002] 5.7.0 and blead@7095 make html makes man
             
             Subject: [PATCH@blead] Fix some recursion in overload.pm
             
             s/Robin Parker/Robin Barker/
             
             Subject: [PATCH] Fix aliasing of tied filehandles
             
             Subject: Re: [ID 20000912.008] substr replacement of tainted data (bug) 
             
             Subject: Re: [PATCH 5.005_64 missed]
             
             SOCK_DGRAM and listen() do not mix as reported in
             Subject: [ID 20000930.001] Bug in perl 5.00503 IO::Socket
             The patch for 5.7.0+ had to be reengineered, though.
             
             Subject: DOC PATCH 5.6.0
             
             Subject: [PATCH 5.7.0] Minor optimization in re_intuit_start
             
             Document the issue (is not a syntax error, kind of)
             Subject: Re: [ID 20000901.011] the list (1,,3) ought to be a syntax error
             
             Subject: [ID 20000928.002] perlcc & ByteCode.pm option mismatch
             Did not apply cleanly, manual intervention was needed.
             
             Subject: [PATCH] DLL not restartabke with threaded perl
             
             Inside require() $^S was always left undefined.
             Subject: Re: Tiny 2-byte change to fix debugger's eval bug
             
             Subject: [PATCH pod/perlop.pod]  Documentation glitch in magic autoincrement.
             
             OpenBSD flags tweak from Todd C. Miller, tweaked some more by Abigail.
             
             Regen headers.
             
             Subject: [PATCH 5.7.0] Epoc update
             
             Introduce NO_ENVIRON_ARRAY (and USE_ENVIRON_ARRAY) defines
             as suggested by Olaf Flebbe and Nick Clark.
             
             Subject: [ID 20000915.007] Not OK: perl v5.7.0 +DEVEL7092 on os2-64int-ld 2.30 '(UNINSTALLED)'
             
             Misplaced else.
             
             Scale down the VMS message boxes, by Charles Lane.
             Fix for ID 20000903.009, workaround at
             http://www.xray.mpe.mpg.de/mailing-lists/vmsperl/2000-09/msg00039.html
             
             Subject: [ID 20001003.006] B::Debug not -w clean
             
             Test harness update to sync with the new perlcc,
             from Simon Cozens.
             
             One remaining nit less at the VMS mailbox sizing.
             
             Subject: [PATCH: 7131] PWPASSWD problem for passwd less pwd's
             
             It is possible to have no hosts database at all.  Pointed out in
             Subject: [PATCH: 7131] PWPASSWD problem for passwd less pwd's
             
             Subject: [PATCH 5.7.0] h2xs not working
             Subject: [PATCH 5.7.0] h2xs not documenting the created module
             
             Subject:  [PATCH] 5.6.0 & 5.7.0  VMS TZ fix for VMS6.2 and earlier
             
             Subject: perlhack.pod Patch for Externals Tools
             
             Subject: [PATCH perlrun.pod] Re: [ID 20000930.002] perlrun nor perldelta mention -s modification
             
             Subject: Re: [PATCH 5.7.0] h2xs not documenting the created module
             
             Enable disabling scripts installation by Configure -Uinstallscripts,
             suggested by H. Merijn Brand.
             
             Code around the stat-on-a-pipe-returns-a-mode-of-zero bug
             reported several times by Dominic Dunlop, for example in
             ID 20000315.008.  Patch from Dominic.  Patch affects at
             least MachTen, and possibly other oldish BSDs. Should not
             break non-broken platforms (tested on LinuxPPC). 
             
             Regen toc.
             
             Subject: Re: Questions about Tie::Array and perl modules
             Bug reported and fix suggested by Philip D Crow <pcrow@hertz.com>.
             
             Patch from Simon Cozens to avoid using utf8 routines in EBCDIC.
             
             Tweak #7153.
             
             IO::Handle->syswrite() did not handle length omission
             like CORE::syswrite() does.
             Subject: [Fwd] IO::Handle, syswrite and arguments
             The original patch from andrew@ugh.net.au.
             
             Also the $ccflags is needed for the C compiler check.
             Subject: Configure (check for C-compiler)
             
             Eliminate $Is_VMS code from the test.
             Subject:  Re: [ID 20001004.005] Not OK: perl v5.7.0 +DEVEL7129 on VMS_AXP V7.1
             
             Fix bug in #7157 (s/cflags/ccflags); moved the -o foo
             as the first option of cc/ld because of ultrapicky compilers
             (e.g. OS/390 R2.5)
             
             Change the version number of Tie::Handle in the core to 4.0,
             the (unrelated) Tie::Handle in CPAN will remain at 3.0.
             Subject: Note on Tie::Handle
             
             UTF8ize split() so that the cloned substrings get the UTF8
             flag of the original scalar.  Problem reported by Simon Cozens.
             
             save_re_context() could reset PL_curcop to freed memory, causing core
             dumps in code such as C<use CGI::Carp; use something_that_calls_die;>
             
             Subject: PATCH 5.6 perldebguts grammar cleanup
             
             Add a todo note about overloadable assertions.
             
             on Windows, LoadLibrary() could load an extension DLL multiple
             times if forward slashes are used in the path
             
             on Windows, cwd strings in the environment should be of the
             form =X:=X:\foo instead of =X=X:\foo\
             
             on Windows, avoid potential exception (could happen if MSVCRT isn't
             being used) when closing a socket handle
             
             avoid nonportable example code
             
             Windows9x doesn't support link(), despite what Config.pm
             might think
             
             pod nit
             
             Change #7160 had a nasty typo.
             
             Warn about unknown scripts.
             Subject: Re: ideas? patches? [PATCH bleadperl]
             
             on Windows, clean targets might not work under some flavors of the shell
             
             tweak for change#7173
             
             Make eq work again with utf8 (disabling the upgrading
             should no more be necessary since the copies of the
             scalars are upgraded, not the scalars themselves).
             Takes care of ID 20001009.001.  (The claimed length()
             bug in 20001009.001 seems bogus to me.)
             
             Subject: [PATCH: perl@7159] various VMS cleanup issues + CXX configure
             
             Upgrade to CGI.pm 2.74, from Lincoln Stein.
             
             Upgrade to podlators 1.04, from Russ Allbery.
             
             Subject: [PATCH 5.6.0] Re: [ID 20001009.004] SEGV from sprintf in a thread 
             
             Quote the temp file name, needed in Win32 because the
             default name unfortunately contains spaces, shouldn't
             hurt elsewhere.
             Subject: FW: perldoc fails if $TEMP contains spaces
             
             Subject: RE: [ID 19990803.001] README.win32 suggestions 
             
             Subject: [ID 20000720.004] ExtUtils::MakeMaker finds wrong version of perl
             
             Subject: Re: utf8 concat, mg_get
             
             Subject: [PATCH: perl@7181] perlebcdic.pod updates and corrections
             
             Subject: [PATCH: perl@7181] op/tr tests on OS/390
             
             Subject: [PATCH: perl@7181] ver.t v string tests for os/390
             
             Use the versiononly instead of the installscripts,
             retract the changes 7146 and 7147.
             
             Reapply Andy's patch and regen Configure.
             
             Add the test case for #7190, from the original bug report
             by Andreas König.
             
             Remove duplicated code.
             
             SvPV() (via mg_get() of sv_2pv()) can update the UTF8ness of the SVs.
             
             restore change#7202
     Branch: maint-5.6/perl
	  !> (integrate 121 files)
____________________________________________________________________________
[  8153] By: gsar                                  on 2000/12/17  21:23:05
        Log: integrate changes#7017..7019,7021..7025,7027..7036,7038,7039,
             7041..7044,7046..7048,7050..7061,7063,7066..7067,7069..7074
             from mainline
             
             Document the SvIOK_.*UV().
             
             Update Unicode todo list.
             
             Guard against bad string->int conversion for quads.
             
             Subject: small apidoc fix
             
             Subject: [PATCH] Tie::StdHandle did not know about 3-arg open
             
             Subject: [PATCH] Tied filehandle documentation
             
             Subject: [PATCH] Modernize Opcode.pm documentation
             
             Make Data::Dumper (non-XS) to work with changed semantics of ref().
             Subject: Re: Undocumented(?) change to "ref" semantics in 5.7.0
             [applied even though said semantics didn't change in 5.6.x]
             
             Subject: [PATCH@7014] \G in non-/g is well-defined now ... right?
             
             Subject: Re: [ID 20000905.001] Assertion failed: file "toke.c", line 202 
             
             Fix the URL, but the server is still missing in action.
             Subject: [ID 20000905.002] perlfaq1.pod URL error
             
             Subject: [ID 20000903.001] \w in utf8-strings
             
             Fix the ccversion detection for 5.1 and beyond.
             Subject: [ID 20000907.007] Not OK: perl v5.7.0 +devel-7030 on alpha-dec_osf 4.0f
             
             Subject: [PATCH 5.7.0] perl5db.pl [Was: Re: Debugger question]
             
             Subject: [ID 20000904.008] Tiny fix for perldiag
             
             Subject: Re: [ID 20000906.004] segfault with bad perl statement
             
             Subject: Re: [ID 20000907.007] Not OK: perl v5.7.0 +devel-7030 on alpha-dec_osf 4.0f
             
             Subject: [ID 20000908.002] perlipc documentation bug.
             
             Subject: [PATCH lib/Benchmark.pm]
             
             Re-allow vec() for characters > 255.
             Subject: [PATCH] Re: [ID 20000907.005] Not OK: perl v5.7.0 +devel-7030 on alpha-dec_osf-perlio 4.0f (UNINSTALLED) 
             
             Do away with memory models cruft.  Sorry, PDP users.
             
             Continue #7041.
             
             Subject: [PATCH (or RFC): 5.7.0] make the ran_tests intermediate file 8.3 friendly
             
             Subject: [PATCH: 5.7.0] proper setting for isnan for DECC 5.3
             
             Upgrade to CPAN 1.57_65, from Andreas König.
             
             Upgrade to podlators-1.03 (Pod::Man 1.07 and Pod::Text 2.05),
             by Russ Allbery.
             
             Silence t/pod/*.t about alternate quote-mappings now implemented
             by Pod::Text, from Brad Appleton.
             
             Modern Borland C now seems to have anon unions for info.wProcessorArchitecture
             Subject: borland C++ win32.c tweak
             
             C<@a = @b = split(...)> optimization coredumps under ithreads
             (missed a spot when fixing up op_pmreplroot hack for ithreads)
             
             Document the SvUTF8*().
             
             Subject:  [PATCH] Perl 5.6.0, 5.7.0 ... vms/test.com to eliminate spurious NL's in test output
             
             Subject: RE: [Patch 5.7.0] Removing -ldb from the core build
             
             Do in VMS as the #7054 does.
             
             Subject: [patch] perlfunc.pod -- POSIX::sigpause should be POSIX::pause
             
             Subject: [ID 20000911.008] Not OK: perl v5.7.0 +DEVEL7048 on os2-64int-ld 2.30 (UNINSTALLED)
             
             Subject: [patch: perl@7045] vms updates
             
             Test for the #7049.
             Subject: Re: [PATCH] Re: [ID 20000910.001] Not OK: perl v5.7.0 +DEVEL7044 on    i686-linux 2.2.16-raid (UNINSTALLED)
             
             Break up the myconfig lines a bit.
             Subject: perlbug/perl -V output format
             
             Subject: [ID 20000911.011] misplaced typemap in perlxs.pod
             
             The #7054 truncated Configure badly.
             
             change#6327 didn't quite go all the way to enable USE_SOCKETS_AS_HANDLES
             initialization in all the threads on Windows
             
             Allow for whitespace between "#" and "line" in cpp output.
             Subject: [PATCH] Re: Problems compiling bleadperl on Unicos 9
             
             Remove vestiges of tr//CU.
             Subject: [ID 20000912.009] perlunicode.pod still mentions tr///CU
             
             The return value of setlocale must be copied away.
             Subject: [ID 20000913.001] Heap corruption in Perl_init_i18nl10n
             
             Allow chop() and chomp() to be overridden.
             Subject: [PATCH] Re: [ID 20000911.006] I can override glob but not chop?
             
             Hints optimization.
             Subject: Minor nit
             
             Subject: [PATCH] de-wall t/README
             
             Subject: Re: Two advertising clauses need to be removed
     Branch: maint-5.6/perl
	  !> (integrate 75 files)
____________________________________________________________________________
[  8152] By: gsar                                  on 2000/12/17  20:30:11
        Log: integrate changes#6945,6947,6949..6954,6956,6958,6959,6961,
             6964..6972,6977..6981..6984,6987,6988,6991,6994,6997,
             6999..7001,7003..7005,7007,7009,7011,7012 from mainline
             
             Don't attach -ld to the archname if pointless.
             
             Document UNTIE in a very minimalistic way.
             
             POSIX doesn't report long double values under -Duselongdouble
             when the long doubles are "real" (bigger than doubles).
             
             More author updates.
             
             Try to deduce NV_MAX.  Really should be Configure fodder.
             
             :: not allowed in pathnames, change to .
             Subject: [PATCH perl@6938] cygwin port
             
             Forget about NV_MAX (#6951).  Various floating point tweaks,
             ideas from Eric Fifer, Yitzchak, Alan, and Spider.
             
             Move the Solaris 7 scan to use64bitall, make the
             failure to find 64-bot sparc libc to mention the
             possibility of being in an intel, from Lupe and Alan.
             
             Regen perltoc.
             
             AUTHORS tweaks, from Peter Prymmer.
             
             More address tweaking.
             
             Small tweaks all over.
             
             File::Temp patches from Andreas König,
             
             Subject: [PATCH perl@6962] 2 more vms.c fix-ups and status
             
             Subject: CPAN.pm beta 1.57_57 for the core
             
             Part of the solution.
             Subject: Re: [ID 20000807.004] [PATCH] conditional breakpoints leak memory
             
             Subject: [PATCH@6961] Fix misleading example in perlretut.pod
             
             Subject: [PATCH lib/overload.pm] Sanaty checking of arguments to overload::constant
             
             Add the overload warnings to perldiag.
             
             Drop unused argument.
             Subject: Re: [ID 20000831.034] overload::constant and number of arguments. 
             
             Subject: Nit in Configure (bleadperl@6961)
             
             Update to PodParser 1.18, from Brad Appleton.
             
             Subject: [ID 20000901.017] [PATCH] Basic test failure in an untidy world       
             
             Subject: [PATCH: 6948] add SCNfldbl to configure.com
             
             Document UNTIE. Also tweak implementation to suppress the 'inner references'
             warning when UNTIE exists and instead pass the cound of extra references to
             the UNTIE method.
             
             Rename the PRIElfbl, PRIX64, etc, to be PRIEUfldbl, PRIXU64,
             so that case-ignoring systems like DCL can tell them from
             PRIefldbl and PRIx64.  Apply Merijn's ccversion patches.
             
             Subject: Re: [PATCH lib/overload.pm] Sanaty checking of arguments to overload::constant
             
             Feature ordering tweak.
             
             Regen perltoc.
             
             Subject: [PATCH] Fix vec() / utf8   (was Re: bitvec ops still broken with utf8 -- or not?)
             
             Subject: Re: [PATCH perl@6962] 2 more vms.c fix-ups and status
             
             Subject: http:// in L<>
             
             Detypo.
             
             change#6791 accidentally clobbered change#6710, put it back
             
             Only the first line, thank you very much.
             
             Subject: [PATCH: 6996] minimal removal of 8 bit chrs from perlebcdic.pod
             plus rework the http: spots as suggested by Tom Christiansen,
             plus regen perltoc.
             
             Undo part of change 6489 which looks like a bulk edit which
             changed _all_ gv_efullname3() calls to gv_efullname4() calls.
             The supressing of main:: on return from select() is undesirable.
             
             Apparently avoiding the swapping is too costly.
             
             Various Configure nits by Philip Newton,
             plus the ebcdic one by me.
             
             Make certain cc is set before trying to run it.
             
             If overloaded %{} etc. return the object do not loop.
             Thus  sub deref { $_[0] } functions if object is wanted type.
             
             Update perlhist.
             
             More %{} and other deref special casing - do not pass to 'nomethod'.
     Branch: maint-5.6/perl
	  !> (integrate 59 files)
____________________________________________________________________________
[  8151] By: gsar                                  on 2000/12/17  19:14:38
        Log: integrate changes#6903,6905..6907,6909,6911..6913,6915,6917,6918,
             6920..6926,6928..6930,6934..6937,6939,6940,6942..6944 from mainline
             
             Subject: [PATCH perl@6889] Chuck Lane's OpenVMS piping improvements
             
             Make the epsilon to be relative, not absolute.
             
             Put back the flags dump as reasoned in
             Subject: Re: [PATCH] Glob dumping
             
             Introduce ccname to keep track of what compiler kind of we have.
             
             Subject: Re: [ID 20000829.020] perl -e 'package; print __PACKAGE__' core dumps 
             
             Put back the slice accidentally removed by #6907.
             
             Reset archname and archname64 always, forcing them be
             recomputed at each Configure run, make Configure and
             the hints files agree on the naming of largefiles variables.
             
             Don't say "Perl 5.0 source kit".
             
             Subject: [PATCH] fix misc cast warnings
             
             Subject: typos in pods
             
             NVs not necessarily doubles, as pointed out by Yitzchak.
             
             Subject: [PATCH 6889] add a few ldbl formats to configure.com
             
             Subject: [ID 20000830.036] [DOC] chom?p %hash not documented
             
             Better options for rsync.
             
             Subject: [PATCH perl@6889] fix Storable on VMS by fixing my_fwrite()
             
             Subject: Re: not OK, 6919 on Alpha VMS V 7.1 w/ DECC 6.0-001
             
             Subject: [PATCH] Re: UNTIE method 
             
             A better fix for the Socket building problem from Craig Berry.
             
             Retract the dummy test, skip the security tests (instead of failing),
             explain what the warnings mean.
             
             Heap decorruption.
             Subject: [PATCH] Fix for miniperl coredump on Solaris with -Duselongdouble
             
             Update to Unicode 3.0.1.
             
             Missed one Unicode file.
             
             Subject: Re: typos in pods
             
             The #6929 was too skimpy.
             
             sscanf() may be the only way to read long doubles from strings.
             
             Reveal Borland's isnan.
             Subject: build with BC++ tweak
             
             Issue useful diagnostic on unknown pod commands.
             Subject: [PATCH lib/Pod/Man.pm] Re: [ID 20000830.048]
             
             Subject: [PATCH] Re: [ID 20000830.048] Not OK: perl v5.7.0 +DEVEL6938 on i686-linux 2.2.13
             
             Clarify the third case of ftmp-security warnings.
             
             Make -Dusemorebits find long doubles in Solaris.
             
             Wrap the test in eval.
     Branch: maint-5.6/perl
	  +> lib/unicode/BidiMirr.txt lib/unicode/CaseFold.txt
	  +> lib/unicode/PropList.txt lib/unicode/README.perl
	  +> lib/unicode/UCD301.html lib/unicode/UCDFF301.html
	  +> lib/unicode/Unicode.301 vms/vmspipe.com
	   - lib/unicode/Props.txt lib/unicode/UCD300.html
	   - lib/unicode/Unicode.300 lib/unicode/Unicode3.html
	  !> (integrate 305 files)
____________________________________________________________________________
[  8146] By: gsar                                  on 2000/12/17  18:09:08
        Log: update Changes
     Branch: maint-5.6/perl
	   ! Changes
____________________________________________________________________________
[  7899] By: gsar                                  on 2000/11/28  06:32:55
        Log: reintegrate files missed by change#7895
     Branch: maint-5.6/perl
	  +> ext/ByteLoader/bytecode.h utils/Makefile
	   - utils/perlbc.PL
____________________________________________________________________________
[  7897] By: gsar                                  on 2000/11/27  18:22:47
        Log: can't integrate these two files, for some reason
     Branch: maint-5.6/perl
	   - ext/ByteLoader/bytecode.h utils/Makefile
____________________________________________________________________________
[  7895] By: gsar                                  on 2000/11/27  18:11:21
        Log: integrate changes#6763..6766,6770,6773,6775..6776,6778,6780,
             6782..6791,6793..6814,6816,6818..6822,6824..6830,6838..6849,
             6757..6890,6892..6901 from mainline
             
             Bytecompiler patches from Benjamin Stuhl.
             
             More bytecompiler.
             
             Subject: [PATCH blead] B:: missing dependency
             
             Subject: [PATCH: 6757] configure.com updates and syslog build
             
             Long double Gconvert fixes from Yitzchak Scott-Thoennes
             and Spider Boardman.
             
             Subject: [PATCH blead] nextchar() abuse misses an optimisation
             
             Long double fixes from Spider Boardman.
             
             Make the selection of NVff et al stricter.
             
             cSVOPo_*v things index into the current PL_curpad
             under ithreads, which is different from the curpad
             used by the XSUB.  (In other words, the code as-is
             before this patch wouldn't work under ithreads.)
             
             Be portable.
             
             VMS MMS (make) wants null action.
             
             Mac and other portability updates from Chris Nandor.
             
             Storable support, v-version fixes.
             Subject: CPAN.pm beta for testing available
             
             Portability fix from Hugo van der Sanden.
             
             Bad makefile.
             
             Subject: [ID 20000823.004] [PATCH 5.6.0+] Pod::Html is too self-contained
             
             Subject: [PATCH] (Mac OS X): Don't #define environ unless PERL_CORE
             
             Subject: [PATCH] Re: [ID 20000821.008] Negitive numbers with vec dumps core
             
             Replace #6705 with a minimal doc patch.
             Subject: [PATCH 5.6.0] replace change #6705
             
             Drop the separate perlbc, perlcc -b should be enough.
             
             installperl couldn't tell whether it had run tests or not.
             Subject: [PATCH] Re: installperl and t/TEST
             
             Add silencer flags to installperl.
             Subject: [PATCH] Making installperl silent.
             
             Make "make install" by default silent.  A new "install-verbose"
             target is verbose.
             
             More liberal parsing of version numbers.
             Subject: Re: CPAN.pm beta for testing available
             
             Create directories in silence.
             Subject: [PATCH] Another silencer for MakeMaker
             
             DOS patches and portability/porting notes, from Tim Jenness.
             
             Make installman to recognize the silence flag -S.
             
             Actually do something with the silencer option.
             
             Continue silencing.
             
             Show the doc file, not the temp file.
             
             Regen perltoc.
             
             Subject: [PATCH] More silencing of installman.
             
             Better wording for the vec lvalue diagnostic.
             Subject: Re: [PATCH] Re: [ID 20000821.008] Negitive numbers with vec dumps core
             
             Subject: [PATCH: 6805] several more tweaks to configure.com
             
             Subject: [PATCH perl@6805, 5.6.0, 5.005_03] prevent rare Perl hang on VMS
             
             Missing parts of 
             Subject: [PATCH: 6789] some endl fixes for VMS wackiness
             
             Subject: [ID 20000824.029] MakeMaker manifypods fails on DJGPP systems
             (applied slightly modified)
             
             installperl --verbose and --silent.
             Subject: Re: [PATCH] More silencing of installman.
             
             Add install-silent target.
             
             AIX 4.3.3 has SOCKS in libc with a differently named init routine,
             the problem reported in
             Subject: [ID 20000825.007] Building stable 5.6.0 on AIX 4.3.3 using SOCKS
             
             Tweak the sfio/useperlio logic, hopefully as wished in
             Subject: [ID 20000825.004] Not OK: perl v5.7.0 +SUIDMAIL +DEVEL6804 on i586-linux 2.2.12 (UNINSTALLED)
             
             One forgotten file from #6816.
             
             Subject: [PATCH @6820] installman under -w and strict (was Re: [PATCH] More silencing of installman.)
             
             Remove duplicately applied patch shards.
             Subject: [ID 20000825.012] [PATCH@6822] t/lib/cgi-html.t produces ugly cruft during 'make test'
             
             Support preserving extremely big/small angles.
             
             Subject: Re: [ID 20000825.019] Not OK: perl v5.7.0 +SUIDMAIL +DEVEL6820 on alpha-dec_osf 5.1 (UNINSTALLED) 
             
             Subject: [PATCH] installation not quite silent yet.
             
             Update the test count.
             
             Use UVxf, PTR2UV, NVff.
             
             Document PTR2XX and INT2PTR.
             
             no-install target a la make -n.
             Subject: [PATCH] make no-install (was Re: [PATCH] installation not quite silent yet.)
             
             grep -e isn't portable.
             Subject: [ID 20000825.027] let me (perlbug@perl.com) know how I blew it
             
             Can't get the test to reliably work thanks to the
             inaccurateness of floating point.  "Resolves" bug ids
             20000826.003, 20000826.009, 20000826.010,
             
             Subject: installman buglet
             
             DJGPP update from Laszlo Molnar.
             
             Subject: MM_Unix.pm LD_RUN_PATH niggles on Solaris
             
             Passing -R in ldflags makes now it to appear in the default
             for lddlflags, just like with -L.
             Subject: Re: MM_Unix.pm LD_RUN_PATH niggles on Solaris
             
             Test nit.
             
             Use the actual thread type, not the pointer-to-struct.
             
             Provice virtual $Config{ccflags_nolargefiles} etc. 
             
             display_format used as a class method without arguments was broken,
             reported in
             Subject: Math::Complex->display_format() sets style to 'Math::Complex'
             
             Subject: [ID 20000828.006] dir name "0" not safe with Cwd.pm
             
             Subject: [ID 20000828.009] Not OK: perl v5.7.0 +SUIDMAIL +DEVEL6855 on i586-linux 2.2.12 (UNINSTALLED)
             
             Subject: [PATCH@6855] _Minor_ change to overload.pm pod
             
             opmini.o may be left around if a build is interrupted.
             
             Typo in #6858.
             
             Fix for ID 20000828.001, long doubles were not formatted
             correctly (showed up in $], which stopped installing perl).
             
             An attempt to fix the problem reported in
             Subject: Building perl@6856 using gcc/AIX 4.3.3 
             I can't test this properly since the gcc installation I have
             access to seems to be botched (gcc is calling the AIX cpp,
             a losing proposition...)
             
             Add -ld to archname on long tr...double platforms.
             
             Subject: hv.h Doc Patch
             
             Potential cruft.
             
             Subject: [PATCH bleedperl@6856] warnings fixes
             
             -S is the silent flag, -s is the strip flag.
             Subject: [PATCH] Re: [PATCH] make no-install          
             
             Take out the SUIDMAIL thing, that will not be
             a problem in 5.7.*.
             
             Subject: [PATCH bleedperl@6866] spellings
             
             Subject: [PATCH] Re: files not cleaned even by veryclean
             
             Use minimal @INC in tests, most of the time just '../lib',
             so that we simply can't pick up stuff from other Perls than
             the one we are testing.  Pointed out by
             Subject: Re: [PATCH: 6757] make new Storable tests forgiving of places where not built   
             
             Update to Getopt::Long 2.24, from Johan Vromans.
             
             Fix for thinko in #6848.
             Subject: Compiler error in ext/Thread/Thread.c (bleadperl@6866)
             
             Patches all over for people and the files they (hopefully) care about.
             
             Subject: Net::protoent does not export 'getproto'
             
             Missed a change in #6869.
             
             Subject: [PATCH] Warnings in B::Deparse
             
             Subject: [PATCH] Glob dumping
             
             Disable one of the tests for now.
             
             Disabling the one test is a bit tricky.
             
             Don't forget to tidy up.
             
             The #6881 removed one dump line.
             
             Subject: Re: [ID 20000525.003] perldoc fails when Makefile.PL is in cwd
             
             Under usethreads the dumped variable is IN_PAD.
             Subject: Re: [PATCH] Glob dumping
             
             Subject: [ID 20000829.026] [PATCH 6868] File::Temp
             
             Subject: [ID 20000829.022] [PATCH 6868] Minor nit in installhtml
             
             Subject: [ID 20000829.023] [PATCH 6868] perlbug@perl.com --> perlbug@perl.org
             
             Regen Configure for #6894.
             
             Subject: [PATCH: 6889] updates to perlebcdic.pod
             
             Undo namespace pollution of #6878.
             Subject: Re: Net::protoent does not export 'getproto'
             
             Admit that we are leaking scalars.
             
             Subject: [PATCH 5.6.0] [ID 20000608.006] panic: magic_killbackrefs with blessed global weakrefs
     Branch: maint-5.6/perl
	  !> (integrate 271 files)
____________________________________________________________________________
[  7894] By: gsar                                  on 2000/11/27  16:00:34
        Log: a couple of nits
     Branch: maint-5.6/perl
	   ! MANIFEST pp_sys.c
____________________________________________________________________________
[  7893] By: gsar                                  on 2000/11/27  15:10:56
        Log: integrate changes#6666..6678,6680..6682,6684..6691,6699..6733,
             6740..6745,6747..6757,6760
             
             Subject: Re: [ID 20000816.006] [PATCH @6655] Shell.pm, bug fix, strict and OO Interface
             
             Subject: [PATCH(2) @6655] Re: perldebut.pod - spelling
             
             Doc nits spotted by Richard Soderberg.
             
             move WNOHANG definition to where other such things are
             
             Make $Config{byteorder} more magical so that it is
             dynamically computed: nice for 'fat binaries'.
             Subject: [PATCH]: default byteorder
             
             Subject: [PATCH] Cwd.pm now uses strict
             
             Subject: Re: [PATCH]Re: Questions about Math::BigFloat
             
             Get -DLEAKTEST to compile (not necessarily to work, mind)
             Subject: [ID 20000724.006] -DLEAKTEST problem
             
             perldebtut 1.10 from Richard Foley, plus Celsius and Fahrenheit.
             
             Add perlebcdic from Peter Prymmer, regen toc.
             
             Don't propose using modules built for 5.005 if no binary
             compatibility with 5.005 is attempted.
             
             Do not use prototyping here.
             Subject: [ID 20000817.016] [PATCH] Peek.xs
             
             Document what the backtick returns if the command fails.
             
             Add byteorder to the myconfig output.
             
             Introduce NVef, NVff, and NVgf, use the middle one.
             (helps for lib/peek + Linux + long doubles)  Reported in
             Subject: [ID 20000814.005] Not OK: perl v5.6.0 on i686-linux-64int 2.2.13       
             Use NVs in POSIX math, not doubles.
             Subject: [ID 20000817.014] POSIX & modfl
             
             Subject: [PATCH 5.6.0+] newSVrv() memory leak
             
             The byteorder code in #6671 was wrong.
             
             Fix the lib/complex failure of
             Subject: [ID 20000814.005] Not OK: perl v5.6.0 on i686-linux-64int 2.2.13       
             Linux long double accuracy issue: something that
             when printed with %g looks like "2" but int() of it is 1.
             
             Propagate new Configure vars.
             
             Unbuffer the output.
             
             Subject: [PATCH] perltrap.pod spring cleaning
             
             Subject: [PATCH] perlfunc.pod -- clarifying sprintf array argument issues
             Subject: [ID 20000817.018] behaviour change 5.5.3 -> 5.6.0 re "Modification of a read-only value"
             
             Tiny Getopt::Long patch from Johan Vromans.
             
             Document code point which makes if (defined %stash::) to work
             (noted by Spider Boardman).
             
             Subject: [PATCH perl@6698] cygwin port
             
             Document the NDBM_File and ODBM_File as SDBM_File
             was documented in #6417.
             
             The new tests were missing from #6415.
             
             Add [[:blank:]] as suggested in
             Subject: [ID 20000716.024] [=cc=] / [:blank:]
             (the [=cc=] has already been taken care of by #6439
             so the whole bug report can be closed)
             and make [[:space:]] to be equivalent to isspace(3)
             (as opposed to \s, which is isSPACE()).  The difference
             is that now [[:space:]] matches the mythical vertical tab,
             while \s doesn't.
             
             Don't eat leading os from index entries.
             Subject: Re: [ID 20000810.006] Pod::Man Ate My 'O'!
             
             Subject: [PATCH 5.6.0+] fix for Win32::DomainName
             
             Typo in pp_complement().
             Subject: [PATCH perl-current] Deparse
             
             Add warnif(), check warnings further up the stack,
             all the warnings functions now can take an optional object reference.
             Subject: [PATCH bleedperl@6691] warnings pragma update
             
             Fix a core dump in lib/selfloader under -DDEBUGGING.
             Subject: PATCH @6698 for [ID 20000817.007] Not OK: perl v5.7.0 +SUIDMAIL +DEVEL6676 on alpha-dec_osf 4.0f (UNINSTALLED) 
             
             Subject: [PATCH 5.6.0+] fix for Win32::GetFullPathName and Win32::GetShortPathName
             
             Subject: [PATCH: 6698] tidy up the temp files left by peek tests on VMS
             
             Subject: [PATCH: 6698] was Re: [PATCH: 6640] VMS Makefile.SH update (fwd)
             Put back the long double avoidance code to POSIX.xs
             because VMS seems to need it still.
             
             Introduce a 'veryclean' target that is like 'distclean'
             but also removes *~ and *.orig.
             
             Subject: [ID 20000817.023] endianness description in perlfunc.pod
             
             Subject: [PATCH perl@6698] File::Temp fix-ups for OpenVMS
             
             Let's try #6717 again.
             
             UTF8 concat fixes.
             Subject: [PATCH @6713] Re: [ID 20000815.006] latest patched perl core dumps
             
             pp_open() could pass an uninitialized filename down to do_open9().
             
             Subject: Re: [ID 20000819.002] Not OK: perl v5.7.0 +SUIDMAIL +DEVEL6707 on i686-linux 2.2.5-16 (UNINSTALLED)
             
             Update to CGI 2.72, from Lincoln Stein.
             
             Subject: [PATCH] Silence MakeMaker (Was: installman)
             
             Use temporary directory instead of current directory.
             Subject: Re: [ID 20000816.011] Test failure in lib/ftmp-security.t
             
             Document odd vs even subreleases and -Dusedevel.
             
             The veryclean target needs to clobber.
             
             Use File::Spec->tmpdir().
             
             Document the number of exponent digits.
             
             Mention perlebcdic and perlposix-bc.
             
             s/this one/the 5.6.0 release/
             
             The #6724 is here.
             
             The correct cleaning order is an art.
             
             small tweaks for change#6705: avoid C++ style comments in C code;
             use Perl's malloc API rather than the low level system one
             
             Array context keeps slithering in.
             
             Subject: Re: 5.7.0 getting really close, new snapshot: perldelta, Storable
             
             Subject: [PATCH] os2.c fix for use64bitint
             
             Update to Pod::LaTeX 0.53.
             Subject: [PATCH] lib/Pod/LaTeX.pm updates
             
             Document the endianness of Alpha more precisely.
             
             Subject: RE: [PATCH perl@6736] t/pragma/warn/9enabled assumes stdout buffered
             
             Rename the macro argument because some preprocessors
             can't tell the difference and expand arguments also inside
             double quoted strings.
             
             free TLS slot properly on Windows
             
             use Cwd 'chdir' didn't set $ENV{PWD} correctly on Windows
             
             Unicos/mk requires elaborate paranoia.
             
             Tweak the floating point output routine preferences.
             
             Also under djgpp the timestamps are funky.
             
             Apply some PodParser 1.18 patches; the Pod/Find.pm
             patches cannot be applied since #6712 conflicts.
             
             Use PodParser 1.18 new test.
             
             A pod nit.
             Subject: [PATCH] pod/perlre.pod (was Re: [ID 20000821.007] $&, $1, etc. disappear when sub returns)
             
             Be verydeepclean.
     Branch: maint-5.6/perl
	  +> pod/perlebcdic.pod
	  !> (integrate 106 files)
____________________________________________________________________________
[  7887] By: gsar                                  on 2000/11/27  14:13:05
        Log: integrate changes#6613..6616,6620..6665 from mainline
             
             VMS configure.com update continues.
             
             Subject: Test fails / warnings with perl-current #6612
             
             Subject: [PATCH] @+, @- readonly (was Re: @<punct> interpolating in "")
             
             Subject: Re: [ID 20000807.003] [PATCH] Debugger treatment of condition "0"
             
             For now remove the mail code.
             
             Subject: Re: [PATCH] @+, @- readonly
             
             Subject: warning: storage class after type is obsolescent
             
             Subject: sfio2000
             
             Subject: Re: File::Temp problems on VMS in bleedperl
             
             README.os2 update.
             Subject: Re: [PATCH perl-current] Make op/sprintf.t more comprehensive,
             
             Make the user to give up his firstborn, err, to knowingly
             verify installing an unstable developer release.  Also bump
             the release to 5.7.0, but leave a patch tag in the local
             patches saying that this is not yet the real thing.
             
             Update (kinda) to Test 1.14, from Joshua Pritikin.
             
             make ok etc also for win32.
             
             Subject: [ID 20000815.005] [PATCH] perldoc not looking in the right place for script pod
             
             Don't blow limited stacks, a lower number is enough to
             tickle the lookbehind limit.
             
             Use -Dusedevel; regen Configure and the respective Porting stuff.
             
             Subject: [PATCH] debugger exit code should reflect user exit code
             
             Subject: [PATCH perl@6620] cygwin port
             
             Missed a file from #6638.
             
             Subject: [PATCH] for t/lib/peek.t (was Re: [ID 20000814.005] Not OK: perl v5.6.0 on i686-linux-64int 2.2.13)
             
             magic callbacks all need to have same type signature
             
             Subject: [ID 20000815.014] [PATCH] INSTALL doesn't mention 64 bit support.
             
             Fix a dependency problem.
             Subject: [PATCH: 6640] VMS Makefile.SH update
             
             The numeric locale was reset to "C" by s?printf and never restored.
             Subject: [ID 20000809.003] setlocale(LC_NUMERIC...) produces different results in 5.005 and 5.6
             No test since adding the failing example to locale.t
             does not fail -- probably because the locale settings are so
             thoroughly tweaked by that time.  Running the example standalone
             does fail, though.  UPDATE: test case added at change #7540.
             
             Subject: [ID 20000324.040] minor fix to perlhpux.pod
             
             Update to CPAN 1.57.
             
             Subject: [PATCH] Cwd::_backtick_pwd does not check return value
             
             Change the perlbug address to perl.org since it's more forgiving.
             
             Change the regx compilation error markers to use = instead of <
             since pod makes using the latter quite messy.  Reported in
             ID 20000814.006 by Abigail and in
             Subject: Unknown escape E<> ?
             
             Update to perldebtut 1.9, from Richard Foley.
             
             check that the number pseudo children doesn't exceed
             MAXIMUM_WAIT_OBJECTS, which is currently 64 (avoids overflowing
             the WaitForMultipleObjects() limit that would cause wait()
             to crash)
             wait() and waitpid() could potentially be rewritten to use
             more than one thread to do the waiting to eliminate this
             limitation
             
             change#6328 could make close(SOCKET) return false on windows
             when it shouldn't
             
             pod nit seen in passing
             
             on windows, the return values from wait() and waitpid() don't
             match those of pseudo-pids
             
             waitpid() now handles externally spawned pids correctly;
             fixes for backtick/wait/waitpid failures on Windows 9x
             these changes make the pid returned by process functions on
             Windows 9x always positive by clearing the high bit (which
             is always set on Win9x); pseudo-process PIDs are likewise
             always negative now on Win9x (just as on NT/2000)
             
             trailing new %ENV entries weren't being pushed into the real
             environment of subprocesses on Windows
             
             Tweak the regex compilation errors once more.
             
             avoid warnings from dense compiler
             
             add "ok" targets from change#6632 in makefile.mk
     Branch: maint-5.6/perl
	   - lib/Pod/PlainText.pm vms/configure.com
	  !> (integrate 66 files)
____________________________________________________________________________
[  7885] By: gsar                                  on 2000/11/27  13:53:18
        Log: integrate changes#6540..6541,6546..6549,6552..6554,6557..6606,
             6610..6611 from mainline
             
             Make regular expression parse error messages easier to understand.
             Subject: Re: enhanced(?) regex error messages
             
             Tiny tidying on report_evil_fh().
             
             Subject: Re: enhanced(?) regex error messages 
             plus Capitalize the error messages, plus perldiag them.
             
             Subject: Patch against 5.6.0 to allow "-d:Module=arg,arg,arg"
             
             Document here-doc better.
             
             Subject: [ID 20000807.003] [PATCH] Debugger treatment of condition "0"
             
             Subject: [PATCH] Re: [ID 20000807.008] Double reads considered evil? (deja vu)
             Do away with array context, from Daniel Chetlin <daniel@chetlin.com>
             (either perlbug or p5p ate the original), plus regen
             perlapi and perltoc. 
             
             Regen global.sym.
             
             Double check that we have a dirhandle.
             
             Subject: Re: enhanced(?) regex error messages
             (plus two small patches sent privately)
             (this still seems to leave few test failures)
             
             warn is a macro, avoid using at a variable to avoid warnings
             in some configurations; readdir.t is too conservative in
             estimating number of *.t's
             
             Get back into sync with Jeffrey on the enhanced regex warnings.
             
             Subject: [PATCH 5.6.0] cygwin port
             
             Zero entries were skipped, fix from Adrian Goalby
             <argoalby@yahoo.co.uk>
             
             Subject: Remove dead entry in perldiag
             
             Amend the description of Perl6.
             Subject: [PATCH Perl-5.6.0] perlfaq1.pod
             
             detypo
             
             It's the 2ndO'ROSSC.
             
             Revert the sv.c part of #6559, a better fix is needed.
             
             Iterating perl6 description.
             
             Update to Term::ANSIColor 1.03, from Russ Allbery.
             
             Update to Getopt::Long 2.23_05, from Johan Vromans.
             
             Small AUTHORS and MAINTAIN updates.  Could do with big updates.
             
             Update to Pod::Parser 1.17, from Brad Appleton.
             
             Update to CPAN 1.56, from Andreas König.
             
             Update to CGI 2.70, from Lincoln Stein.
             
             Put back the std @INC thing.
             
             Fixes to looking-like-number to keep behaviour as it was in 5.005_03.
             Subject: Re: [ID 20000810.002] $a["1foo"] same as $a[0]
             
             Document the IO::Select timeout.
             
             sleep(1) does not necessarily return 1.
             Subject: [PATCH bleadperl] op/lex_assign.t  
             
             Subject: debugger "d" command doesnt check line number
             
             B::Deparse didn't do sub attributes.
             Subject: B::Deparse was Re: [ID 20000808.005] refs to returned lvalues are lvalues??
             
             Preprocessing and postprocessing for File::Find.
             Subject: Patch to Find::File.pm to allow alphabetical results
             
             Subject: Re: [ID 20000809.005] trouble with long string and /m modifier - uninitialized value 
             
             Subject: Re: [ID 20000809.006] Debugger lost the ability to see $1 et al
             
             Subject: Re: [ID 20000730.003] utf8::length() bad
             
             Subject: Getting perlio and threads to compile
             (the Solaris version changes in Configure skipped)
             
             Tests for #6589.
             Subject: Re: B::Deparse was Re: [ID 20000808.005] refs to returned lvalues are lvalues??
             
             Add Perl debugging tutorial, regen toc. 
             Subject: perldebtut.pod
             
             Add a few missing files, update MANIFEST.
             
             Rewrite of vms/subconfigure.com as configure.com,
             from Peter Prymmer and the vmsperl crew.
             
             Should have deleted this in #6603.
             
             Fix the test for 5005threads.
             
             Fix-n-skip the tests under 5005threads.
             
             Subject: [PATCH] t/op/regmesg.t fails if REG_INFTY set
             
             Upgrade to CGI 2.71, from Lincoln Stein.
     Branch: maint-5.6/perl
	  +> lib/CGI/eg/make_links.pl lib/CGI/eg/wilogo.gif
	  +> lib/Pod/PlainText.pm pod/perldebtut.pod t/lib/gol-oo.t
	  +> t/op/regmesg.t t/pod/find.t vms/configure.com
	   - vms/subconfigure.com
	   ! lib/lib.pm
	  !> (integrate 115 files)
____________________________________________________________________________
[  7883] By: gsar                                  on 2000/11/27  11:50:46
        Log: integrate changes#6469..6484,6486..6501,6504..6505,6507..6509,
             6511..6513,6515..6523,6525..6536
             
             The swallow_bom() saga continues.  The #23 of require.t
             (UTF16-LE) still fails (silently, no output) but the #22
             (UTF16-BE) seems to be working now.  The root of the
             failure may be in sv_gets(): is it UTF-16LE-aware,
             especially when it comes to line endings? 
             
             Document the problem with -P in HP-UX and its workaround.
             
             Subject: [PATCH] allow non-variable as lhs of non-updating tr///
             (aka ID 20000730.002)
             
             Subject: fix and question re: waitpid() under win32
             
             Make the safety catch for buggy gccs work with triple version
             numbers like 2.95.2.  Reported in
             Subject: [ID 20000731.005] Perl 5.6.0 "Configure" fails to recognize gcc 2.95.2
             
             In Digital UNIX warn if gcc explicitly chosen because even
             2.95.2 is known to cause problems.
             
             Make chr() for values >127 to create utf8 when under utf8.
             
             various syntax errors and such (not fixed: comp/require.t#22 coredump
             on Windows)
             
             Stash away the largefiles flags and libswanted.
             
             BOM patching from Simon Cozens.
             
             If gccosandvers is equal to osname, clear gccosandvers.
             
             Make p4desc to skip non-mainperl branches by default.
             
             Subject: [Proposed PATCH] Let Perl define QUAD_MIN and _MAX itself
             
             The test from this
             Subject: Re: [ID 20000411.002] qw() gives different results in 5.6 to previous versions
             
             In new BSDs changes to argv[] do not show up in ps(1) output,
             instead one must use setproctitle().  This was already addressed
             by change #6457, but the below has a new variant for FreeBSD 4.0
             or later, and the matter is also documented more.
             
             FreeBSD 3.* updates from
             Subject: [ID 20000801.007] setting $0 on FreeBSD 4.x does not get reflected in /bin/ps
             
             regen_headers, regen perltoc.
             
             Document in one place the memory abstractions used in Perl core.
             
             memcpy has n o in it, as pinted ut by Sarathy.
             
             Remove the extraneous "main::" prefix from all the
             "opened only for", "on closed", and "never opened" warnings.
             
             The name of a filehandle does not have <these>.
             
             The tr utf8 patching continues.
             
             The new setproctitle() feature is available only in 
             bleeding edge FreeBSD.  From Paul Saab.
             
             Subject: [PATCH bleadperl] [ID 20000731.010] regex error 
             
             Dump UVs as UVs in Data::Dumper.
             
             detypo #6494
             
             Document the IVdf UVuf UVof UVxf.
             
             require.t needs binmode() to work on windows
             
             Generate OP_IS_SOCKET() and OP_IS_FILETEST() macros
             that are hopefully soon put into use.
             
             Allow "no Module;" even if there is no 'unimport'.
             
             Better skip message for the test; one of the two problems in
             Subject: [ID 20000224.003] Not OK: perl v5.5.660 on i86pc-solaris 2.7
             
             The subtest 4 may fail also on VOBS, as pointed out
             by Nick Ing-Simmons in November 1999, bug id 19991124.003
             (but the failure in that bug report isn't the subtest 4).
             
             Be more informative on what is skipped and why,
             also repeat the list at the end.
             
             Add a URL for FSF.
             
             Subject: [PATCH] sv.h documentation - SvLEN
             
             Subject: [PATCH bleadperl] [ID 20000803.001] further regexp counting problems
             
             Subject: [PATCH perl-current] Comings and goings in op/sprintf.t
             
             Subject: [PATCH] bad cppsymbols on os2 + Configure question
             
             Subject: [ID 20000802.002] [PATCH] memory pseudo-leak in sv_dump
             
             Subject: [ID 20000802.004] Tests op/grent.t and op/pwent.t fail unnecessarily
             mention the idea of @( and @)
             
             This is 6512.  Really.
             
             Subject: [ID 19990721.004] Documentation bug in perlfunc
             
             Subject: Minor tweak to perlvar.pod
             
             In the warnings call filehandles consistently so;
             add "unopened" warning for stat().
             
             After the #6519 a warning about stat() is just that,
             not about a filetest, which now have their own warning.
             
             Subject: [ID 20000804.002] configure.gnu and arguments with whitespace characters
             
             Subject: Re: Array vs. List context
             
             Subject: New perlcc, take 2
             
             Weed buglets pointed out by
             Subject: Re: [ID 20000803.005] miniperl aborts during Perl make
             
             gcc versions might have (parentheses) in them.
             
             Subject: [ID 20000724.004] Perl interpreter segfault when using built-in flock
             
             Essential prototype changes were missing from #6527.
             Also make report_evil_fh() more bomb-proof.
             
             Zap lib/Sys directory when cleaning up.
             
             Change the Policy policy: now -Dprefix= with an existing
             Policy.sh and prefix == siteprefix == vendorprefix, then all
             of them follow along the new prefix.
             Subject: Re: [ID 20000508.002] -Dprefix completely broken [PATCH]
             
             Continue fixing the io warnings.  This also
             sort of fixes bug ID 20000802.003: the core dump
             is no more.  Whether the current behaviour is correct
             (giving a warning: "Not a format reference"), is another matter.
             
             Have symbols for the IoTYPEs.
             
             Subject: [PATCH] perlfunc.pod use documentation (5.6.0)
             
             Document a bit that UDP is not what you might think.
             Subject: Re: IO::Socket::INET bug sending large UDP packets/fragmentation
             tr memory corruption fix from Simon Cozens.
             
             Plug the security hole described in the Aug 05 2000 bugtraq message
             "sperl 5.00503 (and newer ;) exploit" by Michal Zalewski.
             The security hole exists only in suidperls, which isn't
             installed or even built by default.
     Branch: maint-5.6/perl
	  !> (integrate 71 files)
____________________________________________________________________________
[  7882] By: gsar                                  on 2000/11/27  10:25:36
        Log: integrate changes#6439..6444,6446..6453,6455..6457,6460..6465,6467..6468
             from mainline
             
             Make the unimplemented POSIX regex features [[.cc.]] and [[=c=]]
             to be fatal errors (instead of by default ignoring them, and
             ignoring with a bug: even though -w gave an error, the opening [
             was left in)  Reported in:
             
             Subject: [PATCH: perl@6409] bug fix for munchconfig (turned up by CXX)
             
             Subject: [PATCH] split /^/
             
             MacOS nits from Matthias Neeracher.
             
             More split() doc and test patches from Mike Guy.
             
             Allow "sub AUTOLOAD;" to stop AUTOLOAD inheritance,
             from Graham Barr in the module list.
             
             docfix from Peter Scott <Peter@PSDT.com>.
             
             File::Temp patches for VMS and OS/2 from Tim Jenness.
             
             open() wariness in perlbug.
             
             Subject: [PATCH] minor doc change - perlguts
             
             Subject: Minor doc patch: handy.h
             
             Be wary of close()s, too.
             
             Further File::Temp patches from Yitzchak Scott-Thoennes
             and Craig A. Berry.
             
             Subject: [PATCH] fixes bug 20000508.004
             
             Subject: [ID 19990709.002] [DOCUMENTATION PATCH] perldiag
             
             Allow "no AutoLoader;", based on change #6444,
             suggested by Graham Barr.
             
             Use setproctitle() if available to modify $0.
             
             Warn if the version of the operating system used to compile gcc
             differs from the current version of the operating system.
             Also display the gcc compilation os and version in myconfig.
             Inspiration from
             
             Tiny fixes for #6460.
             
             The problem described in this
             Subject: [ID 20000322.018] named chars aren't magical enough
             has been fixed in perl 5.6.0 but just in case added a test
             to keep it away.  (The report from Joseph Hall.)
             
             Tune the comments and hopefully stop a memory leak.
             
             Subject: UTF8 concat
             (with a memory leak fixed, plus a few casts added)
             This also seems to help for
             Subject: [ID 20000716.015] join UTF8 weirdness
             
             Do not upgrade SVs into utf8 just because they participate
             in eq or cmp.  Reported and fix suggested in
             Subject: [ID 20000720.009] sv_eq UTF8 bug
             
             Fix the HALF_UPGRADE() macro introduced in #6263.
             
             Find green threads before native threads.
             Subject: Re: Patch to jpl/JNI/Makefile.PL
     Branch: maint-5.6/perl
	  !> (integrate 30 files)
____________________________________________________________________________
[  7846] By: gsar                                  on 2000/11/24  00:55:57
        Log: integrate changes#6415..6418,6420..6438 from mainline
             
             Fix the bitvector ops for utf8 (tricky since past 7 bits
             the utf8 'characters' can be more than one octet).
             
             MPE/ix updates for perl 5.6.0 from Mark Bixby.
             
             Subject: SDBM_File documentation
             
             Detypo.
             
             Decutandpasto.
             
             Send all installperl messages to STDERR and be -w clean.
             
             Out-of-date note removed.
             
             Protect against "wild next"s, that is, callbacks doing "next"
             instead of "return".
             
             Use STDOUT consistently.
             
             The output might have been produced in the wrong order.
             
             A missing 'break' after the [[:space:]] switch case.
             
             Add tests for
             [ID 19991110.003] another matching finding by pcre author
             which has already been fixed by some patch, as verified in
             
             Documentation to explain the behaviour of map().
             
             Add an optimization for map-maps-a-list-element-to-more-list-elements
             case, but add also notes explaining the relationship of this
             patch and the earlier notes by Sarathy.
             
             Subject: [ID 20000716.023] syslog test fails without sockets
             
             Subject: Re: [PATCH] [ID 20000716.011] strangeness with split($_ =~ m/.../)
             Test cases for #6431.
             
             File::Spec::VMS fixup for tmpdir from Craig Berry.
             
             Make the "uninit variable" warning to say "concat or string"
             or "join or string" when in concat or join .
             
             Get UTF16 BOMs working.  Patch from
             Subject: Re: [ID 20000719.001] Problem with bleadperl of 7/18/00
             
             Subject: [PATCH] Make large file tests deal with SIGXFSZ
             
             Subject: [ID 20000724.003] Documentation changes for perllocale.pod
             
             Subject: [PATCH] av.c apidoc
     Branch: maint-5.6/perl
	  !> (integrate 43 files)
____________________________________________________________________________
[  7845] By: gsar                                  on 2000/11/24  00:20:45
        Log: integrate changes#6406..6414 from mainline
             
             Merge perlhacktut into perlhack, update perlguts.
             
             Fix AutoSplit to use File::Spec the right way in VMS,
             from Peter Prymmer.
             
             The bug report
             [ID 19991110.002] minimal matching discrepancy found by pcre author
             seems to have been fixed (though differently from what was suggested
             in the report) in 5.6.0.  Add tests to keep the bug from reappearing.
             
             thinko fix in vms/descrip_mms.template, the win32.pod in lib,
             not in pod, from Peter Prymmer
             
             Subject: [docpatch] Re: [ID 19991002.011] perldoc -f shift
             From: Hugo <hv@crypt.compulink.co.uk>
             Date: Fri, 14 Jul 2000 23:05:20 +0100
             Message-Id: <200007142205.XAA17882@crypt.compulink.co.uk>
             
             Didn't anymore apply, but that point still could use another fix.
             
             lib/b test fixes from Peter Prymmer.
             
             More docs for sv functions.
             
             perlvms.pod whitespace cleanup to keep pod utils happy.
             
             another VMS build tweak from Peter Prymmer
     Branch: maint-5.6/perl
	  !> embed.pl lib/AutoSplit.pm pod/perlapi.pod pod/perlfunc.pod
	  !> pod/perlguts.pod pod/perlhack.pod sv.c t/lib/b.t t/op/re_tests
	  !> vms/descrip_mms.template vms/perlvms.pod
____________________________________________________________________________
[  7799] By: gsar                                  on 2000/11/22  01:02:56
        Log: some lib_pm.PL changes snuck in via change#7772
     Branch: maint-5.6/perl
	   ! Makefile.SH
____________________________________________________________________________
[  7781] By: gsar                                  on 2000/11/20  19:02:55
        Log: type mismatch due to faulty integration
     Branch: maint-5.6/perl
	   ! toke.c win32/Makefile
____________________________________________________________________________
[  7780] By: gsar                                  on 2000/11/20  17:31:55
        Log: integrate changes#6392,6394..6399,6401..6404
             
             The {multiplier} of a fixed substring was overlooked which
             caused a wrong initial search offset for that substring.
             
             Subject: [PATCH 5.6.0] Re: [ID 20000613.001] Regex works in v5.005_03 but fails in v5.06
             From: Hugo <hv@crypt.compulink.co.uk>
             Message-Id: <200007131827.TAA14487@crypt.compulink.co.uk>
             Date: Thu, 13 Jul 2000 19:27:13 +0100
             
             Fix the BOM bug: not a byteorder bug, a signedness bug.
             
             Replace change #6337 with a better one.
             
             Subject: Re: [PATCH] [ID 20000701.002] Regular Expressions Not Unsetting $1 Vars When Backtracking
             From: Hugo <hv@crypt.compulink.co.uk>
             Date: Fri, 14 Jul 2000 04:16:20 +0100
             Message-Id: <200007140316.EAA15857@crypt.compulink.co.uk>
             
             MakeMaker should not remove editor backups (*~) on `make clean`
             by default (completes change#6383)
             
             move new variables to the end of the interpreter structure (for
             bincompat in code that doesn't #include XSUB.h)
             
             rename totally bletcherous SvLOCK() thingy (doesn't do what the
             name suggests anyway)
             
             various cleanups (typos, misformatted code, and small bugs)
             
             typecasts needed for change#6394
             
             typos in change#6399, regen headers
             
             inconsistent types needs casts
             
             PERL_OBJECT build tweaks
     Branch: maint-5.6/perl
	  !> MANIFEST doop.c embed.h embed.pl embedvar.h
	  !> ext/IPC/SysV/Makefile.PL global.sym intrpvar.h
	  !> lib/ExtUtils/MM_Unix.pm mg.c op.c perlapi.h pod/perlapi.pod
	  !> pp.c proto.h regcomp.c regexec.c sv.h t/op/re_tests thread.h
	  !> toke.c util.c
____________________________________________________________________________
[  7779] By: gsar                                  on 2000/11/20  17:06:29
        Log: integrate changes#6376..6378,6380,6383,6385..6388,6391
             
             Cosmetics and perldelta.
             
             Fix nits noticed by Boston.pm.
             
             Do the cc sanity check both before the hints and
             after the cc selction.
             
             get sprintf.t to adjust properly for 3-digit exponents
             
             don't clobber *.orig files on *clean targets
             
             fix bugs in processing %v-*d and similar format specs (from
             Avi Finkel <avi@finkel.org>)
             
             sprintf test tweaks (from Dominic Dunlop)
             
             new selfloader.t in change#6183 doesn't close DATA handles,
             and thus fails to clean up tmp files on dosish platforms
             
             typos (spotted by Peter Prymmer)
             
             typo fix from Craig Berry
     Branch: maint-5.6/perl
	  !> Configure Makefile.SH config_h.SH ext/IPC/SysV/Makefile.PL
	  !> pod/perldelta.pod pod/perlre.pod sv.c t/lib/english.t
	  !> t/lib/selfloader.t t/op/sprintf.t vms/subconfigure.com
	  !> x2p/Makefile.SH
____________________________________________________________________________
[  7778] By: gsar                                  on 2000/11/20  16:46:51
        Log: integrate changes#6340..6342,6348,6354,6356,6357,6371,6372,6375
             
             Subject: Re: format bug report  [Patch]
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Wed, 05 Jul 2000 13:12:52 +0200
             Message-Id: <20000705130745.67BF.H.M.BRAND@hccnet.nl>
             
             Subject: Re: format bug report  [Patch]
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Wed, 05 Jul 2000 14:10:01 +0200
             Message-Id: <20000705140837.73C2.H.M.BRAND@hccnet.nl>
             
             Subject: Re: [ID 20000704.002] [PATCH] memory leak with debug / anon subs
             From: "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
             Message-Id: <E13AbRE-00009T-00@libra.cus.cam.ac.uk>
             Date: Fri, 07 Jul 2000 17:57:16 +0100
             
             Subject: [ID 20000710.002] fatal error or memory loss when deleting symbols in evaled code with syntax errors
             To: perl5-porters@perl.org
             From: Karsten Sperling <spiff@phreax.net>
             Date: Mon, 10 Jul 2000 15:12:52 +0200
             Message-Id: <200007101315.e6ADFrg21041@chthon.perl.com>
             
             README.posix-bc podified from Thomas Dorner.
             
             Subject: [PATCH perl-current] Make op/sprintf.t more comprehensive, take2
             From: Dominic Dunlop <domo@computer.org>
             Date: Tue, 11 Jul 2000 12:27:33 +0200
             Message-Id: <p04320405b590a14d4650@[192.168.1.4]>
             
             Typo in #6341.
             
             Fix for
             Subject: [ID 20000711.005] spurious uninit warning with msgrcv()
             From: Roderick Schertler <roderick@argon.org>
             Date: Tue, 11 Jul 2000 13:55:05 -0400
             Message-Id: <200007111755.NAA05077@jones.argon.org>
             
             Minor cleanups on the booklist.
             
             Reintroduce perlbook (updated for Mk III), introduce perlposix-bc,
             regen perltoc.
             
             windows build tweaks (op/sprintf.t still fails tests 120-121, 149)
     Branch: maint-5.6/perl
	  +> pod/perlbook.pod
	  !> MANIFEST README.posix-bc doio.c lib/Symbol.pm pod/Makefile.SH
	  !> pod/buildtoc.PL pod/perl.pod pod/perlfaq2.pod pod/perltoc.pod
	  !> pp_hot.c t/op/sprintf.t t/op/write.t toke.c win32/win32sck.c
____________________________________________________________________________
[  7772] By: gsar                                  on 2000/11/20  13:06:23
        Log: integrate changes#6315..6319,6321..6331,6333..6338
             
             Integrate with Sarathy, preliminary fix for unicos
             alignment problems in [ID 20000612.002] Perl problem on Cray system.
             
             some debugger output does not go to the socket when RemotePort is set
             
             winsock cleanup never done on Windows (leads to handle leaks)
             
             fix UNC path handling on Windows under ithreads, and chdir()
             return value when given a non-existent directory
             
             Autogenerate pod/Makefile and pod/buildtoc.
             buildtoc also checks whether the existin pods are
             mentioned in MANIFEST and perl.pod, and vice versa.
             (None of the thusly found discrepancies fixed yet.)
             roffitall also needs to be autogenerated similarly but it
             seems so badly out of date that I didn't touch it yet.
             
             Config is being used.
             
             Add =head1 NAMEs so that buildtoc is happy.
             (The CGI::Util nit reported to Lincoln.)
             
             Fix complaints of buildtoc.
             
             Fix the alignment problem in Crays ([ID 20000612.002]).
             
             Remove perlbook, update perlfaq book listing,
             rearrange perl.pod, regenerate perltoc.
             
             Fix a nit spotted by 64bit IRIX compilation: a (64-bit) pointer
             was cast to an unsigned (32-bit) integer with wild abandon.
             
             winsock options weren't being set in all threads under ithreads
             (caused send()s from second and subsequent threads to fail)
             
             accept() leaks memory on windows due to incorrect ordering of
             closesocket() and fclose() calls
             
             Reorder perl.pod once more.
             
             More POSIX.pod tweaks.
             
             Sprinkle ldlibpath.
             
             Precedence goof, fix based on
             Subject: [PATCH 5.6.0] op/taint.t continues on failed shmget()
             From: Hugo <hv@crypt.compulink.co.uk>
             Date: Tue, 11 Jul 2000 12:52:38 +0100
             Message-Id: <200007111152.MAA05488@crypt.compulink.co.uk>
             
             Subject: PATCH perlguts.pod: Document D and d magic types
             From: mjd@plover.com
             Date: 5 Jul 2000 18:01:51 -0000
             Message-ID: <20000705180151.29413.qmail@plover.com>
             
             Subject: [ID 20000705.002] problem with perl 5.6.0 on NetBSD/sparc
             From: Hubert Feyrer <feyrer@rfhs8012.fh-regensburg.de>
             Date: Wed, 5 Jul 2000 14:56:43 +0200 (MET DST)
             Message-Id: <Pine.GSO.4.10.10007051452330.29215-100000@rfhpc8320.fh-regensburg.de>
             
             Subject: [PATCH cfgperl] $& segfaults if you trick it
             From: simon@brecon.co.uk (Simon Cozens)
             Date: 7 Jul 2000 11:26:09 GMT
             Message-ID: <slrn8mbfif.ead.simon@justanother.perlhacker.org>
             
             Subject: [PATCH] [ID 20000701.002] Regular Expressions Not Unsetting $1 Vars When Backtracking
             From: Hugo <hv@crypt.compulink.co.uk>
             Date: Tue, 11 Jul 2000 12:44:50 +0100
             Message-Id: <200007111144.MAA04446@crypt.compulink.co.uk>
             
             Subject: [PATCH] Re: "%#p" format specifier: document and test or not?
             From: "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
             Date: Tue, 11 Jul 2000 13:50:51 +0100
             Message-Id: <E13BzUx-00033c-00@libra.cus.cam.ac.uk>
     Branch: maint-5.6/perl
	  +> ext/DynaLoader/hints/netbsd.pl lib/Win32.pod pod/Makefile.SH
	  +> pod/buildtoc.PL
	   - pod/Makefile pod/Win32.pod pod/buildtoc pod/perlbook.pod
	  !> (integrate 26 files)
____________________________________________________________________________
[  7771] By: gsar                                  on 2000/11/20  12:31:42
        Log: integrate changes#6283..6285,6291,6294..6300,6302..6304,6306..6307,
             6310,6311,6314
             
             Subject: [PATCH bleedperl] File::Spec 0.82 beta
             From: Barrie Slaymaker <barries@jester.slaysys.com>
             Date: Wed, 28 Jun 2000 11:35:29 -0400
             Message-Id: <200006281535.LAA21095@jester.slaysys.com>
             
             tweak perlembed for multiplicity/usethreads sanity; correct notes
             about Windows
             
             localize %INC in a Safe compartment so that use/require work
             (many other magic globals probably need similar treatment)
             
             dounwind() may cause POPSUB() to diddle the wrong PL_curpad
             when @_ is modified, causing coredumps
             
             slurp mode fix in change#4736 still not quite right
             
             Point to perlipc for more SysV IPC examples.
             
             Elaborate POSIX.pod.  Still needs work.
             
             fix ~320 byte memory leak (psig_{ptr,name} tables were never freed)
             
             fix large memory leak that has been around for ever, masked by
             -DPURIFY (most of the arenas were never freed!)
             
             fix memory leak on Windows (PL_sys_intern contents were never
             freed)
             
             PERL_OBJECT build tweak
             
             adjust change#6299
             
             remove rel2abs prototypes (from Barrie Slaymaker)
             
             missing perldiag entry for unpack("w",...) diagnostic (from
             Andreas Koenig)
             
             better diagnostic on Frob->stuff() when Frob:: doesn't exist
             (from Richard Soderberg <rs@oregonnet.com>)
             
             Win32 patches for cfgperl from Sarathy.
             
             b.t fails under OS/2 (from Yitzchak Scott-Thoennes)
             
             More POSIX.pod embellishment.
             
             tyop in change#6306
     Branch: maint-5.6/perl
	  !> (integrate 44 files)
____________________________________________________________________________
[  7770] By: gsar                                  on 2000/11/20  11:51:00
        Log: integrate changes#6268..6282 from cfgperl branch
             
             Subject: [PATCH perl-current] Make op/sprintf.t more comprehensive
             From: Dominic Dunlop <domo@computer.org>
             Date: Thu, 29 Jun 2000 12:32:39 +0200
             Message-Id: <p04320403b580cc1338db@[192.168.1.4]>
             
             Regen headers for #6261 (and update embed.pl for this) and #6267,
             silence few compiler warnings.
             
             Subject: PATCH (Re: [ID 20000612.004] Should regression tests fail if user doesn't build XS extensions?)
             From: Nicholas Clark <nick@talking.bollo.cx>
             Date: Fri, 23 Jun 2000 16:21:15 +0100
             Message-ID: <20000623162115.A19894@Bagpuss.unfortu.net>
             
             Subject: PATCH pod/perltie.pod
             From: Ian Phillipps <Ian.Phillipps@iname.com>
             Date: Fri, 16 Jun 2000 00:17:19 +0100
             Message-ID: <20000616001719.A17108@homer.diplex.co.uk>
             (only the first hunk, the second hunk had already been done
             by some other patch)
             
             Subject: [ID 20000614.005] [patch] Tweak to Net::Ping docs
             From: Tom Phoenix <rootbeer@redcat.com>
             Received: (qmail 6398 invoked by uid 508); 15 Jun 2000 00:30:54 -0000
             Date: Wed, 14 Jun 2000 17:30:37 -0700 (PDT)
             
             Subject: [PATCH] xsub attributes
             From: Doug MacEachern <dougm@covalent.net>
             Date: Wed, 14 Jun 2000 15:09:22 -0700 (PDT)
             Message-ID: <Pine.LNX.4.10.10006141456050.340-100000@mojo.covalent.net>
             
             Subject: [ID 20000614.003] 5.6.0 File/Glob.pm incompatibility
             From: Andy Dougherty <doughera@lafayette.edu>
             Date: Wed, 14 Jun 2000 13:33:32 -0400 (EDT)
             Message-Id: <Pine.SOL.4.10.10006141332220.3643-100000@maxwell.phys.lafayette.edu>
             
             Subject: [PATCH] 5.6.0 lib/Pod/{Html,Man,Text}.pm
             From: "Daniel S. Lewart" <d-lewart@uiuc.edu>
             Date: Tue, 13 Jun 2000 02:43:48 -0500
             Message-ID: <20000613024347.A28388@staff2.cso.uiuc.edu>
             
             Subject: [PATCH] Re: eval documentation: context
             From: "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
             Date: Mon, 12 Jun 2000 15:07:29 +0100
             Message-Id: <E131UsD-0002ke-00@ursa.cus.cam.ac.uk>
             
             Subject: [PATCH] Re: [ID 20000612.001] map {chop; $_} (Literals problem)
             From: "M.J.T. Guy" <mjtg@cus.cam.ac.uk>
             Date: Mon, 12 Jun 2000 14:55:59 +0100
             Message-Id: <E131Uh5-0002cj-00@ursa.cus.cam.ac.uk>
             
             Subject: [ID 20000609.002] Text::Wrap::wrap does not handle multiline strings properly
             From: "Milton L. Hankins" <mlh@swl.msd.ray.com>
             Date: Fri, 09 Jun 2000 12:39:27 -0400
             Message-Id: <39411DBF.A04BB1A@swl.msd.ray.com>
             (plus update the version "number" of Text::Wrap)
             
             Subject: [ID 20000602.002] [PATCH] perlsub.pod: ambiguous usage of "closure"
             From: Tim Ayers <tayers@bridge.com>
             Date: Thu, 08 Jun 2000 08:11:06 +0200
             Message-id: <393F38FA.9B5F4C7D@m.dasa.de>
             [resent by Richard Foley, Message-Id probably wrong]
             
             Subject: Re: backwards compatibility in h2xs and makemaker  [PATCH]
             From: rspier@pobox.com (Robert Spier)
             Date: Wed, 7 Jun 2000 12:47:37 -0400 (EDT)
             Message-ID: <14654.31913.845602.610277@rls.cx>
             
             Subject: [PATCH 5.6.0] utils/h2xs.PL
             From: "Daniel S. Lewart" <d-lewart@uiuc.edu>
             Date: Wed, 7 Jun 2000 04:02:04 -0500
             Message-ID: <20000607040201.A22568@staff1.cso.uiuc.edu>
             
             Subject: [PATCH 5.6.0]ITHREADs for VMS
             From: Dan Sugalski <dan@sidhe.org>
             Date: Tue, 06 Jun 2000 11:59:50 -0400
             Message-Id: <4.3.2.7.0.20000606115752.01c82220@24.8.96.48>
     Branch: maint-5.6/perl
	  !> (integrate 31 files)
____________________________________________________________________________
[  7769] By: gsar                                  on 2000/11/20  11:29:06
        Log: integrate changes#6261..6266 from cfgperl
             
             Subject: Re: [PATCH cfgperl] BOMs away!
             From: simon@brecon.co.uk (Simon Cozens)
             Date: 17 Jun 2000 11:49:57 GMT
             Message-ID: <slrn8kmpf5.8pl.simon@justanother.perlhacker.org>
             
             Subject: 5.6.0 Patch for EPOC
             From: Olaf Flebbe <o.flebbe@gmx.de>
             Date: Tue, 13 Jun 2000 22:59:29 +0200 (MEST)
             Message-ID: <23449.960929969@www11.gmx.net>
             
             tr fixes from Simon Cozens
             
             Subject: [ID 20000628.004] Re: Problem compiling perl? [BSDI-Support-Request #71232]
             From: Marty Lucich <marty@netcom.com>
             Date: Wed, 28 Jun 2000 14:16:05 -0700 (PDT)
             Message-Id: <200006282116.OAA11148@netcom.com>
             ccdlflags update (the BSD/OS 4.1 part had already been taken
             care of by #6141).
             
             Subject: Re: [ID 20000628.006] POSIX::STRERR_FILENO typo
             From: sthoenna@efn.org (Yitzchak Scott-Thoennes)
             Date: Wed, 28 Jun 2000 17:50:12 -0700
             Message-ID: <E1pW5gzkg2kV092yn@efn.org>
             
             Subject: [PATCH 5.6.0] cygwin port
             Message-ID: <779F20BCCE5AD31186A50008C75D997917173C@silldn_mail1.sanwaint.com>
             From: "Fifer, Eric" <EFifer@sanwaint.com>
             Date: Thu, 29 Jun 2000 12:58:29 +0100
     Branch: maint-5.6/perl
	  !> README.epoc cygwin/Makefile.SHs doop.c epoc/config.sh
	  !> epoc/createpkg.pl epoc/epocish.c epoc/epocish.h
	  !> ext/POSIX/POSIX.pm ext/POSIX/POSIX.pod ext/POSIX/POSIX.xs
	  !> hints/bsdos.sh pod/perldiag.pod t/comp/require.t toke.c
____________________________________________________________________________
[  7768] By: gsar                                  on 2000/11/20  11:13:44
        Log: integrate changes#6252..6256,6259..6260
             
             Paranoia tweak on #6249.
             Subject: Re: [PATCH 5.6.0 IPC/Open3.pm] Allow the use of numeric fd's
             From: Ronald J Kimball <rjk@linguist.dartmouth.edu>
             Date: Sun, 25 Jun 2000 23:43:12 -0400
             Message-ID: <20000625234312.B74147@linguist.dartmouth.edu>
             
             Subject: tr///, help wanted.
             From: simon@brecon.co.uk (Simon Cozens)
             Date: 28 Jun 2000 11:29:04 GMT
             Message-ID: <slrn8ljoc0.fbd.simon@justanother.perlhacker.org>
             
             small thinko tweaks
             
             tweaks from Simon Conzes to further fix tr/// under utf8
             
             perlnewmod was missing from MANIFEST.
             
             Subject: Re: [PATCH] pack('U',$foo) doesn't UTF8
             From: simon@brecon.co.uk (Simon Cozens)
             Date: 17 Jun 2000 11:56:44 GMT
             Message-ID: <slrn8kmprs.8pl.simon@justanother.perlhacker.org>
             pack U0, pack C0
     Branch: maint-5.6/perl
	  !> MANIFEST doop.c embed.h embed.pl embedvar.h global.sym
	  !> lib/Exporter.pm lib/IPC/Open3.pm objXSUB.h op.c
	  !> pod/perlfunc.pod pp.c pp_proto.h proto.h sv.c t/op/my_stash.t
	  !> t/op/pack.t t/op/tr.t t/pragma/constant.t t/pragma/warn/op
____________________________________________________________________________
[  7767] By: gsar                                  on 2000/11/20  10:51:38
        Log: integrate change#6250 from cfgperl
             
             Subject: Re: [PATCH] support 'my __PACKAGE__ $obj = ...'
             From: Doug MacEachern <dougm@covalent.net>
             Date: Tue, 27 Jun 2000 14:17:28 -0700 (PDT)
             Message-ID: <Pine.LNX.4.10.10006271412340.7587-100000@mojo.covalent.net>
     Branch: maint-5.6/perl
	  +> t/op/my_stash.t
	  !> MANIFEST embed.pl global.sym proto.h toke.c
____________________________________________________________________________
[  7766] By: gsar                                  on 2000/11/20  10:48:34
        Log: integrate changes#6240,6242..6246,6248,6249 from cfgperl
             
             Subject: [ID 20000626.007] h2xs man page contains trailing garbage
             From: Nicholas Clark <nick@Bagpuss.unfortu.net>
             Date: Mon, 26 Jun 2000 18:40:14 +0100
             Message-Id: <200006261740.SAA02740@Bagpuss.unfortu.net>
             
             Subject: [PATCH] bytes<->utf8 fixes
             From: simon@brecon.co.uk (Simon Cozens)
             Date: 26 Jun 2000 04:55:45 GMT
             Message-ID: <slrn8ldoih.fbd.simon@justanother.perlhacker.org>
             
             Subject: [PATCH] is_utf8_string
             From: simon@brecon.co.uk (Simon Cozens)
             Date: 26 Jun 2000 02:25:59 GMT
             Message-ID: <slrn8ldfpn.h5k.simon@justanother.perlhacker.org>
             
             Subject: [PATCH] avoid mg_ptr in '*' magic
             From: Doug MacEachern <dougm@covalent.net>
             Date: Sun, 25 Jun 2000 11:16:08 -0700 (PDT)
             Message-ID: <Pine.LNX.4.10.10006251045190.461-100000@mojo.covalent.net>
             
             Subject: [ID 20000624.001] PERL_DL_DEBUG=1 DynaLoader message appears to be wrong
             From: Nicholas Clark <nick@Bagpuss.unfortu.net>
             Date: Sat, 24 Jun 2000 13:06:20 +0100
             Message-Id: <200006241206.NAA03771@Bagpuss.unfortu.net>
             
             Allow for standalone testing.
             
             Subject: DOC PATCH 5.6.0: perlfunc/sprintf does not contain an example
             From: Mark-Jason Dominus <mjd@plover.com>
             Date: Tue, 27 Jun 2000 22:36:42 -0400
             Message-ID: <20000628023642.12166.qmail@plover.com>
             
             Subject: Re: [PATCH 5.6.0 IPC/Open3.pm] Allow the use of numeric fd's
             From: Frank Tobin <ftobin@uiuc.edu>
             Date: Sun, 25 Jun 2000 19:00:58 -0500 (CDT)
             Message-ID: <Pine.BSF.4.21.0006251855340.20487-100000@srh0902.urh.uiuc.edu>
     Branch: maint-5.6/perl
	  !> embed.h embed.pl embedvar.h ext/DynaLoader/DynaLoader_pm.PL
	  !> global.sym gv.c lib/IPC/Open3.pm objXSUB.h perlapi.c perlapi.h
	  !> pod/perlapi.pod pod/perlfunc.pod pod/perlintern.pod pp_proto.h
	  !> proto.h sv.c t/lib/filefunc.t t/lib/filespec.t t/lib/peek.t
	  !> utf8.c utils/h2xs.PL
____________________________________________________________________________
[  7765] By: gsar                                  on 2000/11/20  10:29:13
        Log: integrate change#6239 from cfgperl
             
             Configure maintenance.  Sever some dependency cycles,
             separate gccversion from the cc unit,
             address [ID 20000623.006] Configure script patch for using gcc on AIX
             (but solve it a little bit differently),
             unduplex some accidentally duplicated units,
             suggest using gcc if no cc available
             (p5p thread: "Solaris configure: counterproposal", 1999-09)
     Branch: maint-5.6/perl
	  !> Configure Todo-5.6 config_h.SH
____________________________________________________________________________
[  7764] By: gsar                                  on 2000/11/20  10:25:55
        Log: integrate changes#6233..6238 from cfgperl
             
             Subject: PATCH 5.6.0: Document OPf_SPECIAL flag in regcomp op nodes
             From: Mark-Jason Dominus <mjd@plover.com>
             Date: Fri, 16 Jun 2000 20:53:04 -0400
             Message-ID: <20000617005304.8008.qmail@plover.com>
             
             Prefer C:/temp in Win32 as File::Spec->tmpdir to /tmp
             because when run as services (Win32ese for daemons)
             no environment variables are set and tmpdir ends up as /tmp,
             which is ambiguous.
             Subject:[ID 20000616.002] File::Spec->tmpdir broken when running as service
             From: matt@sergeant.org
             Date: 16 Jun 2000 16:30:43 -0000
             Message-Id: <20000616163043.26398.qmail@mail.sergeant.org>
             
             The thread begun by
             Subject: [ID 20000616.001] Typo on line 390 of .../hints/solaris_2.sh
             From: Kevin.Ruscoe@ubsw.com
             Date: Fri, 16 Jun 2000 16:38:51 +0100
             Message-Id: <H000019b03c300d6@MHS>
             
             Tweak embed.pl, regen headers.
             
             Subject: [PATCH 5.6.0] XS module loading fixup for VMS
             From: Dan Sugalski <dan@sidhe.org>
             Date: Fri, 23 Jun 2000 17:00:00 -0400
             Message-Id: <4.3.2.7.0.20000623165934.00c93d10@24.8.96.48>
     Branch: maint-5.6/perl
	  !> (integrate 27 files)
____________________________________________________________________________
[  7763] By: gsar                                  on 2000/11/20  10:08:08
        Log: s/perl56delta/perldelta/g
     Branch: maint-5.6/perl
	   ! pod/Makefile
____________________________________________________________________________
[  7762] By: gsar                                  on 2000/11/20  10:04:00
        Log: integrate changes#6225,6229,6231,6232 from cfgperl
             
             Add source code filenames to apidoc.
             From: simon@brecon.co.uk (Simon Cozens)
             Subject: [PATCH embed.pl] Source X-ref
             Date: 22 Jun 2000 02:18:49 GMT
             Message-ID: <slrn8l2ts8.h5k.simon@justanother.perlhacker.org>
             
             Subject: README.hpux version 0.6.1
             Date: Tue, 20 Jun 2000 15:25:51 -0700 (PDT)
             From: Jeff Okamoto <okamoto@xfiles.intercon.hp.com>
             Message-Id: <200006202225.PAA26205@xfiles.intercon.hp.com>
             
             Subject: [PATCH 5.6.0] cygwin port
             From: "Fifer, Eric" <EFifer@sanwaint.com>
             Date: Tue, 20 Jun 2000 14:30:58 +0100
             Message-ID: <779F20BCCE5AD31186A50008C75D9979171734@silldn_mail1.sanwaint.com>
             
             Subject: PATCH: pod/perlutil.pod - utilities packaged with the Perl distribution
             From: simon@brecon.co.uk (Simon Cozens)
             Date: 19 Jun 2000 15:18:27 GMT
             Message-ID: <slrn8ksee3.cp9.simon@justanother.perlhacker.org>
             
             plus update pod/Makefile and regenerate perltoc
     Branch: maint-5.6/perl
	  +> pod/perlutil.pod
	  !> MANIFEST README.cygwin README.hpux Todo-5.6 embed.pl
	  !> lib/File/Find.pm pod/Makefile pod/perltoc.pod pod/roffitall
____________________________________________________________________________
[  7344] By: gsar                                  on 2000/10/16  09:30:21
        Log: integrate change#6220 from cfgperl
             
             Win32 patches from Benjamin Stuhl.
     Branch: maint-5.6/perl
	  !> makedef.pl win32/win32.h
____________________________________________________________________________
[  7343] By: gsar                                  on 2000/10/16  08:32:19
        Log: integrate changes#6221,6222 from cfgperl
             
             Remove tr///CU (the feature is to be obsoleted by better interfaces).
             From: simon@brecon.co.uk (Simon Cozens)
             Subject: [PATCH] Eliminate tr///[CU][CU]
             Date: 23 Jun 2000 11:05:40 GMT
             Message-ID: <slrn8l6h44.h5k.simon@justanother.perlhacker.org>
             
             doc typo fix
             Subject: [PATCH] documentation typo in lib/Pod/Usage.pm
             From: Ian Phillipps <Ian.Phillipps@iname.com>
             Date: Fri, 23 Jun 2000 10:40:58 +0100
             Message-ID: <20000623104058.A22791@homer.diplex.co.uk>
     Branch: maint-5.6/perl
	  !> doop.c embed.pl lib/Pod/Usage.pm pod/perlop.pod toke.c utf8.c
____________________________________________________________________________
[  7342] By: gsar                                  on 2000/10/16  08:28:08
        Log: integrate change#6217 from cfgperl (in part)
             
             Rename the fdpid locking and integrate with Sarathy.
     Branch: maint-5.6/perl
	  !> Configure config_h.SH doio.c embed.h embed.pl embedvar.h
	  !> global.sym gv.c intrpvar.h objXSUB.h perl.c perlapi.h pp.c
	  !> pp_ctl.c proto.h sv.h util.c util.h vmesa/vmesa.c
	  !> win32/win32.c
____________________________________________________________________________
[  7341] By: gsar                                  on 2000/10/16  08:23:39
        Log: integrate changes#6214..6216 from mainline
             
             @_ can't have junk in it even in the non-USE_ITHREADS case because
             caller() wants to populate @DB::args with it (causes a coredump
             in Carp::confess())
             
             tweak comment about @DB::args
             
             be more optimal about clearing @_
     Branch: maint-5.6/perl
	  !> av.h cop.h pp_ctl.c t/op/runlevel.t
____________________________________________________________________________
[  7340] By: gsar                                  on 2000/10/16  08:20:37
        Log: integrate changes#6207..6210 from cfgperl
             
             Subject: [PATCH 5.6.0] Threadsafe patches
             From: Dan Sugalski <dan@sidhe.org>
             To: perl5-porters@perl.org
             Date: Mon, 08 May 2000 18:08:13 -0400
             Message-Id: <4.3.1.0.20000508180729.02182de0@24.8.96.48>
             
             Regen headers for #6207.
             
             Lock PL_fdpid against race conditions, based on:
             Subject: [PATCH 5.6.0]subprocess fixup for threads
             From: Dan Sugalski <dan@sidhe.org>
             To: perl5-porters@perl.org
             Date: Tue, 11 Apr 2000 17:02:32 -0400
             Message-Id: <4.3.0.20000411170218.01d2f580@24.8.96.48>
             
             Mopup for #6207 and #6209.
     Branch: maint-5.6/perl
	  !> doio.c embed.h embed.pl global.sym gv.c intrpvar.h objXSUB.h
	  !> perl.c pp.c pp_ctl.c proto.h sv.h util.c vmesa/vmesa.c
	  !> win32/win32.c
____________________________________________________________________________
[  7339] By: gsar                                  on 2000/10/16  08:14:34
        Log: integrate change#6203 from cfgperl
             
             perldiag should refer to perlos2.pod not README.os2
     Branch: maint-5.6/perl
	  !> pod/perldiag.pod
____________________________________________________________________________
[  7338] By: gsar                                  on 2000/10/16  08:11:42
        Log: integrate change#6201 from mainline
             
             Perl_eval_pv() leaks 4 bytes every time it is called because it
             does a PUSHMARK that's never ever POPMARKed; in general, only
             Perl_call_[sp]v() need a PUSHMARK for incoming arguments;
             Perl_eval_[sp]v() don't because they don't take any incoming
             arguments (this leak has been around since the original version
             of perl_eval_pv() in 5.003_97e)
     Branch: maint-5.6/perl
	  !> perl.c
____________________________________________________________________________
[  7337] By: gsar                                  on 2000/10/16  08:08:47
        Log: integrate changes#6197..6200 from cfgperl
             
             Subject: [ID 20000602.005] [PATCH]5.6.0 (DOC) tiny change to perlsyn.pod
             From: John Borwick <jhborwic@unity.ncsu.edu>
             Date: Fri, 2 Jun 2000 14:35:03 -0400 (EDT)
             Message-Id: <Pine.GSO.4.21.0006021420290.11432-100000@eos00du.eos.ncsu.edu>
             
             Subject: [PATCH 5.6.0]VMS fixups so we can build with MULTIPLICITY
             From: Dan Sugalski <dan@sidhe.org>
             To: vmsperl@perl.org, perl5-porters@perl.org
             Date: Fri, 02 Jun 2000 16:00:41 -0400
             Message-Id: <4.3.2.7.0.20000602155951.01f02b20@24.8.96.48>
             Message-Id: <4.3.2.7.0.20000602164011.01ec8c30@24.8.96.48>
             
             Subject: [PATCH 5.6.0]Make perl's malloc work on VMS
             From: Dan Sugalski <dan@sidhe.org>
             To: perl5-porters@perl.org, vmsperl@perl.org
             Date: Fri, 02 Jun 2000 17:30:51 -0400
             Message-Id: <4.3.2.7.0.20000602173021.01f03570@24.8.96.48>
             
             Update to cperl-mode.el 4.31 from
             ftp://ftp.math.ohio-state.edu/pub/users/ilya/cperl-mode.el
             Subject: A couple of notes
             From: Ilya Zakharevich <ilya@math.ohio-state.edu>
             To: Mailing list Perl5 <perl5-porters@perl.org>
             Date: Sat, 3 Jun 2000 23:33:32 -0400
             Message-ID: <20000603233332.A6790@monk.mps.ohio-state.edu>
     Branch: maint-5.6/perl
	  !> emacs/cperl-mode.el embed.h embed.pl embedvar.h
	  !> ext/POSIX/POSIX.xs global.sym objXSUB.h perlapi.c perlapi.h
	  !> pod/perlapi.pod pod/perlintern.pod pod/perlsyn.pod proto.h
	  !> vms/descrip_mms.template vms/gen_shrfls.pl vms/vms.c
	  !> vms/vmsish.h
____________________________________________________________________________
[  7336] By: gsar                                  on 2000/10/16  08:03:46
        Log: integrate changes#6194,6195 from mainline
             
             fix small eval"" memory leaks under USE_ITHREADS
             
             fix yet another eval"" leak under USE_ITHREADS
     Branch: maint-5.6/perl
	  !> cop.h embed.h embed.pl objXSUB.h op.c perl.c perlapi.c perly.c
	  !> perly_c.diff pp_ctl.c proto.h scope.c scope.h sv.c toke.c
	  !> vms/perly_c.vms
____________________________________________________________________________
[  7335] By: gsar                                  on 2000/10/16  08:02:15
        Log: integrate changes#6190,6191 from mainline
             
             submit missing embed.pl change
             
             vec() loses numericalness (modified version of patch suggested
             by Robin Barker)
     Branch: maint-5.6/perl
	  !> doop.c embed.pl t/op/vec.t
____________________________________________________________________________
[  7334] By: gsar                                  on 2000/10/16  08:01:03
        Log: integrate change#6189 from mainline
             
             counting tr/// corrupts later operation (from M.J.T Guy)
     Branch: maint-5.6/perl
	  !> doop.c t/op/tr.t
____________________________________________________________________________
[  7333] By: gsar                                  on 2000/10/16  07:59:07
        Log: integrate changes#6183..6188 from mainline
             
             SelfLoader can lose $@ in AUTOLOAD() (from Nicholas Clark
             <nick@ccl4.org>)
             
             tweak for change#6127
             
             remove incorrect documentation about implicit split to @_ in
             list context, which never really worked in perl 5 (from
             M.J.T. Guy)
             
             further qualify references to "alphanumeric" (from Wolfgang Laun
             <wolfgang.laun@alcatel.at>)
             
             replace pod2latex with the one in Pod-LaTeX v0.52 from CPAN
             (from Tim Jenness <t.jenness@jach.hawaii.edu>)
             
             h2xs tweaks
     Branch: maint-5.6/perl
	  +> lib/Pod/LaTeX.pm t/lib/selfloader.t
	  !> AUTHORS MAINTAIN MANIFEST ext/Devel/Peek/Peek.pm handy.h
	  !> lib/SelfLoader.pm perl.c pod/perlapi.pod pod/perldata.pod
	  !> pod/perlfaq6.pod pod/perlfaq9.pod pod/perlfunc.pod
	  !> pod/perllocale.pod pod/perlre.pod pod/perltrap.pod
	  !> pod/pod2latex.PL utils/h2xs.PL
____________________________________________________________________________
[  7332] By: gsar                                  on 2000/10/16  07:53:52
        Log: integrate change#6179 from mainline
             
             buggy modulus on UVs introduced by change#3378 (resulted in
             4063328477 % 65535 amounting to 27406, instead of 27407)
     Branch: maint-5.6/perl
	  !> pp.c t/op/arith.t
____________________________________________________________________________
[  7331] By: gsar                                  on 2000/10/16  07:52:49
        Log: integrate changes#6176,6177,6178,6182 from cfgperl
             
             Single-quoted utf8 patch from Simon Cozens.
             
             Substitution utf8 patch from Simon Cozens.
             
             Be cleaner.
             
             Be Cleaner Part Deux.
     Branch: maint-5.6/perl
	  !> Makefile.SH pp_hot.c toke.c
____________________________________________________________________________
[  7330] By: gsar                                  on 2000/10/16  07:41:36
        Log: integrate change#6172 from mainline
             
             fix buggy multiline matching of C<"a\nxb\n" =~ /(?!\A)x/m>
             (from Ilya Zakharevich)
     Branch: maint-5.6/perl
	  !> regexec.c t/op/re_tests
____________________________________________________________________________
[  7329] By: gsar                                  on 2000/10/16  07:40:25
        Log: integrate change#6171 from mainline
             
             scalar() doesn't force scalar context when used in void context
             (from Simon Cozens)
     Branch: maint-5.6/perl
	  !> op.c t/op/wantarray.t
____________________________________________________________________________
[  7328] By: gsar                                  on 2000/10/16  07:39:33
        Log: integrate change#6170 from mainline
             
             change#6142 needs tweaks to tests to work where there's no
             symlink() (from Helmut Jarausch <jarausch@igpm.rwth-aachen.de>)
     Branch: maint-5.6/perl
	  !> t/lib/filefind.t
____________________________________________________________________________
[  7327] By: gsar                                  on 2000/10/16  07:35:34
        Log: integrate changes#6166..6168 from cfgperl
             
             Introduce HAS_GETESPWNAM, HAS_GETPRPWNAM, and I_PROT
             in case somebody wants to write an extension for more
             shadow database interfaces.
             
             tweak todo
             
             Tweak NV_PRESERVES_UV*, vms/subconfigure.com left untouched.
     Branch: maint-5.6/perl
	  !> Configure Porting/Glossary Porting/config.sh Porting/config_H
	  !> Todo-5.6 config_h.SH epoc/config.sh perl.h pp_sys.c toke.c
	  !> vms/subconfigure.com vos/config.def vos/config.h vos/config.pl
	  !> vos/config_h.SH_orig win32/config.bc win32/config.gc
	  !> win32/config.vc win32/config_H.bc win32/config_H.gc
	  !> win32/config_H.vc win32/config_h.PL win32/config_sh.PL
____________________________________________________________________________
[  7326] By: gsar                                  on 2000/10/16  07:29:05
        Log: integrate changes#6157,6159..6161,6164 from cfgperl
             
             Regen Configure to jive with #6149.
             
             Upgrade to File::Temp 0.08 from Tim Jenness via CPAN.
             
             Changes for the File::Temp 0.08 (change #6159) test suite
             to fit better into the Perl distribution test framework.
             
             Add autogeneration of perlmodlib.pod and the new perlnewmod.pod,
             both from Simon Cozens.
             
             detypo
     Branch: maint-5.6/perl
	  +> pod/perlmodlib.PL pod/perlnewmod.pod
	  !> AUTHORS Configure MAINTAIN MANIFEST config_h.SH
	  !> lib/File/Temp.pm pod/Makefile pod/perl.pod pod/perlmodlib.pod
	  !> pod/perltoc.pod t/lib/ftmp-mktemp.t t/lib/ftmp-posix.t
	  !> t/lib/ftmp-security.t t/lib/ftmp-tempfile.t
____________________________________________________________________________
[  7325] By: gsar                                  on 2000/10/16  07:25:13
        Log: integrate change#6158 from vmsperl
             
             Add fallback to tmpfile for use in cases where user's relying on
             ACLs on SYS$SCRATCH to permit file creation. (based on Charles
             Lane's patch)
     Branch: maint-5.6/perl
	  !> vms/vms.c vms/vmsish.h
____________________________________________________________________________
[  7324] By: gsar                                  on 2000/10/16  07:20:50
        Log: integrate changes#6153..6155 from mainline
             
             prettier Test::Harness output on failed tests (from Nicholas Clark
             <nick@Bagpuss.uk.boo.com>)
             
             avoid type mismatch warning
             
             small bug in change#6144; remove random \xA0 character that snuck
             in via change#6145
     Branch: maint-5.6/perl
	  !> lib/AutoSplit.pm lib/ExtUtils/xsubpp lib/Test/Harness.pm
	  !> perl.c
____________________________________________________________________________
[  7323] By: gsar                                  on 2000/10/16  07:18:47
        Log: integrate changes#6151,6152 from mainline
             
             fix accidental pessimization in RE optimizer (from Ilya Zakharevich)
             
             cosmetic fixups of RE debug output (from Ilya Zakharevich)
     Branch: maint-5.6/perl
	  !> regexec.c
____________________________________________________________________________
[  7322] By: gsar                                  on 2000/10/16  07:17:25
        Log: integrate changes#6146..6150 from mainline
             
             doc typo
             
             add a make entry to Config.pm so "perl -V:make" works on VMS
             (from Peter Prymmer)
             
             close open file before chmod() (from Rocco Caputo <troc@netrus.net>)
             
             OS/2 tweaks for usethreads build (from Rocco Caputo
             <troc@netrus.net>)
             
             perlrequick.pod updates (from Mark Kvale <kvale@phy.ucsf.edu>)
     Branch: maint-5.6/perl
	  !> Configure hints/os2.sh lib/ExtUtils/MM_Unix.pm lib/warnings.pm
	  !> makedef.pl os2/Makefile.SHs os2/OS2/REXX/t/rx_dllld.t
	  !> os2/OS2/REXX/t/rx_objcall.t os2/OS2/REXX/t/rx_tievar.t
	  !> os2/OS2/REXX/t/rx_tieydb.t os2/os2.c os2/os2ish.h perl.c
	  !> pod/perlrequick.pod util.c vms/subconfigure.com warnings.h
	  !> warnings.pl x2p/a2p.h
____________________________________________________________________________
[  7321] By: gsar                                  on 2000/10/16  07:14:02
        Log: integrate changes#6143..6145 from mainline
             
             MacOS support, part 1 (from Matthias Neeracher
             <neeri@iis.ee.ethz.ch>)
             
             MacOS support, part 2: make AutoSplit use File::Spec instead
             of assuming Unixisms; *UNTESTED on Unix* (from Matthias Neeracher
             <neeri@iis.ee.ethz.ch>)
             
             make xsubpp skip embedded pod (from Matthias Neeracher
             <neeri@iis.ee.ethz.ch>)
     Branch: maint-5.6/perl
	  +> ext/DynaLoader/dl_mac.xs
	  !> MANIFEST ext/DB_File/Makefile.PL ext/NDBM_File/Makefile.PL
	  !> ext/POSIX/POSIX.xs lib/AutoSplit.pm lib/ExtUtils/MakeMaker.pm
	  !> lib/ExtUtils/xsubpp mg.c perl.c perlsfio.h pod/perlfaq4.pod
	  !> pp_ctl.c proto.h toke.c util.c util.h
____________________________________________________________________________
[  7320] By: gsar                                  on 2000/10/16  07:12:13
        Log: integrate changes#6141,6142 from mainline
             
             BSD/OS (bsdi) hints update by Timur I. Bakeyev and Todd C. Miller,
             forwarded by Peter Seebach from the bsdi-users mailing list.
             p5p Message-Id: <200005280543.AAA24519@guild.plethora.net>
             
             File::Find fails to chdir when chasing symlinks (from
             Helmut Jarausch <jarausch@igpm.rwth-aachen.de>)
     Branch: maint-5.6/perl
	  !> hints/bsdos.sh lib/File/Find.pm t/lib/filefind.t
____________________________________________________________________________
[  7319] By: gsar                                  on 2000/10/16  07:04:30
        Log: integrate change#6139 from mainline
             
             revise mktables.PL for bugs and newness in Unicode 3.0
             (from James Bence <jbence@amgen.com>)
     Branch: maint-5.6/perl
	  +> (branch 30 files)
	  !> (integrate 49 files)
____________________________________________________________________________
[  7318] By: gsar                                  on 2000/10/16  07:01:01
        Log: integrate changes#6137,6138 from mainline
             
             fix bogus redeclaration warning for "our" variables in different
             scopes
             
             add note about the handling of negative indices to tied arrays
             (from Michael G Schwern <schwern@pobox.com>)
     Branch: maint-5.6/perl
	  !> op.c pod/perltie.pod t/pragma/strict-vars
____________________________________________________________________________
[  7317] By: gsar                                  on 2000/10/16  06:58:46
        Log: integrate changes#6127..6136 from mainline
             
             call_method(...,G_EVAL) can longjmp() out if the method probing
             failed (from Gisle Aas)
             
             new perlxstut example for passing/returning refs to arrays
             (from David Lowe <dlowe@pootpoot.com>)
             
             VMS test harness tweak (from Jesper Naur <jesper.naur@post.tele.dk>)
             
             fix places that mean C<"word" character> but say C<alphanumeric
             character>
             
             avoid warnings in POSIX.pm (from Barrie Slaymaker)
             
             warnings::enabled() doesn't fall back to looking at $^W if
             caller isn't using lexical warnings (from Paul Marquess)
             
             elide bogus test in change#6132
             
             make Test::Harness use wait.h/WCOREDUMP if available
             (from Ben Tilly <ben_tilly@hotmail.com>)
             
             enable Test::Harness to dynamically determine column width etc.
             (from Rob Napier <rnapier@employees.org>)
             
             random pod typos (from Peter Scott <Peter@PSDT.com>)
     Branch: maint-5.6/perl
	  !> cop.h ext/Devel/Peek/Peek.pm ext/POSIX/POSIX.pm
	  !> lib/Test/Harness.pm perl.c pod/perldebguts.pod
	  !> pod/perlfunc.pod pod/perlre.pod pod/perlretut.pod
	  !> pod/perlxstut.pod pp_ctl.c t/pragma/warn/9enabled vms/test.com
____________________________________________________________________________
[  7316] By: gsar                                  on 2000/10/16  06:53:23
        Log: integrate change#6126 from mainline
             
             change#2879 broke rvalue autovivification of magicals such as
             ${$num} (reworked variant of patch suggested by Simon Cozens)
     Branch: maint-5.6/perl
	  !> embed.h embed.pl gv.c pod/perlapi.pod pod/perlintern.pod pp.c
	  !> pp_hot.c proto.h t/op/gv.t
____________________________________________________________________________
[  7315] By: gsar                                  on 2000/10/16  06:51:38
        Log: integrate changes#6123,6125 from mainline
             
             clarify gotcha with #line directives (from Rocco Caputo
             <troc@netrus.net>)
             
             enable propagating exception objects via Perl_croak() in XS code
             (from Gisle Aas)
     Branch: maint-5.6/perl
	  !> pod/perldebug.pod pod/perlsyn.pod util.c
____________________________________________________________________________
[  7314] By: gsar                                  on 2000/10/16  06:49:28
        Log: integrate change#6122 from mainline
             
             downgrade fatal error on C<"foo@nosucharray.com"> to optional
             warning (from Mark-Jason Dominus)
     Branch: maint-5.6/perl
	  !> lib/ExtUtils/typemap pod/perldelta.pod pod/perlsub.pod
	  !> pod/perltrap.pod t/base/lex.t t/pragma/strict-vars
	  !> t/pragma/strict.t t/pragma/warn/toke t/pragma/warnings.t
	  !> toke.c
____________________________________________________________________________
[  7313] By: gsar                                  on 2000/10/16  06:46:54
        Log: integrate changes#6112..6121 from vmsperl
             
             Check for existence of file before trying to delete
             
             Ugly workaround for version-specific RTL error
             
             Urk -- undo previous removal of vmsish 'exit' change
             
             Add bounds checking for several strings (Charles Lane)
             
             Miscellaneous cosmetic fixes (Charles Lane)
             
             Treat sockets as special in sys(read|write) (Charles Lane et al.)
             
             Regularize distinction between RMS$_DNF and RMS$_DIR (Craig Berry)
             Flatten case labels in switch statements uniformly (Charles Bailey)
             
             Quiet error messages in vmsish.t (Charles Lane)
             
             Add missing escape (Charles Lane)
             
             Allow eliminate_macros() and fixpath() to handle space-delimited
             lists (based on fixes by Craig Berry)
     Branch: maint-5.6/perl
	  !> lib/ExtUtils/MM_VMS.pm lib/File/Spec/VMS.pm t/op/lex_assign.t
	  !> vms/ext/vmsish.pm vms/ext/vmsish.t vms/test.com vms/vms.c
	  !> vms/vmsish.h
____________________________________________________________________________
[  7312] By: gsar                                  on 2000/10/16  06:41:18
        Log: integrate changes#6107,6110 from cfgperl
             
             Tweak the todo list.
             
             todo tweak
     Branch: maint-5.6/perl
	  !> Todo-5.6
____________________________________________________________________________
[  7311] By: gsar                                  on 2000/10/16  06:38:38
        Log: integrate changes#6104,6108 from mainline
             
             PL_sys_intern was being initialized too late on windows
             
             reenable fake signal handling on Windows, bugs and all
     Branch: maint-5.6/perl
	  !> embed.h embed.pl global.sym makedef.pl mg.c objXSUB.h perl.c
	  !> perl.h perlapi.c pod/perlapi.pod proto.h win32/perlhost.h
	  !> win32/win32.c
____________________________________________________________________________
[  7310] By: gsar                                  on 2000/10/16  06:36:03
        Log: integrate changes#6095,6097..6103 from cfgperl
             
             Introduce NV_PRESERVED_BITS.  Not yet used anywhere but
             might be useful in future.
             
             Add a note about possible compilation problems from Allen Smith.
             
             Add a note about other, yet unsupported, shadow password APIs.
             
             Tweaks for the cc bugs from Allen Smith.
             
             More compilation tweakery from Allen Smith.
             
             Hints and test tweaks for Unicos.
             
             The test suite tweak in #6101 wasn't quite right.
             
             Test tweaking for Unicos continues.
     Branch: maint-5.6/perl
	  !> Configure Porting/Glossary Porting/config.sh Porting/config_H
	  !> config_h.SH hints/irix_6.sh hints/unicos.sh pp_sys.c t/lib/b.t
	  !> t/lib/complex.t t/op/64bitint.t
____________________________________________________________________________
[  7309] By: gsar                                  on 2000/10/16  06:29:41
        Log: integrate changes#6093,6094 from mainline
             
             fork() failure to create pseudo process sets errno=EAGAIN and returns
             undef on windows (from Clinton Pierce <clintp@geeksalad.org>)
             
             cygwin update (from Eric Fifer <efifer@sanwaint.com>)
     Branch: maint-5.6/perl
	  !> README.cygwin cygwin/Makefile.SHs cygwin/cygwin.c
	  !> hints/cygwin.sh pp_sys.c sv.c win32/perlhost.h
____________________________________________________________________________
[  7308] By: gsar                                  on 2000/10/16  06:27:29
        Log: integrate change#6092 from cfgperl
             
             Regen perltoc with the fixed buildtoc.
     Branch: maint-5.6/perl
	  !> pod/perltoc.pod
____________________________________________________________________________
[  7307] By: gsar                                  on 2000/10/16  06:26:40
        Log: integrate changes#6089,6090 from mainline
             
             buildtoc tweak to fix newline lossage
             
             concat doesn't preserve utf8-ness, and doesn't invalidate
             [NI]OK; added tests for both
     Branch: maint-5.6/perl
	  !> perl.c pod/buildtoc pp_hot.c sv.c t/op/substr.t
____________________________________________________________________________
[  7306] By: gsar                                  on 2000/10/16  06:24:05
        Log: integrate change#6088 from cfgperl
             
             Remove HAS_SETSPENT, HAS_GETSPENT, HAS_ENDSPENT,
             because we do not use those.  The HAS_GETSPNAM remains,
             though, because we still do use that.
     Branch: maint-5.6/perl
	  !> Configure Porting/Glossary Porting/config.sh Porting/config_H
	  !> config_h.SH epoc/config.sh hints/machten.sh pod/perltoc.pod
	  !> pp_sys.c vms/subconfigure.com vos/config.def vos/config.h
	  !> vos/config_h.SH_orig win32/config.bc win32/config.gc
	  !> win32/config.vc win32/config_H.bc win32/config_H.gc
	  !> win32/config_H.vc win32/config_h.PL win32/config_sh.PL
____________________________________________________________________________
[  7305] By: gsar                                  on 2000/10/16  06:15:52
        Log: integrate changes#6084,6085,6087 from mainline
             
             substr() does not preserve utf8-ness (from Stefan Eissing
             <Eissing@medicaldataservice.de>); added tests
             
             repeat operator (x) doesn't preserve utf8-ness
             
             reverse() and quotemeta() weren't preserving utf8-ness; add tests
     Branch: maint-5.6/perl
	  !> pp.c sv.c t/op/quotemeta.t t/op/substr.t toke.c
____________________________________________________________________________
[  7304] By: gsar                                  on 2000/10/16  06:13:10
        Log: integrate changes#6077..6083 from mainline
             
             avoid warnings in diagnostics.pm; pod tweaks (from Peter Prymmer
             and Tom Phoenix)
             
             workaround for CRT bug in chdir() (from Charles Lane, via
             Peter Prymmer)
             
             remove outdated kludge in Carp (NULLs are permitted in diagnostics
             now)
             
             add File::Temp v0.08 from CPAN, with small tweaks to testsuite
             (from Tim Jenness <t.jenness@jach.hawaii.edu>)
             
             better default perlbug categories for ok reports (from Richard Foley)
             
             peek.t non-portable to ithreads
             
             note about undocumented caller() return value (from M.J.T. Guy);
             yet another peek.t tweak
     Branch: maint-5.6/perl
	  +> lib/File/Temp.pm t/lib/ftmp-mktemp.t t/lib/ftmp-posix.t
	  +> t/lib/ftmp-security.t t/lib/ftmp-tempfile.t
	  !> AUTHORS MAINTAIN MANIFEST iperlsys.h lib/Carp/Heavy.pm
	  !> lib/diagnostics.pm pod/perlfunc.pod pod/perlrun.pod
	  !> pod/perltie.pod t/lib/peek.t utils/perlbug.PL vms/vms.c
	  !> vms/vmsish.h
____________________________________________________________________________
[  7303] By: gsar                                  on 2000/10/16  06:03:18
        Log: integrate changes#6011,6016,6033,6035..6039,6047..6052,6054..6059,
             6073..6075 from cfgperl (pp_sys.c manually merged due to conflicts)
             
             &HUGE_VAL is not defined, it exists.
             
             Do not warn that an infinity does not look like a number.
             
             Rewrite the pwent/spent logic to be a little bit more clearer.
             
             Continue on the pwent/spent case.
             
             Correct Freudian slip.
             
             Use HUGE_VALL if applicable.
             
             pwent/spent #ifdef imbalance.
             
             Infinite problems.
             
             Call getspnam() only iff needd.
             
             Test both the scalar and list contexts.
             
             Use setxxent()/endxxent().
             
             Complex tweakery.
             
             Unicos hint tweak.
             
             Be more forgiving in POSIX about HUGE_VALL.
             
             Detypo.
             
             The search of infinity continues, this time simplified.
             
             The logic of choosing strtol/strtoul/strtoll/strtoull was wrong
             in natively 64-bit platforms where a long is a quad (no need
             for long longs).  Also added bias for IVs.
             
             Complex tweaks.
             
             Introduce t/lib/peek.t.
             
             Make the test more portable.
     Branch: maint-5.6/perl
	  +> t/lib/peek.t
	   ! pp_sys.c
	  !> MANIFEST ext/POSIX/POSIX.xs hints/unicos.sh
	  !> lib/Math/Complex.pm sv.c t/lib/complex.t t/op/grent.t
	  !> t/op/pwent.t toke.c util.c
____________________________________________________________________________
[  7302] By: gsar                                  on 2000/10/16  05:03:37
        Log: integrate changes#6066..6071 from mainline
             
             s/END/CHECK/
             
             replace direct call to sighandler() with (*PL_sighandlerp)()
             
             note about values()
             
             File::Spec compatibility update (from Barrie Slaymaker
             <barries@slaysys.com>)
             
             remove misleading comment (from M.J.T. Guy)
             
             misformatted perllocal.pod (from Tim Jenness
             <t.jenness@jach.hawaii.edu>)
     Branch: maint-5.6/perl
	  !> lib/ExtUtils/MM_Unix.pm lib/ExtUtils/MM_Win32.pm
	  !> lib/File/Spec.pm lib/File/Spec/Mac.pm lib/File/Spec/Unix.pm
	  !> lib/File/Spec/VMS.pm lib/File/Spec/Win32.pm perl.c
	  !> pod/perlfunc.pod t/lib/anydbm.t win32/win32.c
____________________________________________________________________________
[  7301] By: gsar                                  on 2000/10/16  05:00:08
        Log: integrate changes#6061..6063 from mainline
             
             change#5921 neglected to make eq honor "use bytes"
             
             additional tests for utf8.t
             
             tokeq() could read unallocated field in argument
     Branch: maint-5.6/perl
	  !> sv.c t/pragma/utf8.t toke.c
____________________________________________________________________________
[  7300] By: gsar                                  on 2000/10/16  04:56:54
        Log: integrate changes#6046,6048,6057,6058 from mainline
             
             libscheck has insufficient checks for n32 libs (from
             Albert Chin-A-Young <china@thewrittenword.com>)
             
             add note about how $( doesn't interpolate in REs (from
             Philip Newton <newton@ficus.frogspace.net>)
             
             fix broken parsing of /\x{ab}/
             
             printf(...) should be PerlIO_printf(PerlIO_stdout(), ...)
             (spotted by Donald Kinzer <dkinzer@premia.com>)
     Branch: maint-5.6/perl
	  !> hints/irix_6.sh perl.c pod/perlop.pod regcomp.c
	  !> t/pragma/utf8.t
____________________________________________________________________________
[  7299] By: gsar                                  on 2000/10/16  04:52:50
        Log: integrate change#6044 from mainline
             
             change#3798 broke the meaning of "\0_7_7", tr/\0_// etc.; fix it
             such that underscores are only ignored in literal numbers,
             "\x{...}", and hex/oct argument
     Branch: maint-5.6/perl
	  !> perl.c pp.c regcomp.c t/op/oct.t toke.c util.c
____________________________________________________________________________
[  7298] By: gsar                                  on 2000/10/16  04:50:53
        Log: integrate changes#6027..6043 from mainline
             
             podlators-1.02 update (from Russ Allbery)
             
             Pod::Man generates groff-incompatible macro definition (from
             Tom Christiansen)
             
             add CGI.pm v2.66 (from Lincoln Stein)
             
             introduce @LAST_MATCH_START and @LAST_MATCH_END, English aliases
             for @- and @+ (from Johan Vromans)
             
             small nits in diagnostics.pm (from Robin Barker)
             
             whitespace adjustments
             
             missing files in MANIFEST
             
             cpio 2.4.2 on Linux creates directories in 0700 mode, adjust makerel
             to compensate
             
             remove outdated perltrap entry (from Peter Scott <Peter@PSDT.com>)
             
             perlretut revisions (from Mark Kvale <kvale@phy.ucsf.edu>)
     Branch: maint-5.6/perl
	  +> lib/CGI/Util.pm t/lib/cgi-pretty.t
	  !> MANIFEST Porting/makerel lib/CGI.pm lib/CGI/Carp.pm
	  !> lib/CGI/Cookie.pm lib/CGI/Pretty.pm lib/CGI/Push.pm
	  !> lib/English.pm lib/Pod/Man.pm lib/Pod/Text.pm
	  !> lib/diagnostics.pm pod/perldiag.pod pod/perlretut.pod
	  !> pod/perltrap.pod pod/perlvar.pod pp_sys.c t/lib/cgi-function.t
	  !> t/lib/cgi-html.t t/lib/cgi-request.t
____________________________________________________________________________
[  7297] By: gsar                                  on 2000/10/16  04:44:30
        Log: integrate change#6025 from mainline
             
             Is{Alnum,Alpha,Word} don't match titlecase
             TODO: IsSpace is defined recursively!
             (both spotted by Larry)
     Branch: maint-5.6/perl
	  !> lib/unicode/Is/Alnum.pl lib/unicode/Is/Alpha.pl
	  !> lib/unicode/Is/Word.pl lib/unicode/mktables.PL
____________________________________________________________________________
[  7296] By: gsar                                  on 2000/10/16  04:39:30
        Log: integrate change#6023 from mainline
             
             debugger stomps on $. (from M.J.T. Guy)
     Branch: maint-5.6/perl
	  !> lib/perl5db.pl
____________________________________________________________________________
[  7295] By: gsar                                  on 2000/10/16  04:38:02
        Log: integrate change#6022 from mainline
             
             unbalanced LEAVE after perl_clone(...,0) (from Doug MacEachern)
     Branch: maint-5.6/perl
	  !> sv.c
____________________________________________________________________________
[  7294] By: gsar                                  on 2000/10/16  04:37:05
        Log: integrate changes#6018..6021 from mainline
             
             make lib/syslog.t portable to systems that don't have _PATH_LOG,
             make _PATH_LOG() return "" if unavailable
             
             windows portability tweaks
             
             test tweak
             
             remove Win2K issue in pod (fixed by change#6020)
     Branch: maint-5.6/perl
	  !> README.win32 ext/File/Glob/Glob.pm ext/Sys/Syslog/Syslog.pm
	  !> ext/Sys/Syslog/Syslog.xs pod/perldelta.pod t/lib/b.t
	  !> t/lib/open3.t t/lib/syslog.t win32/win32.h
____________________________________________________________________________
[  7293] By: gsar                                  on 2000/10/16  04:20:00
        Log: integrate changes#6013..6015 from mainline
             
             tweak change#5945 to display correct switch name in diagnostic
             
             glob() loading File::Glob behind the scenes may cause syntax errors
             
             tweak test for portability
     Branch: maint-5.6/perl
	  !> op.c perl.c pod/perldiag.pod t/lib/b.t
____________________________________________________________________________
[  7292] By: gsar                                  on 2000/10/16  04:18:11
        Log: integrate changes#6005..6010 from mainline, cfgperl
             
             perldoc might fail via "use blib" (from Hugo van der Sanden)
             
             Regen Configure.
             
             note about compile failures and END blocks (from M.J.T. Guy)
             
             VMS config tweak (from Craig A. Berry <craig.berry@metamorgs.com>)
             
             (change#6009 integrated earlier in change#7255)
             
             clarify note about shadow password support (from
             gellyfish@gellyfish.com)
     Branch: maint-5.6/perl
